commit 000product for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2019-03-27 06:59:06

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.25356 (New)


Package is "000product"

Wed Mar 27 06:59:06 2019 rev:1045 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-ftp-ftp-i586_x86_64.kiwi ++
--- /var/tmp/diff_new_pack.F51CW7/_old  2019-03-27 06:59:10.669163892 +0100
+++ /var/tmp/diff_new_pack.F51CW7/_new  2019-03-27 06:59:10.697163884 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -36,11 +36,11 @@
   true
   -x -2
   openSUSE
-  20190325
+  20190326
   11
-  cpe:/o:opensuse:opensuse-addon-nonoss:20190325,openSUSE NonOSS 
Addon
+  cpe:/o:opensuse:opensuse-addon-nonoss:20190326,openSUSE NonOSS 
Addon
   af ar be_BY bg br ca cy el et ga gl gu_IN he 
hi_IN hr ka km ko lt mk nn pa_IN rw sk sl sr_CS ss st tg th tr uk ve vi xh zu 

-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190325/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190325/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190326/i586
 
obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Addon-NonOss/20190326/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.F51CW7/_old  2019-03-27 06:59:10.981163805 +0100
+++ /var/tmp/diff_new_pack.F51CW7/_new  2019-03-27 06:59:10.997163801 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20190325
+  20190326
   11
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190325,openSUSE 
Tumbleweed Kubic
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190326,openSUSE 
Tumbleweed Kubic
   en_US 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Tumbleweed-Kubic/20190325/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE-Tumbleweed-Kubic/20190326/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-cd-mini-i586.kiwi ++
--- /var/tmp/diff_new_pack.F51CW7/_old  2019-03-27 06:59:11.069163781 +0100
+++ /var/tmp/diff_new_pack.F51CW7/_new  2019-03-27 06:59:11.069163781 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,11 +32,11 @@
   true
   -x -2
   openSUSE
-  20190325
+  20190326
   11
-  cpe:/o:opensuse:opensuse:20190325,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20190326,openSUSE 
Tumbleweed
   cs da de el en en_GB en_US es fr hu it ja pl 
pt pt_BR ru zh zh_CN zh_TW 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190325/i586
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190326/i586
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-cd-mini-x86_64.kiwi ++
--- /var/tmp/diff_new_pack.F51CW7/_old  2019-03-27 06:59:11.085163777 +0100
+++ /var/tmp/diff_new_pack.F51CW7/_new  2019-03-27 06:59:11.085163777 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -35,11 +35,11 @@
   true
   -x -2
   openSUSE
-  20190325
+  20190326
   11
-  cpe:/o:opensuse:opensuse:20190325,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20190326,openSUSE 
Tumbleweed
   cs da de el en en_GB en_US es fr hu it ja pl 
pt pt_BR ru zh zh_CN zh_TW 
-  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190325/x86_64
+  obsproduct://build.opensuse.org/openSUSE:Factory/openSUSE/20190326/x86_64
   openSUSE
   /usr/share/kiwi/modules/plugins/suse-tumbleweed
   /usr/share/kiwi/modules/plugins/suse-tumbleweed

++ openSUSE-dvd5-dvd-i586.kiwi ++
--- /var/tmp/diff_new_pack.F51CW7/_old  2019-03-27 06:59:11.097163773 +0100
+++ /var/tmp/diff_new_pack.F51CW7/_new  2019-03-27 06:59:11.097163773 +0100
@@ -1,4 +1,4 @@
-
+
   
 The SUSE Team
 bu...@opensuse.org
@@ -32,11 +32,11 @@
   true
   -x -2
   openSUSE
-  20190325
+  20190326
   11
-  cpe:/o:opensuse:opensuse:20190325,openSUSE 
Tumbleweed
+  cpe:/o:opensuse:opensuse:20190326,openSUSE 
Tumbleweed
   cs da de el en en_GB en_US es fr hu it ja pl 
pt pt_BR ru zh zh_CN zh_TW 
-  

commit 000release-packages for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000release-packages for 
openSUSE:Factory checked in at 2019-03-27 06:58:57

Comparing /work/SRC/openSUSE:Factory/000release-packages (Old)
 and  /work/SRC/openSUSE:Factory/.000release-packages.new.25356 (New)


Package is "000release-packages"

Wed Mar 27 06:58:57 2019 rev:82 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
++ openSUSE-Addon-NonOss-release.spec ++
--- /var/tmp/diff_new_pack.jEdSw3/_old  2019-03-27 06:59:05.765165249 +0100
+++ /var/tmp/diff_new_pack.jEdSw3/_new  2019-03-27 06:59:05.801165239 +0100
@@ -1,5 +1,5 @@
 #
-# spec file for package openSUSE-Addon-NonOss-release (Version 20190325)
+# spec file for package openSUSE-Addon-NonOss-release (Version 20190326)
 #
 # Copyright (c) 2019 openSUSE.
 #
@@ -16,16 +16,16 @@
 Name:   openSUSE-Addon-NonOss-release
 %define product openSUSE-Addon-NonOss
 Summary:openSUSE NonOSS Addon
-Version:20190325
+Version:    20190326
 Release:0
 License:BSD-3-Clause
 Group:  System/Fhs
 
 Provides:   %name-%version
 Provides:   product() = openSUSE-Addon-NonOss
-Provides:   product(openSUSE-Addon-NonOss) = 20190325-0
+Provides:   product(openSUSE-Addon-NonOss) = 20190326-0
 Provides:   product-label() = non%20oss%20addon
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20190325
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Daddon%2Dnonoss%3A20190326
 
 
 AutoReqProv:on
@@ -49,10 +49,10 @@
 
   openSUSE
   openSUSE-Addon-NonOss
-  20190325
+  20190326
   0
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-addon-nonoss:20190325
+  cpe:/o:opensuse:opensuse-addon-nonoss:20190326
   
 
 

++ openSUSE-Tumbleweed-Kubic-release.spec ++
--- /var/tmp/diff_new_pack.jEdSw3/_old  2019-03-27 06:59:06.085165160 +0100
+++ /var/tmp/diff_new_pack.jEdSw3/_new  2019-03-27 06:59:06.129165148 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   openSUSE-Tumbleweed-Kubic-release
-Version:20190325
+Version:    20190326
 Release:0
 Summary:openSUSE Tumbleweed Kubic 
 License:GPL-2.0-or-later
@@ -38,9 +38,9 @@
 ExclusiveArch:  %ix86 x86_64 ppc64le s390x aarch64
 Provides:   %name-%version
 Provides:   product() = openSUSE-Tumbleweed-Kubic
-Provides:   product(openSUSE-Tumbleweed-Kubic) = 20190325-0
+Provides:   product(openSUSE-Tumbleweed-Kubic) = 20190326-0
 Provides:   product-label() = openSUSE%20Tumbleweed%20Kubic
-Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20190325
+Provides:   product-cpeid() = 
cpe%3A%2Fo%3Aopensuse%3Aopensuse%2Dtumbleweed%2Dkubic%3A20190326
 Provides:   product-url(releasenotes) = 
http%3A%2F%2Fdoc.opensuse.org%2Frelease%2Dnotes%2Fx86_64%2FopenSUSE%2FTumbleweed%2Frelease%2Dnotes%2DopenSUSE.rpm
 Provides:   product-endoflife()
 Requires:   product_flavor(openSUSE-Tumbleweed-Kubic)
@@ -56,7 +56,7 @@
 Group:  System/Fhs
 Provides:   product_flavor()
 Provides:   flavor(dvd)
-Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20190325-0
+Provides:   product_flavor(openSUSE-Tumbleweed-Kubic) = 20190326-0
 Summary:openSUSE Tumbleweed Kubic
 
 %description dvd
@@ -113,11 +113,11 @@
 
   openSUSE
   openSUSE-Tumbleweed-Kubic
-  20190325
+  20190326
   0
   
   %{_target_cpu}
-  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190325
+  cpe:/o:opensuse:opensuse-tumbleweed-kubic:20190326
   openSUSE-Tumbleweed-Kubic
   
 

++ openSUSE-release.spec ++
--- /var/tmp/diff_new_pack.jEdSw3/_old  2019-03-27 06:59:06.397165074 +0100
+++ /var/tmp/diff_new_pack.jEdSw3/_new  2019-03-27 06:59:06.425165066 +0100
@@ -20,7 +20,7 @@
 #define betaversion %{nil}
 %define codename Tumbleweed
 Name:   openSUSE-release
-Version:20190325
+Version:    20190326
 Release:0
 # 0 is the product release, not the build release of this package
 Summary:openSUSE Tumbleweed
@@ -54,7 +54,7 @@
 Obsoletes:  aaa_version
 Obsoletes:  openSUSE-Promo-release <= 11.1
 Obsoletes:  openSUSE-release-live <= 11.0
-Obsoletes:  product_flavor(%{product}) < 20190325
+Obsoletes:  product_flavor(%{product}) < 20190326
 # bnc#826592
 Provides:   weakremover(kernel-default) < 3.11
 Provides:   weakremover(kernel-desktop) < 4.2
@@ -182,7 +182,7 @@
 %include %{SOURCE100}
 Provides:   %name-%version
 Provides:   product() = openSUSE
-Provides:   product(openSUSE) = 20190325-0
+Provides:   product(openSUSE) = 20190326-0
 %ifarch x86_64
 Provides:  

commit python-schema for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-schema for openSUSE:Factory 
checked in at 2019-03-26 22:34:56

Comparing /work/SRC/openSUSE:Factory/python-schema (Old)
 and  /work/SRC/openSUSE:Factory/.python-schema.new.25356 (New)


Package is "python-schema"

Tue Mar 26 22:34:56 2019 rev:3 rq:688869 version:0.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-schema/python-schema.changes  
2018-12-24 11:43:38.593332371 +0100
+++ /work/SRC/openSUSE:Factory/.python-schema.new.25356/python-schema.changes   
2019-03-26 22:35:29.109652886 +0100
@@ -1,0 +2,8 @@
+Tue Mar 26 16:29:04 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.7.0
+  * Add an is_valid method to the schema
+  * Fix typo in schema.py: vaidated->validated
+  * Fix callable check under PyPy2
+
+---

Old:

  schema-0.6.7.tar.gz

New:

  schema-0.7.0.tar.gz



Other differences:
--
++ python-schema.spec ++
--- /var/tmp/diff_new_pack.KBs8lV/_old  2019-03-26 22:35:30.849652135 +0100
+++ /var/tmp/diff_new_pack.KBs8lV/_new  2019-03-26 22:35:30.889652118 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-schema
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,9 +17,8 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%bcond_without  test
 Name:   python-schema
-Version:0.6.7
+Version:0.7.0
 Release:0
 Summary:Data validation library
 License:MIT
@@ -29,9 +28,12 @@
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
-%if %{with test}
+# SECTION test requirements
+BuildRequires:  %{python_module contextlib2 >= 0.5.5}
+BuildRequires:  %{python_module mock}
 BuildRequires:  %{python_module pytest}
-%endif
+# /SECTION
+Requires:   python-contextlib2 >= 0.5.5
 BuildArch:  noarch
 
 %python_subpackages
@@ -51,10 +53,8 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-%if %{with test}
 %check
 %python_exec test_schema.py
-%endif
 
 %files %{python_files}
 %defattr(-,root,root,-)

++ schema-0.6.7.tar.gz -> schema-0.7.0.tar.gz ++
 2479 lines of diff (skipped)




commit gnustep-libobjc2 for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package gnustep-libobjc2 for 
openSUSE:Factory checked in at 2019-03-26 22:34:48

Comparing /work/SRC/openSUSE:Factory/gnustep-libobjc2 (Old)
 and  /work/SRC/openSUSE:Factory/.gnustep-libobjc2.new.25356 (New)


Package is "gnustep-libobjc2"

Tue Mar 26 22:34:48 2019 rev:2 rq:688852 version:1.9

Changes:

--- /work/SRC/openSUSE:Factory/gnustep-libobjc2/gnustep-libobjc2.changes
2019-02-26 22:19:52.482119950 +0100
+++ 
/work/SRC/openSUSE:Factory/.gnustep-libobjc2.new.25356/gnustep-libobjc2.changes 
2019-03-26 22:35:15.389658801 +0100
@@ -1,0 +2,6 @@
+Tue Mar 19 00:47:58 UTC 2019 - Jan Engelhardt 
+
+- Replace historic boilerplate descriptions.
+- Fixup RPM group of SRPM package.
+
+---



Other differences:
--
++ gnustep-libobjc2.spec ++
--- /var/tmp/diff_new_pack.wyZVae/_old  2019-03-26 22:35:16.509658318 +0100
+++ /var/tmp/diff_new_pack.wyZVae/_new  2019-03-26 22:35:16.513658316 +0100
@@ -23,7 +23,7 @@
 Release:0
 Summary:GNUstep Objective-C Runtime
 License:MIT
-Group:  System/Libraries
+Group:  Development/Languages/C and C++
 URL:https://github.com/gnustep/libobjc2
 Source: 
https://github.com/gnustep/libobjc2/archive/%{version}.tar.gz#/%{_oname}-%{version}.tar.gz
 BuildRequires:  cmake >= 3.1
@@ -59,13 +59,13 @@
 - Declared property introspection.
 
 %package -n %{_oname}-devel
-Summary:Include Files and Libraries Mandatory for Development
+Summary:Header files for the GNUstep Objective-C runtime
 Group:  Development/Libraries/C and C++
 Requires:   %{libname} = %{version}
 
 %description -n %{_oname}-devel
 This package contains all necessary include files and libraries needed
-to develop applications that require these.
+to develop applications with the GNUstep Objective-C runtime.
 
 %prep
 %setup -q -n %{_oname}-%{version}




commit DisplayCAL for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package DisplayCAL for openSUSE:Factory 
checked in at 2019-03-26 22:35:00

Comparing /work/SRC/openSUSE:Factory/DisplayCAL (Old)
 and  /work/SRC/openSUSE:Factory/.DisplayCAL.new.25356 (New)


Package is "DisplayCAL"

Tue Mar 26 22:35:00 2019 rev:29 rq:688872 version:3.7.2.0

Changes:

--- /work/SRC/openSUSE:Factory/DisplayCAL/DisplayCAL.changes2019-03-18 
10:43:57.087107786 +0100
+++ /work/SRC/openSUSE:Factory/.DisplayCAL.new.25356/DisplayCAL.changes 
2019-03-26 22:35:35.173650272 +0100
@@ -1,0 +2,6 @@
+Sat Mar 23 08:52:53 UTC 2019 - Jan Engelhardt 
+
+- Make scriptlets POSIX sh compatible.
+- Replace old $RPM_* shell vars by macros.
+
+---



Other differences:
--
++ DisplayCAL.spec ++
--- /var/tmp/diff_new_pack.KCI3Il/_old  2019-03-26 22:35:37.725649171 +0100
+++ /var/tmp/diff_new_pack.KCI3Il/_new  2019-03-26 22:35:37.757649157 +0100
@@ -91,11 +91,11 @@
 # Strip extensions
 bits=`%{__python} -c "import platform;print platform.architecture()[0][:2]"`
 python_shortversion=`%{__python} -c "import sys;print ''.join(map(str, 
sys.version_info[:2]))"`
-strip --strip-unneeded 
${RPM_BUILD_ROOT}${install_lib}/%{name}/lib${bits}/python${python_shortversion}/*.so
+strip --strip-unneeded 
%{buildroot}/${install_lib}/%{name}/lib${bits}/python${python_shortversion}/*.so
 
 # Remove doc directory
-if [ -e "${RPM_BUILD_ROOT}%_datadir/doc/%{name}-%{version}" ]; then
-   rm -rf "${RPM_BUILD_ROOT}%_datadir/doc/%{name}-%{version}"
+if [ -e "%{buildroot}/%{_datadir}/doc/%{name}-%{version}" ]; then
+   rm -rf "%{buildroot}/%{_datadir}/doc/%{name}-%{version}"
 fi
 
 # Update desktop files to prevent buildservice from complaining
@@ -151,16 +151,16 @@
 #!/bin/sh
 
 # Update icon cache and menu
-/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || true
-which xdg-icon-resource &> /dev/null && xdg-icon-resource forceupdate || true
-which xdg-desktop-menu &> /dev/null && xdg-desktop-menu forceupdate || true
+/bin/touch --no-create %{_datadir}/icons/hicolor >/dev/null 2>/dev/null || true
+which xdg-icon-resource >/dev/null 2>/dev/null && xdg-icon-resource 
forceupdate || true
+which xdg-desktop-menu >/dev/null 2>/dev/null && xdg-desktop-menu forceupdate 
|| true
 
 %postun
 #!/bin/sh
 
 # Update icon cache and menu
-/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || true
-which xdg-desktop-menu &> /dev/null && xdg-desktop-menu forceupdate || true
-which xdg-icon-resource &> /dev/null && xdg-icon-resource forceupdate || true
+/bin/touch --no-create %{_datadir}/icons/hicolor >/dev/null 2>/dev/null || true
+which xdg-desktop-menu >/dev/null 2>/dev/null && xdg-desktop-menu forceupdate 
|| true
+which xdg-icon-resource >/dev/null 2>/dev/null && xdg-icon-resource 
forceupdate || true
 
 %changelog




commit python-schedule for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-schedule for openSUSE:Factory 
checked in at 2019-03-26 22:34:51

Comparing /work/SRC/openSUSE:Factory/python-schedule (Old)
 and  /work/SRC/openSUSE:Factory/.python-schedule.new.25356 (New)


Package is "python-schedule"

Tue Mar 26 22:34:51 2019 rev:3 rq:688868 version:0.6.0

Changes:

--- /work/SRC/openSUSE:Factory/python-schedule/python-schedule.changes  
2018-12-24 11:46:19.341190178 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-schedule.new.25356/python-schedule.changes   
2019-03-26 22:35:22.957655538 +0100
@@ -1,0 +2,7 @@
+Tue Mar 26 16:40:26 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.6.0
+  * Make at() accept timestamps with 1 second precision (#267).
+  * Introduce proper exception hierarchy (#271).
+
+---

Old:

  schedule-0.5.0.tar.gz

New:

  schedule-0.6.0.tar.gz



Other differences:
--
++ python-schedule.spec ++
--- /var/tmp/diff_new_pack.cNNgaC/_old  2019-03-26 22:35:24.817654736 +0100
+++ /var/tmp/diff_new_pack.cNNgaC/_new  2019-03-26 22:35:24.817654736 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-schedule
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-schedule
-Version:0.5.0
+Version:0.6.0
 Release:0
 Summary:Job scheduling module for Python
 License:MIT

++ schedule-0.5.0.tar.gz -> schedule-0.6.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/schedule-0.5.0/HISTORY.rst 
new/schedule-0.6.0/HISTORY.rst
--- old/schedule-0.5.0/HISTORY.rst  2017-11-16 15:58:47.0 +0100
+++ new/schedule-0.6.0/HISTORY.rst  2019-01-21 01:26:22.0 +0100
@@ -3,6 +3,14 @@
 History
 ---
 
+
+0.6.0 (2019-01-20)
+++
+
+- Make at() accept timestamps with 1 second precision (#267). Thanks 
@NathanWailes!
+- Introduce proper exception hierarchy (#271). Thanks @ConnorSkees!
+
+
 0.5.0 (2017-11-16)
 ++
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/schedule-0.5.0/PKG-INFO new/schedule-0.6.0/PKG-INFO
--- old/schedule-0.5.0/PKG-INFO 2017-11-16 16:03:22.0 +0100
+++ new/schedule-0.6.0/PKG-INFO 2019-01-21 02:01:43.0 +0100
@@ -1,13 +1,12 @@
 Metadata-Version: 1.1
 Name: schedule
-Version: 0.5.0
+Version: 0.6.0
 Summary: Job scheduling for humans.
 Home-page: https://github.com/dbader/schedule
 Author: Daniel Bader
 Author-email: m...@dbader.org
 License: MIT
-Download-URL: https://github.com/dbader/schedule/tarball/0.5.0
-Description-Content-Type: UNKNOWN
+Download-URL: https://github.com/dbader/schedule/tarball/0.6.0
 Description: schedule
 
 
@@ -55,9 +54,10 @@
 schedule.every(10).minutes.do(job)
 schedule.every().hour.do(job)
 schedule.every().day.at("10:30").do(job)
-schedule.every(5).to(10).days.do(job)
+schedule.every(5).to(10).minutes.do(job)
 schedule.every().monday.do(job)
 schedule.every().wednesday.at("13:15").do(job)
+schedule.every().minute.at(":17").do(job)
 
 while True:
 schedule.run_pending()
@@ -76,7 +76,7 @@
 
 Daniel Bader - `@dbader_org `_ - 
m...@dbader.org
 
-Distributed under the MIT license. See ``LICENSE.txt`` for more 
information.
+Distributed under the MIT license. See `LICENSE.txt 
`_ for more 
information.
 
 https://github.com/dbader/schedule
 
@@ -89,4 +89,5 @@
 Classifier: Programming Language :: Python :: 2.7
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
+Classifier: Programming Language :: Python :: 3.7
 Classifier: Natural Language :: English
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/schedule-0.5.0/README.rst 
new/schedule-0.6.0/README.rst
--- old/schedule-0.5.0/README.rst   2017-11-16 16:00:14.0 +0100
+++ new/schedule-0.6.0/README.rst   2019-01-21 01:23:51.0 +0100
@@ -45,9 +45,10 @@
 schedule.every(10).minutes.do(job)
 schedule.every().hour.do(job)
 

commit python3-ipa for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python3-ipa for openSUSE:Factory 
checked in at 2019-03-26 22:35:09

Comparing /work/SRC/openSUSE:Factory/python3-ipa (Old)
 and  /work/SRC/openSUSE:Factory/.python3-ipa.new.25356 (New)


Package is "python3-ipa"

Tue Mar 26 22:35:09 2019 rev:16 rq:66 version:3.3.0

Changes:

--- /work/SRC/openSUSE:Factory/python3-ipa/python3-ipa.changes  2019-03-18 
10:42:55.543161967 +0100
+++ /work/SRC/openSUSE:Factory/.python3-ipa.new.25356/python3-ipa.changes   
2019-03-26 22:35:38.577648804 +0100
@@ -1,0 +2,10 @@
+Tue Mar 26 19:42:16 UTC 2019 - Sean Marlow 
+
+- Update to v3.3.0 (2019-03-26)
+  + Cast timeout to integer.
+  + Fix Azure service test on SLES 11.
+  + Combine libcloud class with GCE.
+  + Cleanup gce tests.
+  + Rename ipa cloud test module.
+
+---

Old:

  python3-ipa-3.2.1.tar.gz

New:

  python3-ipa-3.3.0.tar.gz



Other differences:
--
++ python3-ipa.spec ++
--- /var/tmp/diff_new_pack.EmoPhr/_old  2019-03-26 22:35:39.049648600 +0100
+++ /var/tmp/diff_new_pack.EmoPhr/_new  2019-03-26 22:35:39.057648597 +0100
@@ -18,7 +18,7 @@
 
 %bcond_without test
 Name:   python3-ipa
-Version:3.2.1
+Version:3.3.0
 Release:0
 Summary:Command line and API for testing custom images
 License:GPL-3.0-or-later

++ python3-ipa-3.2.1.tar.gz -> python3-ipa-3.3.0.tar.gz ++
 2219 lines of diff (skipped)




commit python-json_tricks for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-json_tricks for 
openSUSE:Factory checked in at 2019-03-26 22:34:22

Comparing /work/SRC/openSUSE:Factory/python-json_tricks (Old)
 and  /work/SRC/openSUSE:Factory/.python-json_tricks.new.25356 (New)


Package is "python-json_tricks"

Tue Mar 26 22:34:22 2019 rev:4 rq:688772 version:3.13.1

Changes:

--- /work/SRC/openSUSE:Factory/python-json_tricks/python-json_tricks.changes
2018-12-24 11:38:42.489595001 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-json_tricks.new.25356/python-json_tricks.changes
 2019-03-26 22:34:51.733669000 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 14:53:58 UTC 2019 - Tomáš Chvátal 
+
+- Update to 3.13.1:
+  * add support for pathlib
+
+---

Old:

  json_tricks-3.12.2.tar.gz

New:

  json_tricks-3.13.1.tar.gz



Other differences:
--
++ python-json_tricks.spec ++
--- /var/tmp/diff_new_pack.ZTsUE4/_old  2019-03-26 22:34:52.933668483 +0100
+++ /var/tmp/diff_new_pack.ZTsUE4/_new  2019-03-26 22:34:52.961668471 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-json_tricks
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,31 +18,32 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-json_tricks
-Version:3.12.2
+Version:3.13.1
 Release:0
 Summary:Extra features for Python's JSON
 License:BSD-3-Clause
 Group:  Development/Languages/Python
-Url:https://github.com/mverleg/pyjson_tricks
+URL:https://github.com/mverleg/pyjson_tricks
 Source: 
https://files.pythonhosted.org/packages/source/j/json_tricks/json_tricks-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+Recommends: python-numpy
+Recommends: python-pandas
+Recommends: python-pathlib
+Recommends: python-pytz
+BuildArch:  noarch
 # SECTION test requirements
 BuildRequires:  %{python_module numpy}
 BuildRequires:  %{python_module pandas}
+BuildRequires:  %{python_module pathlib}
 BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module pytz}
 BuildRequires:  python-enum34
 # /SECTION
-Recommends: python-numpy
-Recommends: python-pandas
-Recommends: python-pytz
 %ifpython2
 Recommends: python-enum34
 %endif
-BuildArch:  noarch
-
 %python_subpackages
 
 %description
@@ -69,7 +70,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_expand py.test-%{$python_bin_suffix}
+%pytest
 
 %files %{python_files}
 %doc README.rst

++ json_tricks-3.12.2.tar.gz -> json_tricks-3.13.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/json_tricks-3.12.2/PKG-INFO 
new/json_tricks-3.13.1/PKG-INFO
--- old/json_tricks-3.12.2/PKG-INFO 2018-07-12 21:24:35.0 +0200
+++ new/json_tricks-3.13.1/PKG-INFO 2019-03-24 12:28:21.0 +0100
@@ -1,11 +1,12 @@
 Metadata-Version: 1.1
 Name: json_tricks
-Version: 3.12.2
+Version: 3.13.1
 Summary: Extra features for Python's JSON: comments, order, numpy, pandas, 
datetimes, and many more! Simple but customizable.
 Home-page: https://github.com/mverleg/pyjson_tricks
 Author: Mark V
 Author-email: markv.nl@gmail.com
 License: Revised BSD License (LICENSE.txt)
+Description-Content-Type: UNKNOWN
 Description: 
 JSON tricks (python)
 ---
@@ -17,7 +18,7 @@
 3. **Store and load date/times** as a dictionary (including timezone).
 4. **Preserve map order** ``{}`` using ``OrderedDict``.
 5. **Allow for comments** in json files by starting lines with ``#``.
-6. Sets, complex numbers, Decimal, Fraction, enums, compression, 
duplicate keys, ...
+6. Sets, complex numbers, Decimal, Fraction, enums, compression, 
duplicate keys, pathlib Paths ...
 
 As well as compression and disallowing duplicate keys.
 
@@ -352,6 +353,7 @@
 * Save and load ``Enum`` (thanks to ``Jenselme``), either built-in in 
python3.4+, or with the enum34_ package in earlier versions. ``IntEnum`` needs 
encode_intenums_inplace_.
 * ``json_tricks`` allows for gzip compression using the 
``compression=True`` argument (off by default).
 * ``json_tricks`` can check for duplicate keys in maps by setting 
``allow_duplicates`` to False. These are `kind of allowed`_, 

commit supervisor for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package supervisor for openSUSE:Factory 
checked in at 2019-03-26 22:34:38

Comparing /work/SRC/openSUSE:Factory/supervisor (Old)
 and  /work/SRC/openSUSE:Factory/.supervisor.new.25356 (New)


Package is "supervisor"

Tue Mar 26 22:34:38 2019 rev:2 rq:688821 version:3.3.5

Changes:

--- /work/SRC/openSUSE:Factory/supervisor/supervisor.changes2019-02-15 
09:55:27.167758994 +0100
+++ /work/SRC/openSUSE:Factory/.supervisor.new.25356/supervisor.changes 
2019-03-26 22:35:01.893664620 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 13:54:23 UTC 2019 - Martin Hauke 
+
+- Remove not needed build-dependencies
+- Add rclink
+
+---



Other differences:
--
++ supervisor.spec ++
--- /var/tmp/diff_new_pack.ryYCcH/_old  2019-03-26 22:35:04.161663642 +0100
+++ /var/tmp/diff_new_pack.ryYCcH/_new  2019-03-26 22:35:04.161663642 +0100
@@ -30,6 +30,7 @@
 BuildRequires:  fdupes
 BuildRequires:  python-meld3
 BuildRequires:  python-mock >= 0.5.0
+BuildRequires:  python-rpm-macros
 BuildRequires:  python-setuptools
 Requires:   python-meld3 >= 0.6.5
 Suggests:   python-cElementTree >= 1.0.2
@@ -56,6 +57,8 @@
 install -D -m 0644 %{SOURCE3} %{buildroot}%{_unitdir}/supervisord.service
 install -d -m 0750 %{buildroot}%{_localstatedir}/log/supervisord/
 install -m 0660 %{SOURCE2} %{buildroot}%{_sysconfdir}/
+install -d %{buildroot}%{_sbindir}/
+ln -s service %{buildroot}%{_sbindir}/rcsupervisord
 %fdupes %{buildroot}%{python_sitelib}/
 
 %pre
@@ -86,6 +89,7 @@
 %dir %ghost /run/supervisord
 %dir %attr(-,root,root) %ghost %{_rundir}/%{name}
 %{_unitdir}/supervisord.service
+%{_sbindir}/rcsupervisord
 %config(noreplace) %{_sysconfdir}/supervisord.conf
 %dir %{_sysconfdir}/supervisord.d
 %dir %attr(750,root,root)%{_localstatedir}/log/supervisord




commit darktable for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package darktable for openSUSE:Factory 
checked in at 2019-03-26 22:34:41

Comparing /work/SRC/openSUSE:Factory/darktable (Old)
 and  /work/SRC/openSUSE:Factory/.darktable.new.25356 (New)


Package is "darktable"

Tue Mar 26 22:34:41 2019 rev:78 rq:688851 version:2.6.2

Changes:

--- /work/SRC/openSUSE:Factory/darktable/darktable.changes  2019-03-21 
09:53:00.658793553 +0100
+++ /work/SRC/openSUSE:Factory/.darktable.new.25356/darktable.changes   
2019-03-26 22:35:07.749662095 +0100
@@ -101,0 +102,6 @@
+Thu Jan 24 18:59:18 UTC 2019 - Jan Engelhardt 
+
+- Remove idempotent %if..%endif guards around %package
+- Replace make install and make use of %make_install in its stead.
+
+---



Other differences:
--
++ darktable.spec ++
--- /var/tmp/diff_new_pack.HApTI2/_old  2019-03-26 22:35:09.389661388 +0100
+++ /var/tmp/diff_new_pack.HApTI2/_new  2019-03-26 22:35:09.393661386 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -178,7 +178,6 @@
 digital negatives in a database and can show them through a zoomable
 lighttable. It also enables developing raw images and enhance them.
 
-%if %{with basecurve_tool}
 %package tools-basecurve
 Summary:The basecurve tool from tools/basecurve/
 Group:  Productivity/Graphics/Viewers
@@ -194,7 +193,6 @@
 This package provides the basecurve tool from tools/basecurve/.
 Another option to solve the same problem might be the darktable-chart module
 from the darktable package.
-%endif
 
 %package tools-noise
 Summary:Noise profiling tools to support new cameras
@@ -313,9 +311,9 @@
 #/ suse branch
 %else
 # fedora branch
-make install DESTDIR="%{buildroot}" -C %{_target_platform}
+%make_install -C %{_target_platform}
 %if %{with basecurve_tool}
-make install DESTDIR="%{buildroot}" -C tools/basecurve/%{_target_platform}
+%make_install -C tools/basecurve/%{_target_platform}
 %endif
 #/ fedora branch
 %endif





commit python-json-rpc for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-json-rpc for openSUSE:Factory 
checked in at 2019-03-26 22:34:09

Comparing /work/SRC/openSUSE:Factory/python-json-rpc (Old)
 and  /work/SRC/openSUSE:Factory/.python-json-rpc.new.25356 (New)


Package is "python-json-rpc"

Tue Mar 26 22:34:09 2019 rev:3 rq:688769 version:1.12.1

Changes:

--- /work/SRC/openSUSE:Factory/python-json-rpc/python-json-rpc.changes  
2018-12-24 11:38:40.877596433 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-json-rpc.new.25356/python-json-rpc.changes   
2019-03-26 22:34:49.841669816 +0100
@@ -1,0 +2,10 @@
+Tue Mar 26 14:49:45 UTC 2019 - Tomáš Chvátal 
+
+- Update to 1.12.1:
+  * ADD: Ability to override function name with decorator convention in
+dispatcher
+  * REF: Improve function parameter introspection: use more stable
+approach for python3, allow both args and kwards parameters check at
+the same time.
+
+---

Old:

  LICENSE.txt
  json-rpc-1.11.0.tar.gz

New:

  json-rpc-1.12.1.tar.gz



Other differences:
--
++ python-json-rpc.spec ++
--- /var/tmp/diff_new_pack.Mg1jgp/_old  2019-03-26 22:34:51.137669257 +0100
+++ /var/tmp/diff_new_pack.Mg1jgp/_new  2019-03-26 22:34:51.137669257 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-json-rpc
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,23 +18,21 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-json-rpc
-Version:1.11.0
+Version:1.12.1
 Release:0
 Summary:JSON-RPC transport implementation
 License:MIT
 Group:  Development/Languages/Python
-Url:https://github.com/pavlov99/json-rpc
+URL:https://github.com/pavlov99/json-rpc
 Source: 
https://files.pythonhosted.org/packages/source/j/json-rpc/json-rpc-%{version}.tar.gz
-Source10:   
https://raw.githubusercontent.com/pavlov99/json-rpc/%{version}/LICENSE.txt
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+BuildArch:  noarch
 # SECTION test requirements
 BuildRequires:  %{python_module mock}
-BuildRequires:  %{python_module nose}
+BuildRequires:  %{python_module pytest}
 # /SECTION
-BuildArch:  noarch
-
 %python_subpackages
 
 %description
@@ -47,7 +45,6 @@
 
 %prep
 %setup -q -n json-rpc-%{version}
-cp %{SOURCE10} .
 
 %build
 %python_build
@@ -57,7 +54,7 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%python_exec setup.py test
+%pytest
 
 %files %{python_files}
 %doc README.rst

++ json-rpc-1.11.0.tar.gz -> json-rpc-1.12.1.tar.gz ++
 21604 lines of diff (skipped)




commit python-tablib for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-tablib for openSUSE:Factory 
checked in at 2019-03-26 22:34:27

Comparing /work/SRC/openSUSE:Factory/python-tablib (Old)
 and  /work/SRC/openSUSE:Factory/.python-tablib.new.25356 (New)


Package is "python-tablib"

Tue Mar 26 22:34:27 2019 rev:2 rq:688774 version:0.13.0

Changes:

--- /work/SRC/openSUSE:Factory/python-tablib/python-tablib.changes  
2019-03-19 09:58:14.836106460 +0100
+++ /work/SRC/openSUSE:Factory/.python-tablib.new.25356/python-tablib.changes   
2019-03-26 22:34:55.873667215 +0100
@@ -1,0 +2,8 @@
+Tue Mar 26 10:26:24 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.13.0
+  * no upstream changelog (HISTORY.rst outdated), see git log
+- deleted patches
+  - openpyxl-usage-fix.patch (upstreamed)
+
+---

Old:

  openpyxl-usage-fix.patch
  tablib-0.12.1.tar.gz

New:

  tablib-0.13.0.tar.gz



Other differences:
--
++ python-tablib.spec ++
--- /var/tmp/diff_new_pack.9LdKco/_old  2019-03-26 22:34:57.453666534 +0100
+++ /var/tmp/diff_new_pack.9LdKco/_new  2019-03-26 22:34:57.477666523 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-tablib
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,25 +12,23 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
+%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %if 0%{?rhel}
 # I get syntax errors in the brp-python-bytecompile step...
 %define _python_bytecompile_errors_terminate_build 0
 %endif
-
-%{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-tablib
-Version:0.12.1
+Version:0.13.0
 Release:0
 Summary:Format agnostic tabular data library (XLS, JSON, YAML, CSV)
 License:MIT
 Group:  Development/Languages/Python
-Url:http://python-tablib.org
+URL:http://python-tablib.org
 Source: 
https://files.pythonhosted.org/packages/source/t/tablib/tablib-%{version}.tar.gz
-Patch0: openpyxl-usage-fix.patch
 BuildRequires:  %{python_module PyYAML >= 3.12}
 BuildRequires:  %{python_module odfpy >= 1.3.5}
 BuildRequires:  %{python_module openpyxl >= 2.4.8}
@@ -42,6 +40,7 @@
 BuildRequires:  %{python_module xml}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+BuildRequires:  python2-backports.csv
 Requires:   python-PyYAML >= 3.12
 Requires:   python-odfpy >= 1.3.5
 Requires:   python-openpyxl >= 2.4.8
@@ -51,7 +50,9 @@
 Requires:   python-xml
 Suggests:   python-pandas >= 0.20.3
 BuildArch:  noarch
-
+%ifpython2
+Requires:   python2-backports.csv
+%endif
 %python_subpackages
 
 %description
@@ -68,7 +69,6 @@
 
 %prep
 %setup -q -n tablib-%{version}
-%patch0 -p1
 # Remove shebang lines from non-executable scripts:
 find tablib -name "*.py" | xargs sed -i '1 { /^#!/ d }'
 

++ tablib-0.12.1.tar.gz -> tablib-0.13.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/tablib-0.12.1/AUTHORS new/tablib-0.13.0/AUTHORS
--- old/tablib-0.12.1/AUTHORS   2017-08-27 09:23:48.0 +0200
+++ new/tablib-0.13.0/AUTHORS   2019-03-08 13:15:56.0 +0100
@@ -34,3 +34,5 @@
 - Mathias Loesch
 - Tushar Makkar
 - Andrii Soldatenko
+- Bruno Soares
+- Tsuyoshi Hombashi
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/tablib-0.12.1/HISTORY.rst 
new/tablib-0.13.0/HISTORY.rst
--- old/tablib-0.12.1/HISTORY.rst   2017-08-27 09:23:48.0 +0200
+++ new/tablib-0.13.0/HISTORY.rst   2019-03-08 13:15:56.0 +0100
@@ -254,4 +254,3 @@
 * Export Support for XLS, JSON, YAML, and CSV.
 * DataBook Export for XLS, JSON, and YAML.
 * Python Dict Property Support.
-
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/tablib-0.12.1/NOTICE new/tablib-0.13.0/NOTICE
--- old/tablib-0.12.1/NOTICE2017-08-27 09:23:48.0 +0200
+++ new/tablib-0.13.0/NOTICE2019-03-08 13:15:56.0 +0100
@@ -1,32 +1,6 @@
-Tablib includes some vendorized python libraries: ordereddict, markup.
+Tablib includes some vendorized Python libraries: markup.
 
 Markup License
 ==
 
 Markup is in the public domain.
-
-

commit clementine for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package clementine for openSUSE:Factory 
checked in at 2019-03-26 22:33:43

Comparing /work/SRC/openSUSE:Factory/clementine (Old)
 and  /work/SRC/openSUSE:Factory/.clementine.new.25356 (New)


Package is "clementine"

Tue Mar 26 22:33:43 2019 rev:47 rq:688726 version:1.3.1+git20190213

Changes:

--- /work/SRC/openSUSE:Factory/clementine/clementine.changes2019-01-21 
10:52:20.035875158 +0100
+++ /work/SRC/openSUSE:Factory/.clementine.new.25356/clementine.changes 
2019-03-26 22:34:25.113676880 +0100
@@ -1,0 +2,7 @@
+Sat Mar 16 09:20:03 UTC 2019 - plater 
+
+- Update to git qt5 snapshot version 1.3.1+git20190213.
+- Removed incorporated patches: clementine-gcc7fix.patch and
+  clementine-gsd-dbus-shortcuts.patch.
+
+---

Old:

  clementine-1.3.1+git20181203.tar.gz
  clementine-gcc7fix.patch
  clementine-gsd-dbus-shortcuts.patch

New:

  clementine-1.3.1+git20190213.tar.gz



Other differences:
--
++ clementine.spec ++
--- /var/tmp/diff_new_pack.K7gRZT/_old  2019-03-26 22:34:27.161676386 +0100
+++ /var/tmp/diff_new_pack.K7gRZT/_new  2019-03-26 22:34:27.185676380 +0100
@@ -16,7 +16,7 @@
 #
 
 
-%define rev 1f87535c2fdaf2d70bb92783d3c05449d0f6cd24
+%define rev 36cc5b82f4daf5c2d4e93dc8072665e5a3ca622b
 
 %bcond_without git
 
@@ -28,7 +28,7 @@
 %bcond_without qt5
 
 Name:   clementine
-Version:1.3.1+git20181203
+Version:1.3.1+git20190213
 Release:0
 Summary:A music player inspired by Amarok 1.4
 License:GPL-3.0-or-later
@@ -43,13 +43,9 @@
 Patch1: clementine-udisks-headers.patch
 # Patch fix factory build, add -fPIC to moodbar build
 Patch2: clementine-moodbar-fpic.patch
-# PATCH-FIX-UPSTREAM clementine-gcc7fix.patch davejpla...@gmail.com -- add 
 to includes.
-Patch3: clementine-gcc7fix.patch
 # PATCH-FIX-OPENSUSE clementine-hidden-systray-icon.patch 
davejpla...@gmail.com -- sys tray icon is hidden on some plasma5 systems.
 Patch4: clementine-hidden-systray-icon.patch
 # Fix global shortcuts using Gnome (GSD) D-Bus backend
-# 
https://github.com/clementine-player/Clementine/commit/681f986f0fc87847c18d44b76c75f3c08cca0247.patch
-Patch5: clementine-gsd-dbus-shortcuts.patch
 
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_headers-devel
@@ -71,7 +67,7 @@
 BuildRequires:  cmake(Qt5LinguistTools)
 BuildRequires:  cmake(Qt5Test)
 BuildRequires:  pkgconfig(Qt5Concurrent)
-BuildRequires:  pkgconfig(Qt5Core)
+BuildRequires:  pkgconfig(Qt5Core) >= 5.6
 BuildRequires:  pkgconfig(Qt5DBus)
 BuildRequires:  pkgconfig(Qt5Gui)
 BuildRequires:  pkgconfig(Qt5Network)
@@ -151,9 +147,7 @@
 %endif
 %patch1
 %patch2
-%patch3
 %patch4
-%patch5 -p1
 # NOTE: Build using system versions of libraries.
 rm -rvf 3rdparty/taglib
 rm -rvf 3rdparty/SPMediaKeyTap

++ clementine-1.3.1+git20181203.tar.gz -> 
clementine-1.3.1+git20190213.tar.gz ++
/work/SRC/openSUSE:Factory/clementine/clementine-1.3.1+git20181203.tar.gz 
/work/SRC/openSUSE:Factory/.clementine.new.25356/clementine-1.3.1+git20190213.tar.gz
 differ: char 28, line 1

++ clementine-hidden-systray-icon.patch ++
--- /var/tmp/diff_new_pack.K7gRZT/_old  2019-03-26 22:34:27.745676245 +0100
+++ /var/tmp/diff_new_pack.K7gRZT/_new  2019-03-26 22:34:27.765676240 +0100
@@ -1,7 +1,7 @@
 Index: dist/clementine.desktop
 ===
 dist/clementine.desktop.orig   2018-10-22 17:44:59.0 +0200
-+++ dist/clementine.desktop2018-11-03 16:55:54.935439281 +0200
+--- dist/clementine.desktop.orig   2019-01-15 09:06:34.053172793 +0200
 dist/clementine.desktop2019-01-15 09:06:42.977475930 +0200
 @@ -36,7 +36,7 @@ TryExec=clementine
  Icon=clementine
  Terminal=false
@@ -11,3 +11,15 @@
  
MimeType=application/ogg;application/x-ogg;application/x-ogm-audio;audio/aac;audio/mp4;audio/mpeg;audio/mpegurl;audio/ogg;audio/vnd.rn-realaudio;audio/vorbis;audio/x-flac;audio/x-mp3;audio/x-mpeg;audio/x-mpegurl;audio/x-ms-wma;audio/x-musepack;audio/x-oggflac;audio/x-pn-realaudio;audio/x-scpls;audio/x-speex;audio/x-vorbis;audio/x-vorbis+ogg;audio/x-wav;video/x-ms-asf;x-content/audio-player;x-scheme-handler/zune;x-scheme-handler/itpc;x-scheme-handler/itms;x-scheme-handler/feed;
  Actions=Play;Pause;Stop;StopAfterCurrent;Previous;Next;
  
+Index: src/ui/mainwindow.cpp
+===
+--- src/ui/mainwindow.cpp.orig 2018-12-03 02:45:20.0 +0200
 src/ui/mainwindow.cpp  2019-01-15 09:41:32.575111320 +0200
+@@ -1041,6 +1041,7 @@ MainWindow::MainWindow(Application* app,
+   if (hidden && 

commit python-joblib for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-joblib for openSUSE:Factory 
checked in at 2019-03-26 22:34:03

Comparing /work/SRC/openSUSE:Factory/python-joblib (Old)
 and  /work/SRC/openSUSE:Factory/.python-joblib.new.25356 (New)


Package is "python-joblib"

Tue Mar 26 22:34:03 2019 rev:8 rq:688766 version:0.13.2

Changes:

--- /work/SRC/openSUSE:Factory/python-joblib/python-joblib.changes  
2019-03-10 09:37:09.460150633 +0100
+++ /work/SRC/openSUSE:Factory/.python-joblib.new.25356/python-joblib.changes   
2019-03-26 22:34:45.941671497 +0100
@@ -1,0 +2,7 @@
+Tue Mar 26 14:45:24 UTC 2019 - Tomáš Chvátal 
+
+- Update to 0.13.2:
+  * Upgrade to cloudpickle 0.8.0
+  * Add a non-regression test related to joblib issues #836 and #833, 
reporting that cloudpickle versions between 0.5.4 and 0.7 introduced a bug 
where global variables changes in a parent process between two calls to 
joblib.Parallel would not be propagated into the workers
+
+---

Old:

  joblib-0.13.1.tar.gz

New:

  joblib-0.13.2.tar.gz



Other differences:
--
++ python-joblib.spec ++
--- /var/tmp/diff_new_pack.VFlGEs/_old  2019-03-26 22:34:46.805671125 +0100
+++ /var/tmp/diff_new_pack.VFlGEs/_new  2019-03-26 22:34:46.809671123 +0100
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-joblib
-Version:0.13.1
+Version:0.13.2
 Release:0
 Summary:Module for using Python functions as pipeline jobs
 License:BSD-3-Clause

++ joblib-0.13.1.tar.gz -> joblib-0.13.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/joblib-0.13.1/PKG-INFO new/joblib-0.13.2/PKG-INFO
--- old/joblib-0.13.1/PKG-INFO  2019-01-11 19:50:11.0 +0100
+++ new/joblib-0.13.2/PKG-INFO  2019-02-13 16:39:29.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: joblib
-Version: 0.13.1
+Version: 0.13.2
 Summary: Lightweight pipelining: using Python functions as pipeline jobs.
 Home-page: https://joblib.readthedocs.io
 Author: Gael Varoquaux
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/joblib-0.13.1/joblib/__init__.py 
new/joblib-0.13.2/joblib/__init__.py
--- old/joblib-0.13.1/joblib/__init__.py2019-01-11 19:49:21.0 
+0100
+++ new/joblib-0.13.2/joblib/__init__.py2019-02-13 16:38:58.0 
+0100
@@ -106,7 +106,7 @@
 # Dev branch marker is: 'X.Y.dev' or 'X.Y.devN' where N is an integer.
 # 'X.Y.dev0' is the canonical version of 'X.Y.dev'
 #
-__version__ = '0.13.1'
+__version__ = '0.13.2'
 
 
 from .memory import Memory, MemorizedResult, register_store_backend
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/joblib-0.13.1/joblib/externals/cloudpickle/__init__.py 
new/joblib-0.13.2/joblib/externals/cloudpickle/__init__.py
--- old/joblib-0.13.1/joblib/externals/cloudpickle/__init__.py  2018-11-02 
19:49:52.0 +0100
+++ new/joblib-0.13.2/joblib/externals/cloudpickle/__init__.py  2019-02-13 
16:38:07.0 +0100
@@ -2,4 +2,4 @@
 
 from .cloudpickle import *
 
-__version__ = '0.6.1'
+__version__ = '0.8.0'
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/joblib-0.13.1/joblib/externals/cloudpickle/cloudpickle.py 
new/joblib-0.13.2/joblib/externals/cloudpickle/cloudpickle.py
--- old/joblib-0.13.1/joblib/externals/cloudpickle/cloudpickle.py   
2018-11-02 19:49:52.0 +0100
+++ new/joblib-0.13.2/joblib/externals/cloudpickle/cloudpickle.py   
2019-02-13 16:38:07.0 +0100
@@ -42,21 +42,20 @@
 """
 from __future__ import print_function
 
-import io
 import dis
-import sys
-import types
+from functools import partial
+import importlib
+import io
+import itertools
+import logging
 import opcode
+import operator
 import pickle
 import struct
-import logging
-import weakref
-import operator
-import importlib
-import itertools
+import sys
 import traceback
-from functools import partial
-
+import types
+import weakref
 
 # cloudpickle is meant for inter process communication: we expect all
 # communicating processes to run the same Python version hence we favor
@@ -64,36 +63,22 @@
 DEFAULT_PROTOCOL = pickle.HIGHEST_PROTOCOL
 
 
-if sys.version < '3':
+if sys.version_info[0] < 3:  # pragma: no branch
 from pickle import Pickler
 try:
 from cStringIO import StringIO
 except ImportError:
 from StringIO import StringIO
+string_types = (basestring,)  # noqa
 PY3 = False
 else:
 types.ClassType = type
 from pickle import _Pickler as Pickler
 from io 

commit python-ioflo for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-ioflo for openSUSE:Factory 
checked in at 2019-03-26 22:33:51

Comparing /work/SRC/openSUSE:Factory/python-ioflo (Old)
 and  /work/SRC/openSUSE:Factory/.python-ioflo.new.25356 (New)


Package is "python-ioflo"

Tue Mar 26 22:33:51 2019 rev:13 rq:688749 version:1.7.5

Changes:

--- /work/SRC/openSUSE:Factory/python-ioflo/python-ioflo.changes
2018-08-24 17:04:30.546100232 +0200
+++ /work/SRC/openSUSE:Factory/.python-ioflo.new.25356/python-ioflo.changes 
2019-03-26 22:34:40.053673275 +0100
@@ -1,0 +2,8 @@
+Tue Mar 26 14:09:10 UTC 2019 - Tomáš Chvátal 
+
+- Update to 1.7.5:
+  * Some refactoring The ioflo project will have two version branches.
+The version 1.X.X branch will maintain compatibility with Python 2.7.X and 
Python 3.5.
+But this will be mainly maintenance and backport of some new features.
+
+---

Old:

  ioflo-1.7.4.tar.gz

New:

  ioflo-1.7.5.tar.gz



Other differences:
--
++ python-ioflo.spec ++
--- /var/tmp/diff_new_pack.X5oc6r/_old  2019-03-26 22:34:40.673673125 +0100
+++ /var/tmp/diff_new_pack.X5oc6r/_new  2019-03-26 22:34:40.673673125 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-ioflo
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,19 +12,20 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-ioflo
-Version:1.7.4
+Version:1.7.5
 Release:0
 Summary:Python framework for programming autonomous systems
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://github.com/ioflo/ioflo
 Source0:
https://files.pythonhosted.org/packages/source/i/ioflo/ioflo-%{version}.tar.gz
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools-git >= 1.1}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
@@ -39,7 +40,7 @@
 %description
 IoFlo is a software framework for automating developers' programmable world.
 IoFlo has its roots in the research and development of autonomous underwater
-vehicles, autonomic ships, and automated buildings. It attemps to make
+vehicles, autonomic ships, and automated buildings. It attempts to make
 programming autonomous/autonomic systems easier.
 
 %prep
@@ -53,6 +54,10 @@
 rm -f %{buildroot}%{_bindir}/ioflo{2,3}
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
+%check
+# The tests actually fail with syntax error, upstream should sort it out
+#%%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -m unittest 
discover
+
 %files %{python_files}
 %license LICENSE* LEGAL
 %doc README* ChangeLog.md

++ ioflo-1.7.4.tar.gz -> ioflo-1.7.5.tar.gz ++
 1777 lines of diff (skipped)




commit python-jmespath for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-jmespath for openSUSE:Factory 
checked in at 2019-03-26 22:33:56

Comparing /work/SRC/openSUSE:Factory/python-jmespath (Old)
 and  /work/SRC/openSUSE:Factory/.python-jmespath.new.25356 (New)


Package is "python-jmespath"

Tue Mar 26 22:33:56 2019 rev:14 rq:688762 version:0.9.4

Changes:

--- /work/SRC/openSUSE:Factory/python-jmespath/python-jmespath.changes  
2018-12-24 11:38:38.085598911 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-jmespath.new.25356/python-jmespath.changes   
2019-03-26 22:34:41.633672893 +0100
@@ -1,0 +2,7 @@
+Tue Mar 26 14:43:27 UTC 2019 - Tomáš Chvátal 
+
+- Update to 0.9.4:
+  * Fix min_by/max_by with empty lists (`issue 151)
+  * Fix reverse type for null type (issue 145)
+
+---

Old:

  jmespath-0.9.3.tar.gz

New:

  jmespath-0.9.4.tar.gz



Other differences:
--
++ python-jmespath.spec ++
--- /var/tmp/diff_new_pack.Bi9EqL/_old  2019-03-26 22:34:42.033672797 +0100
+++ /var/tmp/diff_new_pack.Bi9EqL/_new  2019-03-26 22:34:42.033672797 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-jmespath
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-jmespath
-Version:0.9.3
+Version:0.9.4
 Release:0
 Summary:Python module for declarative JSON document element extraction
 License:MIT
@@ -37,9 +37,7 @@
 Requires:   python-simplejson
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
-%if 0%{?suse_version} > 1110
 BuildArch:  noarch
-%endif
 %python_subpackages
 
 %description

++ jmespath-0.9.3.tar.gz -> jmespath-0.9.4.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jmespath-0.9.3/PKG-INFO new/jmespath-0.9.4/PKG-INFO
--- old/jmespath-0.9.3/PKG-INFO 2017-05-26 15:45:16.0 +0200
+++ new/jmespath-0.9.4/PKG-INFO 2019-02-25 00:10:48.0 +0100
@@ -1,11 +1,12 @@
 Metadata-Version: 1.1
 Name: jmespath
-Version: 0.9.3
+Version: 0.9.4
 Summary: JSON Matching Expressions
 Home-page: https://github.com/jmespath/jmespath.py
 Author: James Saryerwinnie
 Author-email: j...@jamesls.com
 License: MIT
+Description-Content-Type: UNKNOWN
 Description: JMESPath
 
 
@@ -14,8 +15,8 @@
:target: https://gitter.im/jmespath/chat
 
 
-.. image:: 
https://secure.travis-ci.org/jmespath/jmespath.py.png?branch=develop
-   :target: http://travis-ci.org/jmespath/jmespath.py
+.. image:: 
https://travis-ci.org/jmespath/jmespath.py.svg?branch=develop
+:target: https://travis-ci.org/jmespath/jmespath.py
 
 
 .. image:: 
https://codecov.io/github/jmespath/jmespath.py/coverage.svg?branch=develop
@@ -96,15 +97,14 @@
 .. code:: python
 
 >>> import jmespath
->>> jmespath.search('{a: a, b: b},
+>>> jmespath.search('{a: a, b: b}',
 ... mydata,
 ... 
jmespath.Options(dict_cls=collections.OrderedDict))
 
 
 >>> import jmespath
 >>> parsed = jmespath.compile('{a: a, b: b}')
->>> parsed.search('{a: a, b: b},
-...   mydata,
+>>> parsed.search(mydata,
 ...   
jmespath.Options(dict_cls=collections.OrderedDict))
 
 
@@ -226,6 +226,7 @@
 Classifier: Natural Language :: English
 Classifier: License :: OSI Approved :: MIT License
 Classifier: Programming Language :: Python
+Classifier: Programming Language :: Python :: 2
 Classifier: Programming Language :: Python :: 2.6
 Classifier: Programming Language :: Python :: 2.7
 Classifier: Programming Language :: Python :: 3
@@ -233,5 +234,6 @@
 Classifier: Programming Language :: Python :: 3.4
 Classifier: Programming Language :: Python :: 3.5
 Classifier: Programming Language :: Python :: 3.6
+Classifier: Programming Language :: Python :: 3.7
 Classifier: Programming Language :: Python :: Implementation :: CPython
 Classifier: Programming Language :: Python :: Implementation :: PyPy
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jmespath-0.9.3/README.rst 
new/jmespath-0.9.4/README.rst
--- old/jmespath-0.9.3/README.rst   2017-01-26 

commit python-invoke for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-invoke for openSUSE:Factory 
checked in at 2019-03-26 22:33:46

Comparing /work/SRC/openSUSE:Factory/python-invoke (Old)
 and  /work/SRC/openSUSE:Factory/.python-invoke.new.25356 (New)


Package is "python-invoke"

Tue Mar 26 22:33:46 2019 rev:6 rq:688747 version:1.2.0

Changes:

--- /work/SRC/openSUSE:Factory/python-invoke/python-invoke.changes  
2018-08-13 09:54:34.726860998 +0200
+++ /work/SRC/openSUSE:Factory/.python-invoke.new.25356/python-invoke.changes   
2019-03-26 22:34:35.313674418 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 14:02:06 UTC 2019 - Tomáš Chvátal 
+
+- Update to 1.2.0:
+  * [Feature] #301: (via #414) Overhaul tab completion mechanisms so users can 
print a completion script which automatically matches the emitting binary’s 
configured names (compared to the previous hardcoded scripts, which only worked 
for inv/invoke by default). Thanks to Nicolas Höning for the foundational 
patchset.
+
+---

Old:

  invoke-1.1.1.tar.gz

New:

  invoke-1.2.0.tar.gz



Other differences:
--
++ python-invoke.spec ++
--- /var/tmp/diff_new_pack.tsWff4/_old  2019-03-26 22:34:36.529674125 +0100
+++ /var/tmp/diff_new_pack.tsWff4/_new  2019-03-26 22:34:36.529674125 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-invoke
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,13 +12,13 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-invoke
-Version:1.1.1
+Version:1.2.0
 Release:0
 Summary:Pythonic Task Execution
 License:BSD-2-Clause
@@ -55,6 +55,8 @@
 %setup -q -n invoke-%{version}
 # Remove bundled libs, import will fallback to system provided libs
 rm -fr invoke/vendor/*
+# remove pycache dir
+rm -r invoke/completion/__pycache__/
 
 %patch0 -p1
 
@@ -69,9 +71,7 @@
 %python_clone -a %{buildroot}%{_bindir}/invoke
 
 %check
-%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
-py.test-%{$python_bin_suffix}
-}
+%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} 
py.test-%{$python_bin_suffix}
 
 %post
 %{python_install_alternative inv invoke}

++ invoke-1.1.1.tar.gz -> invoke-1.2.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/invoke-1.1.1/MANIFEST.in new/invoke-1.2.0/MANIFEST.in
--- old/invoke-1.1.1/MANIFEST.in2018-06-19 05:52:58.0 +0200
+++ new/invoke-1.2.0/MANIFEST.in2018-09-07 01:50:37.0 +0200
@@ -1,6 +1,7 @@
 include LICENSE
 include README.rst
 include tasks.py
+recursive-include invoke/completion *
 recursive-include sites *
 recursive-exclude sites/*/_build *
 include dev-requirements.txt
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/invoke-1.1.1/PKG-INFO new/invoke-1.2.0/PKG-INFO
--- old/invoke-1.1.1/PKG-INFO   2018-08-01 03:00:41.0 +0200
+++ new/invoke-1.2.0/PKG-INFO   2018-09-14 01:31:37.0 +0200
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: invoke
-Version: 1.1.1
+Version: 1.2.0
 Summary: Pythonic task execution
 Home-page: http://docs.pyinvoke.org
 Author: Jeff Forcier
@@ -8,7 +8,7 @@
 License: BSD
 Description: 
 To find out what's new in this version of Invoke, please see `the 
changelog
-`_.
+`_.
 
 Welcome to Invoke!
 ==
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/invoke-1.1.1/invoke/_version.py 
new/invoke-1.2.0/invoke/_version.py
--- old/invoke-1.1.1/invoke/_version.py 2018-08-01 03:00:35.0 +0200
+++ new/invoke-1.2.0/invoke/_version.py 2018-09-14 01:31:31.0 +0200
@@ -1,2 +1,2 @@
-__version_info__ = (1, 1, 1)
+__version_info__ = (1, 2, 0)
 __version__ = ".".join(map(str, __version_info__))
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/invoke-1.1.1/invoke/complete.py 
new/invoke-1.2.0/invoke/complete.py
--- old/invoke-1.1.1/invoke/complete.py 2018-06-26 23:26:37.0 +0200
+++ 

commit python-jaraco.text for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-jaraco.text for 
openSUSE:Factory checked in at 2019-03-26 22:33:52

Comparing /work/SRC/openSUSE:Factory/python-jaraco.text (Old)
 and  /work/SRC/openSUSE:Factory/.python-jaraco.text.new.25356 (New)


Package is "python-jaraco.text"

Tue Mar 26 22:33:52 2019 rev:3 rq:688759 version:3.0

Changes:

--- /work/SRC/openSUSE:Factory/python-jaraco.text/python-jaraco.text.changes
2019-03-04 09:21:46.708585831 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-jaraco.text.new.25356/python-jaraco.text.changes
 2019-03-26 22:34:40.997673047 +0100
@@ -1,0 +2,7 @@
+Tue Mar 26 14:34:01 UTC 2019 - Tomáš Chvátal 
+
+- Update to 3.0:
+  * Remove collections dependency to avoid buildcycle
+- Remove multibuild as per above
+
+---

Old:

  _multibuild
  jaraco.text-2.0.tar.gz

New:

  jaraco.text-3.0.tar.gz



Other differences:
--
++ python-jaraco.text.spec ++
--- /var/tmp/diff_new_pack.iuCg2V/_old  2019-03-26 22:34:41.421672945 +0100
+++ /var/tmp/diff_new_pack.iuCg2V/_new  2019-03-26 22:34:41.425672944 +0100
@@ -17,16 +17,8 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%global flavor @BUILD_FLAVOR@%{nil}
-%if "%{flavor}" == "test"
-%define psuffix -test
-%bcond_without test
-%else
-%define psuffix %{nil}
-%bcond_with test
-%endif
-Name:   python-jaraco.text%{psuffix}
-Version:2.0
+Name:   python-jaraco.text
+Version:3.0
 Release:0
 Summary:Tools to work with text
 License:MIT
@@ -34,6 +26,8 @@
 URL:https://github.com/jaraco/jaraco.text
 Source0:
https://files.pythonhosted.org/packages/source/j/jaraco.text/jaraco.text-%{version}.tar.gz
 BuildRequires:  %{python_module jaraco.base >= 6.1}
+BuildRequires:  %{python_module jaraco.functools}
+BuildRequires:  %{python_module pytest}
 BuildRequires:  %{python_module setuptools_scm}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
@@ -43,11 +37,6 @@
 Requires:   python-jaraco.functools
 Requires:   python-six
 BuildArch:  noarch
-%if %{with test}
-BuildRequires:  %{python_module jaraco.collections}
-BuildRequires:  %{python_module jaraco.functools}
-BuildRequires:  %{python_module pytest}
-%endif
 %python_subpackages
 
 %description
@@ -62,7 +51,6 @@
 %python_build
 
 %install
-%if !%{with test}
 %python_install
 
 %{python_expand rm -f %{buildroot}%{$python_sitelib}/jaraco/__init__.py* \
@@ -71,22 +59,15 @@
 $python -O -m compileall -d %{$python_sitelib} 
%{buildroot}%{$python_sitelib}/jaraco/
 %fdupes %{buildroot}%{$python_sitelib}
 }
-%endif
 
 %check
-%if %{with test}
-%{python_expand py.test-%{$python_bin_suffix} \
-  --ignore=_build.python2 --ignore=_build.python3
-}
-%endif
+%pytest
 
-%if !%{with test}
 %files %{python_files}
 %license LICENSE
 %doc docs/*.rst README.rst CHANGES.rst
 %{python_sitelib}/jaraco.text-%{version}-py*.egg-info
 %{python_sitelib}/jaraco/text.py*
 %pycache_only %{python_sitelib}/jaraco/__pycache__/text*.py*
-%endif
 
 %changelog

++ jaraco.text-2.0.tar.gz -> jaraco.text-3.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaraco.text-2.0/.flake8 new/jaraco.text-3.0/.flake8
--- old/jaraco.text-2.0/.flake8 2019-01-01 15:32:26.0 +0100
+++ new/jaraco.text-3.0/.flake8 2019-03-09 21:18:25.0 +0100
@@ -2,6 +2,8 @@
 ignore =
# Allow tabs for indentation
W191
+   # Workaround for https://github.com/PyCQA/pycodestyle/issues/836
+   E117
# W503 violates spec https://github.com/PyCQA/pycodestyle/issues/513
W503
# W504 has issues 
https://github.com/OCA/maintainer-quality-tools/issues/545
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaraco.text-2.0/CHANGES.rst 
new/jaraco.text-3.0/CHANGES.rst
--- old/jaraco.text-2.0/CHANGES.rst 2019-01-01 15:32:26.0 +0100
+++ new/jaraco.text-3.0/CHANGES.rst 2019-03-09 21:18:25.0 +0100
@@ -1,3 +1,16 @@
+3.0
+===
+
+Removed ``local_format``, ``global_format``, and
+``namespace_format``. Instead, developers should
+use `f-strings
+`_
+on Python 3.6 and later or `future-fstrings
+`_ for compatibilty
+with older Pythons. This change eliminates the dependency on
+jaraco.collections and thus for now removes the circular dependency
+as reported in #4.
+
 2.0
 ===
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/jaraco.text-2.0/PKG-INFO 

commit nano for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package nano for openSUSE:Factory checked in 
at 2019-03-26 22:33:33

Comparing /work/SRC/openSUSE:Factory/nano (Old)
 and  /work/SRC/openSUSE:Factory/.nano.new.25356 (New)


Package is "nano"

Tue Mar 26 22:33:33 2019 rev:73 rq:688612 version:4.0

Changes:

--- /work/SRC/openSUSE:Factory/nano/nano.changes2018-11-13 
17:28:27.881377398 +0100
+++ /work/SRC/openSUSE:Factory/.nano.new.25356/nano.changes 2019-03-26 
22:33:58.265683359 +0100
@@ -1,0 +2,27 @@
+Tue Mar 26 08:49:36 UTC 2019 - Martin Pluskal 
+
+- Update to version 4.0:
+  * An overlong line is no longer automatically hard-wrapped.
+  * Smooth scrolling (one line at a time) has become the default.
+  * A newline character is no longer automatically added at end of buffer.
+  * The line below the title bar is by default part of the editing space.
+  * Option --breaklonglines (-b) turns automatic hard-wrapping back on.
+  * Option --jumpyscrolling (-j) gives the chunky, half-screen scrolling.
+  * Option --finalnewline (-f) brings back the automatic newline at EOF.
+  * Option --emptyline (-e) leaves the line below the title bar unused.
+  *  and  now do a linewise scroll instead of a findnext.
+  * Any number of justifications can be undone (like all other operations).
+  * When marked text is justified, it becomes a single, separate paragraph.
+  * Option --guidestripe= draws a vertical bar at the given column.
+  * Option --fill= no longer turns on automatic hard-wrapping.
+  * When a line continues offscreen, it now ends with a highlighted ">".
+  * The halfs of a split two-column character are shown as "[" and "]".
+  * A line now scrolls horizontally one column earlier.
+  * The bindable functions 'cutwordleft' and 'cutwordright' were renamed to 
'chopwordleft' and 'chopwordright' as they don't use the cutbuffer.
+  * The paragraph-jumping functions were moved from Search to Go-to-Line.
+  * Option --rebinddelete is able to compensate for more misbindings.
+  * Options --morespace and --smooth are obsolete and thus ignored.
+  * The --disable-wrapping-as-root configure option was removed.
+- Enable file/magic guessing
+
+---

Old:

  nano-3.2.tar.xz
  nano-3.2.tar.xz.asc

New:

  nano-4.0.tar.xz
  nano-4.0.tar.xz.asc



Other differences:
--
++ nano.spec ++
--- /var/tmp/diff_new_pack.tQxb8G/_old  2019-03-26 22:33:59.969682948 +0100
+++ /var/tmp/diff_new_pack.tQxb8G/_new  2019-03-26 22:33:59.973682947 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package nano
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,9 +16,9 @@
 #
 
 
-%define _version 3
+%define _version 4
 Name:   nano
-Version:3.2
+Version:4.0
 Release:0
 Summary:Pico editor clone with enhancements
 License:GPL-3.0-or-later
@@ -30,8 +30,8 @@
 BuildRequires:  file-devel
 BuildRequires:  groff-full
 BuildRequires:  makeinfo
-BuildRequires:  ncurses-devel
 BuildRequires:  pkgconfig
+BuildRequires:  pkgconfig(ncurses)
 BuildRequires:  pkgconfig(zlib)
 Requires(post): info
 Requires(preun): info

++ nano-3.2.tar.xz -> nano-4.0.tar.xz ++
 118032 lines of diff (skipped)





commit gnote for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package gnote for openSUSE:Factory checked 
in at 2019-03-26 22:33:20

Comparing /work/SRC/openSUSE:Factory/gnote (Old)
 and  /work/SRC/openSUSE:Factory/.gnote.new.25356 (New)


Package is "gnote"

Tue Mar 26 22:33:20 2019 rev:61 rq:688443 version:3.32.0

Changes:

--- /work/SRC/openSUSE:Factory/gnote/gnote.changes  2018-09-28 
08:54:28.713636048 +0200
+++ /work/SRC/openSUSE:Factory/.gnote.new.25356/gnote.changes   2019-03-26 
22:33:43.301686971 +0100
@@ -1,0 +2,14 @@
+Sun Mar 17 16:29:38 UTC 2019 - Bjørn Lie 
+
+- Update to version 3.32.0:
+  + Updated translations.
+
+---
+Sat Jan  5 11:13:52 UTC 2019 - bjorn@gmail.com
+
+- Update to version 3.31.0:
+  + Added new automated tests.
+  + Removed App menu, refactored actions menu.
+  + Updated translations.
+
+---

Old:

  gnote-3.30.0.tar.xz

New:

  gnote-3.32.0.tar.xz



Other differences:
--
++ gnote.spec ++
--- /var/tmp/diff_new_pack.zYyEW2/_old  2019-03-26 22:33:44.045686791 +0100
+++ /var/tmp/diff_new_pack.zYyEW2/_new  2019-03-26 22:33:44.057686788 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gnote
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,9 +16,9 @@
 #
 
 
-%define base_version 3.30
+%define base_version 3.32
 Name:   gnote
-Version:3.30.0
+Version:3.32.0
 Release:0
 Summary:A Port of Tomboy to C++
 License:GPL-3.0-or-later

++ gnote-3.30.0.tar.xz -> gnote-3.32.0.tar.xz ++
 18615 lines of diff (skipped)




commit lutris for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package lutris for openSUSE:Factory checked 
in at 2019-03-26 22:33:29

Comparing /work/SRC/openSUSE:Factory/lutris (Old)
 and  /work/SRC/openSUSE:Factory/.lutris.new.25356 (New)


Package is "lutris"

Tue Mar 26 22:33:29 2019 rev:4 rq:688587 version:0.5.1.2

Changes:

--- /work/SRC/openSUSE:Factory/lutris/lutris.changes2019-03-01 
16:47:26.605798672 +0100
+++ /work/SRC/openSUSE:Factory/.lutris.new.25356/lutris.changes 2019-03-26 
22:33:51.145685078 +0100
@@ -1,0 +2,27 @@
+Tue Mar 26 07:27:30 UTC 2019 - mvet...@suse.com
+
+- Update to 0.5.1.2:
+  * Fix issue with custom Proton detection preventing Wine games from running
+
+---
+Mon Mar 25 08:54:00 UTC 2019 - mvet...@suse.com
+
+- Update to 0.5.1.1:
+  * Cleanup
+- Changelog from 0.5.0.1:
+  * Download the default Lutris Wine version when not available
+  * Prevent duplicates when importing games from 3rd party services
+  * Fix some sorting issues in the view
+  * Add issue reporting feature with the --submit-issue flag. The issue can
+only be saved locally, API integration will be implemented at a later 
stage.
+  * Add support for CD-ROM images for non CD32/CDTV Amiga models
+  * Remove website search from sidebar and merge it with the main search entry
+  * Display a warning message if the installed Nvidia driver is too old
+  * Fix GOG games not being installable without being connected to GOG
+  * Improve performance of log handling
+  * Remove winecfg if Proton is used
+  * Use discrete graphics by default with compatible systems
+  * Increase game icon size from 32x32 to 128x128
+  * Various fixes
+
+---

Old:

  lutris_0.5.0.1.tar.xz

New:

  lutris_0.5.1.2.tar.xz



Other differences:
--
++ lutris.spec ++
--- /var/tmp/diff_new_pack.cFs9Vq/_old  2019-03-26 22:33:53.369684541 +0100
+++ /var/tmp/diff_new_pack.cFs9Vq/_new  2019-03-26 22:33:53.413684530 +0100
@@ -12,13 +12,13 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
 %global appid net.lutris.Lutris
 Name:   lutris
-Version:0.5.0.1
+Version:0.5.1.2
 Release:0
 Summary:Manager for game installation and execution
 License:GPL-3.0-or-later
@@ -86,7 +86,7 @@
 %{_datadir}/polkit-1/actions/*
 %{python3_sitelib}/%{name}-*.egg-info
 %{python3_sitelib}/%{name}/
-%dir %{_datadir}/appdata/
-%{_datadir}/appdata/%{appid}.appdata.xml
+%dir %{_datadir}/metainfo/
+%{_datadir}/metainfo/%{appid}.appdata.xml
 
 %changelog

++ lutris_0.5.0.1.tar.xz -> lutris_0.5.1.2.tar.xz ++
 10182 lines of diff (skipped)




commit gerbv for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package gerbv for openSUSE:Factory checked 
in at 2019-03-26 22:33:26

Comparing /work/SRC/openSUSE:Factory/gerbv (Old)
 and  /work/SRC/openSUSE:Factory/.gerbv.new.25356 (New)


Package is "gerbv"

Tue Mar 26 22:33:26 2019 rev:8 rq:688504 version:2.7.0

Changes:

--- /work/SRC/openSUSE:Factory/gerbv/gerbv.changes  2015-03-05 
18:16:18.0 +0100
+++ /work/SRC/openSUSE:Factory/.gerbv.new.25356/gerbv.changes   2019-03-26 
22:33:46.373686229 +0100
@@ -1,0 +2,18 @@
+Mon Mar 25 22:26:25 UTC 2019 - Stefan Brüns 
+
+- Use correct tarball from upstream
+- Remove unused cruft from the specfile
+
+---
+Wed Feb 27 12:18:11 UTC 2019 - Wojciech Kazubski 
+
+- Update to version 2.7.0
+- Translations restored
+- Patches:
+  * gerbv-2.6.1-undefined-symbols.patch upstreamed
+  * gerbv-fix-install-sh-call.patch upstreamed
+  * gerbv-2.6.1-no-translation.patch upstreamed
+  * gerbv-no-build-time.patch removed, build date/time is now set
+by OBS
+
+---

Old:

  gerbv-2.6.1-no-translation.patch
  gerbv-2.6.1-undefined-symbols.patch
  gerbv-2.6.1.tar.gz
  gerbv-fix-install-sh-call.patch
  gerbv-no-build-time.patch

New:

  gerbv-2.7.0.tar.gz



Other differences:
--
++ gerbv.spec ++
--- /var/tmp/diff_new_pack.mWPUJE/_old  2019-03-26 22:33:47.845685874 +0100
+++ /var/tmp/diff_new_pack.mWPUJE/_new  2019-03-26 22:33:47.961685846 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gerbv
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,36 +12,28 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   gerbv
 %define libname lib%{name}
-Version:2.6.1
+Version:2.7.0
 Release:0
 %define somajor 1
 Summary:Gerber File Viewer that supports the RS-274X Standard
-License:GPL-2.0
+License:GPL-2.0-only
 Group:  Productivity/Scientific/Electronics
 Url:http://gerbv.geda-project.org/
 Source0:
http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
-# PATCH-FIX-OPENSUSE gerbv-no-build-time.patch -- fix W: 
file-contains-date-and-time
-Patch1: gerbv-no-build-time.patch
-# PATCH-FIX-UPSTREAM gerbv-2.6.1-no-translation.patch -- disable translation 
due to missed files
-Patch2: gerbv-2.6.1-no-translation.patch
-# PATCH-FIX-UPSTREAM gerbv-fix-install-sh-call.patch -- Fix calling install-sh 
not from build dir for automake 1.14 
-Patch3: gerbv-fix-install-sh-call.patch
-Patch4: gerbv-2.6.1-undefined-symbols.patch
-BuildRequires:  autoconf
+BuildRequires:  gcc-c++
 BuildRequires:  gtk2-devel
 BuildRequires:  libpng-devel
 BuildRequires:  libtool
+BuildRequires:  opensp
 BuildRequires:  pkgconfig
 BuildRequires:  po4a
 BuildRequires:  update-desktop-files
-# Requires:   guile
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 Gerber Viewer (gerbv) is a viewer for Gerber files. Gerber files are
@@ -73,14 +65,8 @@
 
 %prep
 %setup -q
-%patch1 -p1
-%patch2 -p1
-%patch3 -p1
-%patch4 -p1
 
 %build
-./autogen.sh
-export LDFLAGS="$LDFLAGS -ldl"
 %configure  \
 --disable-static \
 --enable-unit-mm \
@@ -93,28 +79,31 @@
 %suse_update_desktop_file -r %{name} Education Engineering
 find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print
 
+#move translated man page
+mkdir -p %{buildroot}/%{_mandir}/ru/man1
+mv %{buildroot}/%{_mandir}/man1/%{name}.ru.1 
%{buildroot}/%{_mandir}/ru/man1/%{name}.1
+
+%find_lang %{name}
+
 %post -n %{libname}%{somajor} -p /sbin/ldconfig
 
 %postun -n %{libname}%{somajor} -p /sbin/ldconfig
 
-%clean
-rm -rf %{buildroot}
-
-%files
-%defattr(-,root,root)
-%doc COPYING NEWS README
+%files -f %{name}.lang
+%license COPYING
+%doc NEWS README
 %{_bindir}/%{name}
 %{_mandir}/man1/%{name}*
+%{_mandir}/*/man1/%{name}*
 %{_datadir}/%{name}/
 %{_datadir}/icons/*
 %{_datadir}/applications/%{name}.desktop
+%{_datadir}/glib-2.0/schemas/org.geda-user.%{name}.gschema.xml
 
 %files -n %{libname}%{somajor}
-%defattr(-,root,root)
 %{_libdir}/%{libname}.so.%{somajor}*
 
 %files devel
-%defattr(-,root,root)
 %{_includedir}/*
 %{_libdir}/%{libname}.so
 %{_libdir}/pkgconfig/%{libname}.pc

++ 

commit suse-prime for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package suse-prime for openSUSE:Factory 
checked in at 2019-03-26 22:33:03

Comparing /work/SRC/openSUSE:Factory/suse-prime (Old)
 and  /work/SRC/openSUSE:Factory/.suse-prime.new.25356 (New)


Package is "suse-prime"

Tue Mar 26 22:33:03 2019 rev:6 rq:688196 version:0.6.5

Changes:

--- /work/SRC/openSUSE:Factory/suse-prime/suse-prime.changes2019-01-26 
22:25:13.618719348 +0100
+++ /work/SRC/openSUSE:Factory/.suse-prime.new.25356/suse-prime.changes 
2019-03-26 22:33:32.925689475 +0100
@@ -1,0 +2,64 @@
+Sun Mar 24 21:40:17 UTC 2019 - Mykola Krachkovsky 
+
+- Split power support into separate package suse-prime-bbswitch
+  which don't need manual work
+
+---
+Tue Mar 19 14:42:56 UTC 2019 - Stefan Dirsch 
+
+- Update to version 0.6.5
+  * augmented README
+  * do not mention "intel" driver issue with kwin since it is obsolete
+  * improved "intel" xorg config to work properly with compositors
+
+---
+Mon Feb 25 11:05:54 UTC 2019 - sndir...@suse.com
+
+- Update to version 0.6.4
+  * added support for xdm and kdm
+  * removed useless "sudo" in journalctl calls
+
+---
+Fri Feb 22 09:48:49 UTC 2019 - sndir...@suse.com
+
+- Update to version 0.6.3
+  * Best DM support (lightdm added) 
+
+---
+Thu Feb 21 09:54:47 UTC 2019 - sndir...@suse.com
+
+- Update to version 0.6.2
+  - fixes all known issues with GDM, runlevel 3 and manually-started
+x sessions
+* Xorg logfile comparision no longer necessary, let's use
+  journalctl to check user logout
+* other DM(s) than sddm/gdm will be implemented in the future
+
+---
+Fri Feb  8 14:40:50 UTC 2019 - sndir...@suse.com
+
+- Update to version 0.6.1
+  * mainly bugfixes
+- supersedes 0001-Resolved-multiple-unexistent-file-error.patch
+
+---
+Wed Jan 30 11:56:58 UTC 2019 - sndir...@suse.com
+
+- Update to version 0.6
+  * new systemd service file prime-boot-selector in addition to prime-select
++ Service prime-select chooses with whatever driver was previously set by 
user.
++ Service prime-boot-selector sets all things during boot [MUST BE ENABLED]
+  * new prime-select command options
++ prime-select boot intel|intel2|nvidia|last
++ prime-select next-boot intel|intel2|nvidia|abort
++ prime-select service check|disable|restore
+- 0001-Resolved-multiple-unexistent-file-error.patch (post 0.6)
+  * Resolved multiple unexistent file errors
+  * Resolved a big issue in switch command if prime_logfile doesn't exist,
+file check added
+  * Added non existent file handling in various parts of script (next-boot,
+log-view, unset, current_check) Those issues manifested themselves
+after a fresh installation, because some config files still were not
+present
+
+---

Old:

  SUSEPrime-0.5.tar.gz

New:

  SUSEPrime-0.6.5.tar.gz



Other differences:
--
++ suse-prime.spec ++
--- /var/tmp/diff_new_pack.5ajxJ3/_old  2019-03-26 22:33:33.457689346 +0100
+++ /var/tmp/diff_new_pack.5ajxJ3/_new  2019-03-26 22:33:33.461689345 +0100
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   suse-prime
-Version:0.5
+Version:0.6.5
 Release:0
 Summary:GPU (nvidia/intel) selection for NVIDIA optimus laptops
 License:SUSE-Public-Domain
@@ -27,6 +27,7 @@
 Recommends: nvidia_driver
 Supplements:modalias(nvidia_driver:pci:v8086d*sv*sd*bc03sc*i*)
 Conflicts:  suse-prime-alt
+Conflicts:  suse-prime-bbswitch
 BuildArch:  noarch
 
 %description
@@ -34,6 +35,22 @@
 NVIDIA GPU on a Optimus Laptop. The switching is similar to
 the feature provided by the nvidia-prime package in Ubuntu.
 
+%package bbswitch
+Summary:GPU (nvidia/intel) selection for NVIDIA optimus laptops with 
bbswitch support
+Group:  System/X11/Utilities
+BuildRequires:  systemd
+Requires:   bbswitch
+Conflicts:  suse-prime-alt
+Conflicts:  suse-prime
+BuildArch:  noarch
+%{?systemd_requires}
+
+%description bbswitch
+A collection of shell scripts that makes it possible to use the
+NVIDIA GPU on a Optimus Laptop. The 

commit psqlODBC for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package psqlODBC for openSUSE:Factory 
checked in at 2019-03-26 22:32:52

Comparing /work/SRC/openSUSE:Factory/psqlODBC (Old)
 and  /work/SRC/openSUSE:Factory/.psqlODBC.new.25356 (New)


Package is "psqlODBC"

Tue Mar 26 22:32:52 2019 rev:24 rq:688157 version:11.00.

Changes:

--- /work/SRC/openSUSE:Factory/psqlODBC/psqlODBC.changes2018-05-29 
10:41:17.792516242 +0200
+++ /work/SRC/openSUSE:Factory/.psqlODBC.new.25356/psqlODBC.changes 
2019-03-26 22:33:25.397691291 +0100
@@ -1,0 +2,22 @@
+Wed Mar 13 14:46:32 UTC 2019 - Reinhard Max 
+
+- Update to version 11.00.:
+  * Remove obsolete maps pointed out.
+  * Remove connSettings option and/or pqopt option from the
+OutConnectionString parameter of SQLDriverConnect() when each
+option doesn't exist in InConnectionString parameter.
+  * The parameters should be cast because parameters of concat()
+function are variadic "any".
+  * Add an alias DX of *Database* keyword for connection strings
+to aviod the use of "database" keyword which has a special
+meaning in some apps or middlewares.
+  * numeric items without precision are unlimited and there's no
+natural map between SQL Data types.
+Add an option *Numeric(without precision) as*
+  * Fix a bug that SQLSpecialColumns() returns oid/xmin
+incorrectly when a table does not exist.
+- Fix build with PostgreSQL 11 that does not have pg_config in the
+  regular devel package anymore (psqlODBC-internal.patch).
+- Avoid self-obsoletion.
+
+---

Old:

  psqlodbc-10.03..tar.gz

New:

  psqlODBC-internal.patch
  psqlodbc-11.00..tar.gz



Other differences:
--
++ psqlODBC.spec ++
--- /var/tmp/diff_new_pack.Q16uR0/_old  2019-03-26 22:33:27.037690896 +0100
+++ /var/tmp/diff_new_pack.Q16uR0/_new  2019-03-26 22:33:27.041690895 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package psqlODBC
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -26,18 +26,19 @@
 Url:https://odbc.postgresql.org/
 %define tarname psqlodbc
 Summary:ODBC Driver for PostgreSQL
-License:LGPL-2.1+
+License:LGPL-2.1-or-later
 Group:  Productivity/Databases/Clients
-Version:10.03.
+Version:11.00.
 Release:0
 Source0:
https://ftp.postgresql.org/pub/odbc/versions/src/%tarname-%{version}.tar.gz
+Patch0: psqlODBC-internal.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 PreReq: /usr/bin/odbcinst
-Obsoletes:  pg_odbc
-Obsoletes:  postgresql-odbc
+Obsoletes:  pg_odbc < %version-%release
+Obsoletes:  postgresql-odbc < %version-%release
 Provides:   pg_iface:/usr/lib/pgsql/odbcinst.ini
-Provides:   pg_odbc
-Provides:   postgresql-odbc
+Provides:   pg_odbc = %version-%release
+Provides:   postgresql-odbc = %version-%release
 
 %description
 This package contains the ODBC (Open DataBase Connectivity) driver and
@@ -46,13 +47,12 @@
 
 %prep
 %setup -q -n %tarname-%version
+%patch0 -p0
 
 %build
-autoreconf -fi
-# they don't ship configure.in, so we have to patch configure :(
-sed -i '/LDFLAGS=/s/\$pg_libs//' configure
-export CFLAGS="%optflags -fno-strict-aliasing -I/usr/include/pgsql"
+export CPPFLAGS="-I/usr/include/pgsql"
 %configure --with-unixodbc
+make 
 
 %install
 make DESTDIR=%buildroot install

++ psqlODBC-internal.patch ++
--- connection.h.orig
+++ connection.h
@@ -11,7 +11,7 @@
 
 #include "psqlodbc.h"
 #include 
-#include "pqexpbuffer.h"
+#include "internal/pqexpbuffer.h"
 
 #include 
 
++ psqlodbc-10.03..tar.gz -> psqlodbc-11.00..tar.gz ++
 2174 lines of diff (skipped)




commit openafs for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package openafs for openSUSE:Factory checked 
in at 2019-03-26 22:33:11

Comparing /work/SRC/openSUSE:Factory/openafs (Old)
 and  /work/SRC/openSUSE:Factory/.openafs.new.25356 (New)


Package is "openafs"

Tue Mar 26 22:33:11 2019 rev:10 rq:688258 version:1.8.3~pre1

Changes:

--- /work/SRC/openSUSE:Factory/openafs/openafs.changes  2019-01-24 
14:12:32.907422471 +0100
+++ /work/SRC/openSUSE:Factory/.openafs.new.25356/openafs.changes   
2019-03-26 22:33:40.765687583 +0100
@@ -1,0 +2,13 @@
+Mon Mar 25 11:32:32 UTC 2019 - Jan Engelhardt 
+
+- Use source URLs.
+
+---
+Thu Mar 14 08:37:04 UTC 2019 - Christof Hanke 
+
+- update to pre-release 1.8.3pre1
+  * fix builds for Linux-kernels 4.20 and 5.0 
+  * other fixes, see RELNOTES-1.8.3pre1
+  * remove obsolete Linux-4.20.patch
+
+---

Old:

  Linux-4.20.patch
  RELNOTES-1.8.2
  openafs-1.8.2-doc.tar.bz2
  openafs-1.8.2-doc.tar.bz2.md5
  openafs-1.8.2-doc.tar.bz2.sha256
  openafs-1.8.2-src.tar.bz2
  openafs-1.8.2-src.tar.bz2.md5
  openafs-1.8.2-src.tar.bz2.sha256

New:

  RELNOTES-1.8.3pre1
  openafs-1.8.3pre1-doc.tar.bz2
  openafs-1.8.3pre1-doc.tar.bz2.md5
  openafs-1.8.3pre1-doc.tar.bz2.sha256
  openafs-1.8.3pre1-src.tar.bz2
  openafs-1.8.3pre1-src.tar.bz2.md5
  openafs-1.8.3pre1-src.tar.bz2.sha256



Other differences:
--
++ openafs.spec ++
--- /var/tmp/diff_new_pack.P8szB7/_old  2019-03-26 22:33:42.057687271 +0100
+++ /var/tmp/diff_new_pack.P8szB7/_new  2019-03-26 22:33:42.057687271 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 # needssslcertforbuild
 
@@ -56,27 +56,27 @@
 
 # used for %setup only
 # leave upstream tar-balls untouched for integrity checks.
-%define upstream_version 1.8.2
+%define upstream_version 1.8.3pre1
 
 Name:   openafs
 
-Version:1.8.2
+Version:1.8.3~pre1
 Release:0
 Summary:OpenAFS Distributed File System
 License:IPL-1.0
 Group:  System/Filesystems
 Url:http://www.openafs.org/
 
-Source0:openafs-%{version}-src.tar.bz2
-Source1:openafs-%{version}-doc.tar.bz2
-Source2:openafs-%{version}-src.tar.bz2.md5
-Source3:openafs-%{version}-doc.tar.bz2.md5
-Source4:openafs-%{version}-src.tar.bz2.sha256
-Source5:openafs-%{version}-doc.tar.bz2.sha256
+Source0:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-src.tar.bz2
+Source1:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-doc.tar.bz2
+Source2:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-src.tar.bz2.md5
+Source3:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-doc.tar.bz2.md5
+Source4:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-src.tar.bz2.sha256
+Source5:
http://www.openafs.org/dl/openafs/candidate/%{upstream_version}/openafs-%{upstream_version}-doc.tar.bz2.sha256
 Source10:   README.SUSE.openafs
 Source15:   logrotate.openafs-server
 Source16:   ld.conf.openafs
-Source18:   RELNOTES-%{version}
+Source18:   RELNOTES-%{upstream_version}
 Source19:   ChangeLog
 Source20:   kernel-source.build-modules.sh
 Source22:   sysconfig.openafs-fuse-client
@@ -98,8 +98,6 @@
 Patch4: openafs-1.8.x.ncurses6.patch
 # PATCH-SUSE-SPECIFIC make KMP work again 
 Patch5: add_arch_to_linux_kernel_make.patch
-# PATCH-BACKPORT-FROM-UPSTREAM make KMP build for kernel 4.20
-Patch6: Linux-4.20.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 #
@@ -309,7 +307,6 @@
 %setup -q -n openafs-%{upstream_version} -T -b 0 -b 1
 %patch3 -p1
 %patch5 -p1
-%patch6 -p1
 
 %if %{run_regen}
 %patch4 -p1

++ ChangeLog ++
 1665 lines (skipped)
 between /work/SRC/openSUSE:Factory/openafs/ChangeLog
 and /work/SRC/openSUSE:Factory/.openafs.new.25356/ChangeLog

++ RELNOTES-1.8.3pre1 ++
   User-Visible OpenAFS Changes

OpenAFS 1.8.3 (in progress)

  All platforms

* Improved diagnostics and error messages (13186 13411 13417)

* Avoid sending RX packets with random garbage in the userStatus field
  (13332)

* Fixed detection of the RX initialization status 

commit znc for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package znc for openSUSE:Factory checked in 
at 2019-03-26 22:33:09

Comparing /work/SRC/openSUSE:Factory/znc (Old)
 and  /work/SRC/openSUSE:Factory/.znc.new.25356 (New)


Package is "znc"

Tue Mar 26 22:33:09 2019 rev:17 rq:688197 version:1.7.2

Changes:

--- /work/SRC/openSUSE:Factory/znc/znc.changes  2019-02-24 17:10:43.956500441 
+0100
+++ /work/SRC/openSUSE:Factory/.znc.new.25356/znc.changes   2019-03-26 
22:33:33.697689288 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 11:06:56 UTC 2019 - Martin Pluskal 
+
+- Fix boo#1130360 CVE-2019-9917
+  * znc-CVE-2019-9917.patch
+
+---

New:

  znc-CVE-2019-9917.patch



Other differences:
--
++ znc.spec ++
--- /var/tmp/diff_new_pack.2bSoxW/_old  2019-03-26 22:33:34.381689123 +0100
+++ /var/tmp/diff_new_pack.2bSoxW/_new  2019-03-26 22:33:34.385689122 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package znc
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -26,6 +26,8 @@
 Source0:https://znc.in/releases/%{name}-%{version}.tar.gz
 Source1:https://znc.in/releases/%{name}-%{version}.tar.gz.sig
 Source2:%{name}.keyring
+# PATCH-FIX-UPSTREAM znc-CVE-2019-9917.patch boo#1130360
+Patch0: znc-CVE-2019-9917.patch
 BuildRequires:  cmake >= 3.1
 BuildRequires:  fdupes
 BuildRequires:  gcc-c++
@@ -110,6 +112,7 @@
 
 %prep
 %setup -q
+%patch0 -p1
 
 %build
 %cmake \


++ znc-CVE-2019-9917.patch ++
>From 64613bc8b6b4adf1e32231f9844d99cd512b8973 Mon Sep 17 00:00:00 2001
From: Alexey Sokolov 
Date: Fri, 15 Mar 2019 20:34:10 +
Subject: [PATCH] Don't crash if user specified invalid encoding.

This is CVE-2019-9917
---
 modules/controlpanel.cpp |  2 +-
 src/IRCNetwork.cpp   |  4 ++--
 src/User.cpp |  4 ++--
 src/znc.cpp  | 26 ++
 test/integration/tests/scripting.cpp |  7 +++
 5 files changed, 34 insertions(+), 9 deletions(-)

diff --git a/modules/controlpanel.cpp b/modules/controlpanel.cpp
index 139c2aefa..109f8c6b0 100644
--- a/modules/controlpanel.cpp
+++ b/modules/controlpanel.cpp
@@ -495,7 +495,7 @@ class CAdminMod : public CModule {
 #ifdef HAVE_ICU
 else if (sVar == "clientencoding") {
 pUser->SetClientEncoding(sValue);
-PutModule("ClientEncoding = " + sValue);
+PutModule("ClientEncoding = " + pUser->GetClientEncoding());
 }
 #endif
 else
diff --git a/src/IRCNetwork.cpp b/src/IRCNetwork.cpp
index 0284dc53e..0e1d6e2a3 100644
--- a/src/IRCNetwork.cpp
+++ b/src/IRCNetwork.cpp
@@ -1482,9 +1482,9 @@ void CIRCNetwork::SetBindHost(const CString& s) {
 }
 
 void CIRCNetwork::SetEncoding(const CString& s) {
-m_sEncoding = s;
+m_sEncoding = CZNC::Get().FixupEncoding(s);
 if (GetIRCSock()) {
-GetIRCSock()->SetEncoding(s);
+GetIRCSock()->SetEncoding(m_sEncoding);
 }
 }
 
diff --git a/src/User.cpp b/src/User.cpp
index 3fd532a7c..c44cf6070 100644
--- a/src/User.cpp
+++ b/src/User.cpp
@@ -1253,9 +1253,9 @@ void CUser::SetAdmin(bool b) { m_bAdmin = b; }
 void CUser::SetDenySetBindHost(bool b) { m_bDenySetBindHost = b; }
 void CUser::SetDefaultChanModes(const CString& s) { m_sDefaultChanModes = s; }
 void CUser::SetClientEncoding(const CString& s) {
-m_sClientEncoding = s;
+m_sClientEncoding = CZNC::Get().FixupEncoding(s);
 for (CClient* pClient : GetAllClients()) {
-pClient->SetEncoding(s);
+pClient->SetEncoding(m_sClientEncoding);
 }
 }
 void CUser::SetQuitMsg(const CString& s) { m_sQuitMsg = s; }
diff --git a/src/znc.cpp b/src/znc.cpp
index 4e7216ee1..3f4dd2e07 100644
--- a/src/znc.cpp
+++ b/src/znc.cpp
@@ -2092,18 +2092,36 @@ void CZNC::ForceEncoding() {
 m_uiForceEncoding++;
 #ifdef HAVE_ICU
 for (Csock* pSock : GetManager()) {
-if (pSock->GetEncoding().empty()) {
-pSock->SetEncoding("UTF-8");
-}
+pSock->SetEncoding(FixupEncoding(pSock->GetEncoding()));
 }
 #endif
 }
 void CZNC::UnforceEncoding() { m_uiForceEncoding--; }
 bool CZNC::IsForcingEncoding() const { return m_uiForceEncoding; }
 CString CZNC::FixupEncoding(const 

commit gbrainy for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package gbrainy for openSUSE:Factory checked 
in at 2019-03-26 22:32:33

Comparing /work/SRC/openSUSE:Factory/gbrainy (Old)
 and  /work/SRC/openSUSE:Factory/.gbrainy.new.25356 (New)


Package is "gbrainy"

Tue Mar 26 22:32:33 2019 rev:60 rq:687895 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/gbrainy/gbrainy.changes  2018-10-08 
17:50:57.146061126 +0200
+++ /work/SRC/openSUSE:Factory/.gbrainy.new.25356/gbrainy.changes   
2019-03-26 22:32:56.585698245 +0100
@@ -1,0 +2,16 @@
+Wed Mar 20 22:00:24 UTC 2019 - Bjørn Lie 
+
+- Update to version 2.4.0:
+  + 2 bug fixes in games.
+  + Several fixes in the build system.
+  + Updated translations.
+- Changes from version 2.3.9:
+  + 2 bug fixes in games.
+  + Updated translations.
+- Changes from version 2.3.8:
+  + Fixes bug with librsvg that prevented gbrainy from getting
+started.
+- Refresh patch with refresh_patches service.
+- Remove conditional for t-u-u and macro.
+
+---

Old:

  gbrainy-2.3.7.tar.gz

New:

  gbrainy-2.4.0.tar.gz



Other differences:
--
++ gbrainy.spec ++
--- /var/tmp/diff_new_pack.Yvf6yJ/_old  2019-03-26 22:32:57.861697937 +0100
+++ /var/tmp/diff_new_pack.Yvf6yJ/_new  2019-03-26 22:32:57.865697936 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package gbrainy
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   gbrainy
-Version:2.3.7
+Version:2.4.0
 Release:0
 Summary:A brain teaser game and trainer
 License:GPL-2.0-or-later
@@ -26,6 +26,7 @@
 Source: 
https://gent.softcatala.org/jmas/gbrainy/%{name}-%{version}.tar.gz
 # PATCH-FIX-OPENSUSE -- gbrainy-use-libexecdir.patch
 Patch0: gbrainy-use-libexecdir.patch
+
 BuildRequires:  fdupes
 BuildRequires:  intltool
 BuildRequires:  pkgconfig
@@ -61,18 +62,18 @@
 * Verbal analogies. Games that challenge your verbal aptitude.
 
 %prep
-%setup -q
+%autosetup -p1
 %if !0%{?is_opensuse}
 translation-update-upstream
 %endif
-%patch0
 
 %lang_package
 
 %build
 export MONO_SHARED_DIR=%{_localstatedir}/tmp
 %configure \
---disable-static
+   --disable-static \
+   %{nil}
 make %{?_smp_mflags}
 
 %install

++ gbrainy-2.3.7.tar.gz -> gbrainy-2.4.0.tar.gz ++
 9669 lines of diff (skipped)

++ gbrainy-use-libexecdir.patch ++
--- /var/tmp/diff_new_pack.Yvf6yJ/_old  2019-03-26 22:32:58.349697820 +0100
+++ /var/tmp/diff_new_pack.Yvf6yJ/_new  2019-03-26 22:32:58.349697820 +0100
@@ -1,8 +1,8 @@
-Index: src/Clients/Classical/Makefile.am
+Index: gbrainy-2.4.0/src/Clients/Classical/Makefile.am
 ===
 src/Clients/Classical/Makefile.am.orig
-+++ src/Clients/Classical/Makefile.am
-@@ -41,7 +41,7 @@ RESOURCES =  
\
+--- gbrainy-2.4.0.orig/src/Clients/Classical/Makefile.am   2019-01-13 
23:30:19.0 +0100
 gbrainy-2.4.0/src/Clients/Classical/Makefile.am2019-03-20 
23:01:36.221865097 +0100
+@@ -46,7 +46,7 @@ RESOURCES =  
\
  -resource:$(top_srcdir)/data/app-graphics/gtk-stop.svg \
  -resource:$(top_srcdir)/data/app-graphics/gtk-ok.svg
  
@@ -11,10 +11,10 @@
  gbrainy_SCRIPTS = ../../gbrainy.exe ../../gbrainy.exe.config
  bin_SCRIPTS = gbrainy
  
-Index: src/Clients/Classical/gbrainy.in
+Index: gbrainy-2.4.0/src/Clients/Classical/gbrainy.in
 ===
 src/Clients/Classical/gbrainy.in.orig
-+++ src/Clients/Classical/gbrainy.in
+--- gbrainy-2.4.0.orig/src/Clients/Classical/gbrainy.in2019-01-09 
07:03:35.0 +0100
 gbrainy-2.4.0/src/Clients/Classical/gbrainy.in 2019-03-20 
23:01:36.221865097 +0100
 @@ -1,10 +1,8 @@
  #!/bin/bash
  
@@ -28,11 +28,11 @@
   
  for arg in $*; do
  case "x--debug" in ("x${arg}")
-Index: src/Core/Makefile.am
+Index: gbrainy-2.4.0/src/Core/Makefile.am
 ===
 src/Core/Makefile.am.orig
-+++ src/Core/Makefile.am
-@@ -69,19 +69,19 @@ $(TARGET): $(CSFILES) $(RES)
+--- gbrainy-2.4.0.orig/src/Core/Makefile.am2019-01-09 07:03:35.0 
+0100
 gbrainy-2.4.0/src/Core/Makefile.am 2019-03-20 23:01:36.221865097 +0100
+@@ -104,19 +104,19 @@ $(TARGET): $(CSFILES) $(RES)
$(CSC) -out:$@ 

commit vagrant for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package vagrant for openSUSE:Factory checked 
in at 2019-03-26 22:32:43

Comparing /work/SRC/openSUSE:Factory/vagrant (Old)
 and  /work/SRC/openSUSE:Factory/.vagrant.new.25356 (New)


Package is "vagrant"

Tue Mar 26 22:32:43 2019 rev:14 rq:687930 version:2.2.4

Changes:

--- /work/SRC/openSUSE:Factory/vagrant/vagrant.changes  2019-03-11 
11:16:24.741317794 +0100
+++ /work/SRC/openSUSE:Factory/.vagrant.new.25356/vagrant.changes   
2019-03-26 22:33:11.709694595 +0100
@@ -1,0 +2,70 @@
+Wed Mar 20 15:26:54 UTC 2019 - Robert Frohl 
+
+- update to 2.2.4
+  FEATURES:
+
+  - core/triggers: Introduce new option :type for actions, hooks, and commands 
[GH-10615]
+
+  IMPROVEMENTS:
+
+  - communicator/ssh: Update #upload behavior to work properly with new sshd 
path checks [GH-10698]
+  - communicator/winrm: Update #upload behavior to match ssh communicator 
upload behavior [GH-10698]
+  - guest/windows: Add reboot output to guest capability [GH-10638]
+  - provisioner/file: Refactor path modification rules and allow communicator 
to handle details [GH-10698]
+
+  BUG FIXES:
+
+  - core: Fix format finalization of plugins in Vagrantfile [GH-10664]
+  - core: Fix SIGINT behavior and prevent backtrace [GH-10666]
+  - core: Change remaining box_client_cert refs to box_download_client_cert 
[GH-10622]
+  - core: Move over AddAuthentication middleware and hooks out of deprecated 
class [GH-10686]
+  - guest/debian: Properly set DHCP for systemd-networkd ips [GH-10586]
+  - guest/solaris11: Create interface if required before configuration 
[GH-10595]
+  - installers/appimage: Use ld path with appimage libs on suffix [GH-10647]
+  - providers/docker: Expand paths when comparing synced folders on reload 
[GH-10645]
+  - providers/virtualbox: Fix import paths on Windows with VirtualBox 6 
[GH-10629]
+  - synced_folders/rsync: Properly clean up tmp folder created during rsync 
[GH-10690]
+
+- update to 2.2.3
+  FEATURES:
+
+  - host/void: Add host support for void linux [GH-10012]
+
+  IMPROVEMENTS:
+
+  - command/rsync-auto: Prevent crash on post-rsync command failure [GH-10515]
+  - command/snapshot: Raise error for bad subcommand [GH-10470]
+  - command/package: Ensure temp dir for package command is cleaned up 
[GH-10479]
+  - command/powershell: Support running elevated commands [GH-10528]
+  - communicator/ssh: Add config and remote_user options [GH-10496]
+  - core: Display version update on stderr instead of stdout [GH-10482]
+  - core: Add experimental feature flag [GH-10485]
+  - core: Show box version during box outdated check [GH-10573]
+  - guest/windows: Modify elevated username only on username failure [GH-10488]
+  - host/windows: Prevent SMB setup commands from becoming too long [GH-10489]
+  - host/windows: Automatically answer yes when pruning SMB shares [GH-10524]
+  - provisioners/file: Show source and destination locations with file 
provisioner [GH-10570]
+  - provisioners/salt: Validate that install_type is set if version is 
specified [GH-10474]
+  - provisioners/salt: Update default install version [GH-10537]
+  - provisioners/shell: Add reboot option for rebooting supported guest 
[GH-10532]
+  - synced_folders/rsync: Support using rsync --chown option [GH-10529]
+  - util/guest_inspection: Validate hostnamectl command works when detected 
[GH-10512]
+  - util/platform: Use wslpath command for customized root on WSL [GH-10574]
+
+  BUG FIXES:
+
+  - command/cloud publish: Ensure box file exists before path expanding 
[GH-10468]
+  - command/cloud publish: Catch InvalidVersion errors from vagrant_cloud 
client [GH-10513]
+  - command/snapshot: Retain consistent provisioning behavior across all 
commands [GH-10490]
+  - command/validate: Bypass install checks for validating configs with the 
--ignore-provider flag [GH-10467]
+  - communicator/ssh: Fix garbage output detection [GH-10571]
+  - guest/alt: Fix network configuration errors [GH-10527]
+  - guest/coreos: Fix grep command for network interface of CoreOS guest 
[GH-10554]
+  - guest/freebsd: Fix defaultrouter rcvar in static network template 
[GH-10469]
+  - guest/redhat: Fix network configuration errors [GH-10527]
+  - providers/virtualbox: Adjust version requirement for NIC warning [GH-10486]
+  - util/powershell: Use correct Base64 encoding for encoded commands 
[GH-10487]
+
+- Rebased 0002-bin-vagrant-silence-warning-about-installer.patch as context 
changed
+
+---

Old:

  vagrant-2.2.2.tar.gz

New:

  vagrant-2.2.4.tar.gz



Other differences:
--
++ vagrant.spec ++
--- /var/tmp/diff_new_pack.htLEav/_old  2019-03-26 22:33:13.501694162 +0100
+++ 

commit openxcom for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package openxcom for openSUSE:Factory 
checked in at 2019-03-26 22:32:41

Comparing /work/SRC/openSUSE:Factory/openxcom (Old)
 and  /work/SRC/openSUSE:Factory/.openxcom.new.25356 (New)


Package is "openxcom"

Tue Mar 26 22:32:41 2019 rev:6 rq:687918 version:1.0.0.1552426261.8a4b13d65

Changes:

--- /work/SRC/openSUSE:Factory/openxcom/openxcom.changes2018-02-15 
13:26:50.285073444 +0100
+++ /work/SRC/openSUSE:Factory/.openxcom.new.25356/openxcom.changes 
2019-03-26 22:33:09.437695143 +0100
@@ -1,0 +2,18 @@
+Sat Mar 23 16:47:40 UTC 2019 - tchva...@suse.com
+
+- Switch to github service as there was n o release since 2014
+  and there are simply too many fixes in the git repository
+- Update to version 1.0.0.1552426261.8a4b13d65:
+  * Update links
+  * Check if OXCE is required when enabling mods
+  * Don't replenish empty medikits after reload
+  * Fix language loading to properly default to en-US when translations are 
missing. Prioritize untranslated text over incorrect text.
+  * Correctly drop units on the ground
+  * Fix handling a mix of unconscious and MIA units
+  * Fix handling of unconscious ignored units
+  * Fix ignored units making it through to the next stage
+- Remove upstream patches:
+  * openxcom-math.patch
+  * openxcom-abs.patch
+
+---

Old:

  openxcom-1.0.0.tar.gz
  openxcom-abs.patch
  openxcom-math.patch

New:

  OpenXcom-1.0.0.1552426261.8a4b13d65.tar.xz
  _service



Other differences:
--
++ openxcom.spec ++
--- /var/tmp/diff_new_pack.X1MeYi/_old  2019-03-26 22:33:11.013694763 +0100
+++ /var/tmp/diff_new_pack.X1MeYi/_new  2019-03-26 22:33:11.053694753 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package openxcom
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,37 +12,34 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   openxcom
-Version:1.0.0
+Version:1.0.0.1552426261.8a4b13d65
 Release:0
 Summary:An open source reimplementation of the original X-Com game
-License:GPL-3.0
+License:GPL-3.0-only
 Group:  Amusements/Games/Strategy/Turn Based
-Url:http://openxcom.org/
-# Interesting approach to count downloads http://openxcom.org/file/1726/
-Source: %{name}-%{version}.tar.gz
-# PATCH-FIX-UPSTREAM: gcc6 compat, taken from git
-Patch0: openxcom-abs.patch
-# PATCH-FIX-UPSTREAM include math.h when needed also in git
-Patch1: openxcom-math.patch
+URL:http://openxcom.org/
+Source: OpenXcom-%{version}.tar.xz
 BuildRequires:  Mesa-devel
-BuildRequires:  SDL-devel
-BuildRequires:  SDL_gfx-devel >= 2.0.22
-BuildRequires:  SDL_image-devel
-BuildRequires:  SDL_mixer-devel
+BuildRequires:  autoconf
+BuildRequires:  automake
 BuildRequires:  docbook2X
 BuildRequires:  dos2unix
 BuildRequires:  doxygen
 BuildRequires:  fdupes
 BuildRequires:  gcc
 BuildRequires:  gcc-c++
-BuildRequires:  pkg-config
+BuildRequires:  pkgconfig
 BuildRequires:  xmlto
-BuildRequires:  yaml-cpp-devel >= 0.5
+BuildRequires:  pkgconfig(SDL_gfx)
+BuildRequires:  pkgconfig(SDL_image)
+BuildRequires:  pkgconfig(SDL_mixer)
+BuildRequires:  pkgconfig(sdl)
+BuildRequires:  pkgconfig(yaml-cpp) >= 0.5
 
 %description
 OpenXcom is an open-source clone of the original UFO: Enemy Unknown
@@ -64,7 +61,7 @@
 Documentation files for %{name} game.
 
 %prep
-%autosetup -p1
+%setup -q -n OpenXcom-%{version}
 
 chmod -x LICENSE.txt
 sed -i \
@@ -73,6 +70,7 @@
 dos2unix *.txt
 
 %build
+autoreconf -fvi
 %configure \
--disable-werror \
--disable-silent-rules \
@@ -80,16 +78,18 @@
 make %{?_smp_mflags}
 
 %install
-make %{?_smp_mflags} DESTDIR=%{buildroot} install
+%make_install
+pushd %{buildroot}%{_datadir}/pixmaps/
+ln -s openxcom_wide.svg openxcom.svg
+popd
 %fdupes %{buildroot}%{_datadir}
 
 %files
-%defattr(-,root,root,-)
-%doc LICENSE.txt README.txt CHANGELOG.txt
+%license LICENSE.txt
+%doc README.md CHANGELOG.txt
 %{_datadir}/applications/openxcom.desktop
-%{_mandir}/man6/openxcom.6.*
-%{_datadir}/pixmaps/openxcom.png
-%{_datadir}/pixmaps/openxcom.svg
+%{_mandir}/man6/openxcom.6%{?ext_man}
+%{_datadir}/pixmaps/*
 %{_datadir}/%{name}/
 %{_docdir}/%{name}/*.txt
 %{_bindir}/%{name}

commit falkon for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package falkon for openSUSE:Factory checked 
in at 2019-03-26 22:32:48

Comparing /work/SRC/openSUSE:Factory/falkon (Old)
 and  /work/SRC/openSUSE:Factory/.falkon.new.25356 (New)


Package is "falkon"

Tue Mar 26 22:32:48 2019 rev:5 rq:687995 version:3.1.0

Changes:

--- /work/SRC/openSUSE:Factory/falkon/falkon.changes2019-03-11 
11:15:51.833329615 +0100
+++ /work/SRC/openSUSE:Factory/.falkon.new.25356/falkon.changes 2019-03-26 
22:33:18.429692973 +0100
@@ -1,0 +2,18 @@
+Sun Mar 24 10:20:44 UTC 2019 - Markus S 
+
+- Update to 3.1.0
+  * add support for writing plugins in QML
+  * add MiddleClickLoader Python plugin
+  * add page sharing to KDE Frameworks Integration plugin
+  * add basic support for client certificates (QtWebEngine >= 5.12)
+  * add support for registering custom protocol handlers (QtWebEngine >= 5.12)
+  * change search bar appearance to match other KDE apps
+  * use DBus instead of lockfile/socket to check and communicate with other 
instances (Linux) #404494
+  * whitelisted cookies are no longer deleted when deleting all cookies
+  * Python plugin support is now stable
+  * close entire tree after middle click on collapsed tabs in VerticalTabs 
plugin #399217
+  * fix some compatibility issues with QtWebEngine up to 5.12
+  * fix some possible crashes in AdBlock
+  * fix builds with standalone QtWebEngine releases
+
+---
@@ -7 +25 @@
-Wed May  9 12:52:42 UTC 2018 - kamika...@opensuse.org
+Wed May  9 12:52:42 UTC 2018 - Markus S 
@@ -29 +47 @@
-Sat Apr 21 15:10:42 UTC 2018 - kamika...@opensuse.org
+Sat Apr 21 15:10:42 UTC 2018 - Markus S 
@@ -43 +61 @@
-Sat Mar 10 16:12:19 UTC 2018 - kamika...@opensuse.org
+Sat Mar 10 16:12:19 UTC 2018 - Markus S 
@@ -56 +74 @@
-Tue Aug 29 15:45:36 UTC 2017 - kamika...@opensuse.org
+Tue Aug 29 15:45:36 UTC 2017 - Markus S 

Old:

  falkon-3.0.1.tar.xz

New:

  falkon-3.1.0.tar.xz



Other differences:
--
++ falkon.spec ++
--- /var/tmp/diff_new_pack.uSSuwj/_old  2019-03-26 22:33:20.961692362 +0100
+++ /var/tmp/diff_new_pack.uSSuwj/_new  2019-03-26 22:33:20.993692354 +0100
@@ -1,8 +1,9 @@
 #
 # spec file for package falkon
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
-# Copyright (c) 2015 Mariusz Fik 
+# Copyright © 2015 Mariusz Fik 
+# Copyright © 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright © 2019 Markus S. 
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +18,7 @@
 #
 
 Name:   falkon
-Version:3.0.1
+Version:3.1.0
 Release:0
 Summary:Modern web browser
 License:GPL-3.0-or-later
@@ -29,7 +30,11 @@
 # Search engine favicons.
 Source2:obs.png
 Source3:opensusesoftware.png
-BuildRequires:  cmake(KF5Wallet) >= 5.27.0
+BuildRequires:  cmake(KF5Crash) >= 5.54.0
+BuildRequires:  cmake(KF5CoreAddons) >= 5.54.0
+BuildRequires:  cmake(KF5KIO) >= 5.54.0
+BuildRequires:  cmake(KF5Purpose) >= 5.54.0
+BuildRequires:  cmake(KF5Wallet) >= 5.54.0
 BuildRequires:  cmake(Qt5Concurrent) >= 5.9.0
 BuildRequires:  cmake(Qt5Core) >= 5.9.0
 BuildRequires:  cmake(Qt5DBus) >= 5.9.0
@@ -48,7 +53,7 @@
 BuildRequires:  cmake(Qt5WebEngineWidgets) >= 5.9.0
 BuildRequires:  cmake(Qt5Widgets) >= 5.9.0
 BuildRequires:  cmake(Qt5X11Extras) >= 5.9.0
-BuildRequires:  extra-cmake-modules >= 5.27.0
+BuildRequires:  extra-cmake-modules
 BuildRequires:  fdupes
 BuildRequires:  hicolor-icon-theme
 BuildRequires:  ki18n-devel
@@ -59,6 +64,7 @@
 BuildRequires:  pkgconfig(gnome-keyring-1)
 BuildRequires:  pkgconfig(xcb-atom)
 BuildRequires:  update-desktop-files
+Recommends: %{name}-kde
 Recommends: %{name}-lang
 # it doesn't start without it (boo#1067547)
 Requires:   libQt5Sql5-sqlite
@@ -70,7 +76,7 @@
 
 %description
 Falkon is a web browser designed to well integrate with all
-common Linux desktops like GNOME and KDE Plasma desktops.
+common Linux desktops like GNOME and KDE Plasma.
 It supports current web standards and comes with many features,
 such as an integrated ad blocker.
 
@@ -88,17 +94,20 @@
 Plugin for the Falkon browser that allows storing passwords in
 GNOME Keyring.
 
-%package kwallet
-Summary:KWallet plugin for Falkon
+%package kde
+Summary:Plugin for tighter integration of KDE technologies
 Group:  Productivity/Networking/Web/Browsers
 Requires:   %{name} = %{version}
 Requires:   kwalletd5
 Supplements:packageand(%{name}:kwalletd5)
+Provides:   falkon-kwallet = %{version}
+Obsoletes:  falkon-kwallet < %{version}
 Provides:   qupzilla-kwallet 

commit python-rope for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-rope for openSUSE:Factory 
checked in at 2019-03-26 22:32:26

Comparing /work/SRC/openSUSE:Factory/python-rope (Old)
 and  /work/SRC/openSUSE:Factory/.python-rope.new.25356 (New)


Package is "python-rope"

Tue Mar 26 22:32:26 2019 rev:16 rq:687823 version:0.14.0

Changes:

--- /work/SRC/openSUSE:Factory/python-rope/python-rope.changes  2019-03-10 
09:33:57.412196622 +0100
+++ /work/SRC/openSUSE:Factory/.python-rope.new.25356/python-rope.changes   
2019-03-26 22:32:51.937699367 +0100
@@ -1,0 +2,7 @@
+Sat Mar 23 00:17:25 CET 2019 - Matej Cepl 
+
+- Upgrade to 0.14.0:
+  - relicensing to LGPLv3+
+  - bugfixes
+
+---

Old:

  rope-0.12.0.tar.gz

New:

  rope-0.14.0.tar.gz



Other differences:
--
++ python-rope.spec ++
--- /var/tmp/diff_new_pack.XZFZSy/_old  2019-03-26 22:32:52.537699222 +0100
+++ /var/tmp/diff_new_pack.XZFZSy/_new  2019-03-26 22:32:52.537699222 +0100
@@ -19,10 +19,10 @@
 %define upname rope
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-rope
-Version:0.12.0
+Version:0.14.0
 Release:0
 Summary:A python refactoring library
-License:GPL-2.0-or-later
+License:LGPL-3.0-or-later
 Group:  Development/Languages/Python
 URL:https://github.com/python-rope/rope
 Source: 
https://files.pythonhosted.org/packages/source/r/rope/rope-%{version}.tar.gz

++ rope-0.12.0.tar.gz -> rope-0.14.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/rope-0.12.0/COPYING new/rope-0.14.0/COPYING
--- old/rope-0.12.0/COPYING 2014-08-03 00:22:28.0 +0200
+++ new/rope-0.14.0/COPYING 2019-03-22 23:24:48.0 +0100
@@ -1,339 +1,165 @@
-   GNU GENERAL PUBLIC LICENSE
-  Version 2, June 1991
+   GNU LESSER GENERAL PUBLIC LICENSE
+   Version 3, 29 June 2007
 
- Copyright (C) 1989, 1991 Free Software Foundation, Inc.,
- 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
+ Copyright (C) 2007 Free Software Foundation, Inc. 
  Everyone is permitted to copy and distribute verbatim copies
  of this license document, but changing it is not allowed.
 
-   Preamble
 
-  The licenses for most software are designed to take away your
-freedom to share and change it.  By contrast, the GNU General Public
-License is intended to guarantee your freedom to share and change free
-software--to make sure the software is free for all its users.  This
-General Public License applies to most of the Free Software
-Foundation's software and to any other program whose authors commit to
-using it.  (Some other Free Software Foundation software is covered by
-the GNU Lesser General Public License instead.)  You can apply it to
-your programs, too.
-
-  When we speak of free software, we are referring to freedom, not
-price.  Our General Public Licenses are designed to make sure that you
-have the freedom to distribute copies of free software (and charge for
-this service if you wish), that you receive source code or can get it
-if you want it, that you can change the software or use pieces of it
-in new free programs; and that you know you can do these things.
-
-  To protect your rights, we need to make restrictions that forbid
-anyone to deny you these rights or to ask you to surrender the rights.
-These restrictions translate to certain responsibilities for you if you
-distribute copies of the software, or if you modify it.
-
-  For example, if you distribute copies of such a program, whether
-gratis or for a fee, you must give the recipients all the rights that
-you have.  You must make sure that they, too, receive or can get the
-source code.  And you must show them these terms so they know their
-rights.
-
-  We protect your rights with two steps: (1) copyright the software, and
-(2) offer you this license which gives you legal permission to copy,
-distribute and/or modify the software.
-
-  Also, for each author's protection and ours, we want to make certain
-that everyone understands that there is no warranty for this free
-software.  If the software is modified by someone else and passed on, we
-want its recipients to know that what they have is not the original, so
-that any problems introduced by others will not reflect on the original
-authors' reputations.
-
-  Finally, any free program is threatened constantly by software
-patents.  We wish to avoid the danger that redistributors of a free
-program will individually obtain patent 

commit unifraktur-fonts for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package unifraktur-fonts for 
openSUSE:Factory checked in at 2019-03-26 22:32:30

Comparing /work/SRC/openSUSE:Factory/unifraktur-fonts (Old)
 and  /work/SRC/openSUSE:Factory/.unifraktur-fonts.new.25356 (New)


Package is "unifraktur-fonts"

Tue Mar 26 22:32:30 2019 rev:6 rq:687878 version:0.20170319

Changes:

--- /work/SRC/openSUSE:Factory/unifraktur-fonts/unifraktur-fonts.changes
2014-07-21 10:35:43.0 +0200
+++ 
/work/SRC/openSUSE:Factory/.unifraktur-fonts.new.25356/unifraktur-fonts.changes 
2019-03-26 22:32:52.813699155 +0100
@@ -1,0 +2,22 @@
+Sat Mar 23 02:50:00 UTC 2019 - mihai...@gmail.com
+
+- Update UnifrakturMaguntia font to version 0.20170319
+  + Fixed a problem with TTF Autohint that cauſed glyphs to be ſlightly
+distorted.
+  + Several minor bugfixes.
+
+---
+Sun Feb 12 03:36:33 UTC 2017 - mihai...@gmail.com
+
+- Update UnifrakturMaguntia font to version 0.20160221
+
+- Changes by G. Ansmann:
+  + Added preconfigured variants emulating hiſtoric typeſetting or
+providing modern variants.
+  + The roman numerals were completely redone.
+  + The lowercaſe 1 was replaced by a more frakturesque number.
+  + New Glyphs: ẏ, ij́, IJ́
+  + Improved horizontal metrics of capital letters.
+  + Tons of tiny fixes.
+
+---

Old:

  UnifrakturMaguntia.2014-07-06.zip

New:

  UnifrakturMaguntia.2017-03-19.zip



Other differences:
--
++ unifraktur-fonts.spec ++
--- /var/tmp/diff_new_pack.kzWCt6/_old  2019-03-26 22:32:53.269699045 +0100
+++ /var/tmp/diff_new_pack.kzWCt6/_new  2019-03-26 22:32:53.277699044 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package unifraktur-fonts
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,14 @@
 
 
 Name:   unifraktur-fonts
-Version:0.20140706
+Version:0.20170319
 Release:0
 Summary:Fonts from the UniFraktur project
 License:OFL-1.1
 Group:  System/X11/Fonts
 Url:http://unifraktur.sf.net/
 
-Source: 
http://downloads.sf.net/unifraktur/UnifrakturMaguntia.2014-07-06.zip
+Source: 
http://downloads.sf.net/unifraktur/UnifrakturMaguntia.2017-03-19.zip
 Source2:
http://downloads.sf.net/unifraktur/UnifrakturCook.2013-08-25.zip
 BuildRequires:  fontpackages-devel
 BuildRequires:  unzip
@@ -62,6 +62,12 @@
 %defattr(-,root,root)
 %dir %_ttfontsdir
 %_ttfontsdir/*.ttf
-%doc UnifrakturMaguntia.2014-07-06/OFL.txt
+%doc UnifrakturMaguntia.2017-03-19/OFL.txt
+%doc UnifrakturMaguntia.2017-03-19/OFL-FAQ.txt
+%doc UnifrakturMaguntia.2017-03-19/FontLog.txt
+%doc UnifrakturMaguntia.2017-03-19/Dokumentation_de_antiqua.pdf
+%doc UnifrakturMaguntia.2017-03-19/Dokumentation_de_fraktur.pdf
+%doc UnifrakturMaguntia.2017-03-19/Dokumentation_en_antiqua.pdf
+%doc UnifrakturMaguntia.2017-03-19/Dokumentation_en_fraktur.pdf
 
 %changelog





commit homebank for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package homebank for openSUSE:Factory 
checked in at 2019-03-26 22:32:24

Comparing /work/SRC/openSUSE:Factory/homebank (Old)
 and  /work/SRC/openSUSE:Factory/.homebank.new.25356 (New)


Package is "homebank"

Tue Mar 26 22:32:24 2019 rev:22 rq:687763 version:5.2.3

Changes:

--- /work/SRC/openSUSE:Factory/homebank/homebank.changes2018-09-24 
13:12:02.473835342 +0200
+++ /work/SRC/openSUSE:Factory/.homebank.new.25356/homebank.changes 
2019-03-26 22:32:50.369699745 +0100
@@ -1,0 +2,22 @@
+Wed Mar 20 06:31:53 UTC 2019 - Paolo Stivanin 
+
+- Update to version 5.2.3
+  + new
+- statistics report, added account
+- trend time report, added half year interval
+- added console error message for load/save preference file
+  + wish
+- sortable columns during import
+- fill paymode/category independently from payee
+- enable to import unlimited account
+- reorder split transactions
+- add tags manager
+- "Show all accounts" should not be shown when no account is selected
+- scheduled home list to show remaining occurence
+- OFX import to allow mapping the "name" field to "info"
+- remind expander state into 'Your account' list
+- display list of available tags in txn dialog
+- enable tag for trend time report 
+  + lots of bug fixes, see the Changelog for a complete list
+
+---

Old:

  homebank-5.2.1.tar.gz

New:

  homebank-5.2.3.tar.gz



Other differences:
--
++ homebank.spec ++
--- /var/tmp/diff_new_pack.bJiwIQ/_old  2019-03-26 22:32:51.369699503 +0100
+++ /var/tmp/diff_new_pack.bJiwIQ/_new  2019-03-26 22:32:51.369699503 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package homebank
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
 Name:   homebank
-Version:5.2.1
+Version:5.2.3
 Release:0
 Summary:Application to manage personal accounts
 License:GPL-2.0-or-later

++ homebank-5.2.1.tar.gz -> homebank-5.2.3.tar.gz ++
 287329 lines of diff (skipped)




commit guitarix for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package guitarix for openSUSE:Factory 
checked in at 2019-03-26 22:32:06

Comparing /work/SRC/openSUSE:Factory/guitarix (Old)
 and  /work/SRC/openSUSE:Factory/.guitarix.new.25356 (New)


Package is "guitarix"

Tue Mar 26 22:32:06 2019 rev:28 rq:686975 version:0.37.3

Changes:

--- /work/SRC/openSUSE:Factory/guitarix/guitarix.changes2017-12-23 
12:21:42.357089841 +0100
+++ /work/SRC/openSUSE:Factory/.guitarix.new.25356/guitarix.changes 
2019-03-26 22:32:11.953709016 +0100
@@ -1,0 +2,28 @@
+Wed Mar 20 11:31:39 UTC 2019 - plater 
+
+- Update to 0.37.3 and fix build against boost1_69 with patch:
+  guitarix-boost69.patch
+- Package libgxw and libgxwmm in their own subpackages.
+- Upstream changes since 0.36.1 for earlier changes see changelog:
+  * add support for zita-convolver4.
+  * implemented "Thick Distortion" plugin by Viacheslav Lotsmanov.
+  * switch to use libcurl for download online presets.
+  * point online help to reddit/guitarix.
+  * add direct output unit for drumsequencer (bypass rack).
+  * add overdubbing to live looper.
+  * add direct output support to live looper.
+  * add midi channel selector, fix bug #64.
+  * new plug Ampimpulse-stereo.
+  * fix Live Looper freezes the remote UI.
+  * fix Tuner stick is not saved in remote UI.
+  * fix DrumSequencer remote UI.
+  * fix rc files for older clearlooks engine.
+  * fix disable online preset download in remote UI.
+  * fix GxDigitalDelay sync BPM when UI is not shown.
+  * add new commandline switch (_d, --disable-multi-client)
+to allow running guitarix as single client application.
+  * fix portmap when running as single client.
+  * again some fixes and additions on the DK_simulator
+contributed by Yoann Le BORGNE.
+
+---

Old:

  guitarix2-0.35.3.tar.xz

New:

  guitarix-boost69.patch
  guitarix2-0.37.3.tar.xz



Other differences:
--
++ guitarix.spec ++
--- /var/tmp/diff_new_pack.BopYjd/_old  2019-03-26 22:32:23.541706219 +0100
+++ /var/tmp/diff_new_pack.BopYjd/_new  2019-03-26 22:32:23.541706219 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package guitarix
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,24 +16,28 @@
 #
 
 
+%bcond_without ladspa
+
 Name:   guitarix
-Version:0.35.3
+Version:0.37.3
 Release:0
 Summary:Simple Linux amplifier for jack
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Productivity/Multimedia/Sound/Utilities
 Url:http://guitarix.sourceforge.net/
 Source: 
http://downloads.sourceforge.net/project/guitarix/guitarix/guitarix2-%{version}.tar.xz
 Patch0: fpexception.patch
+Patch1: guitarix-boost69.patch
 %if 0%{?suse_version} > 1325
 BuildRequires:  libboost_context-devel
 BuildRequires:  libboost_filesystem-devel
+BuildRequires:  libboost_headers-devel
 BuildRequires:  libboost_iostreams-devel
 BuildRequires:  libboost_locale-devel
 BuildRequires:  libboost_program_options-devel
 BuildRequires:  libboost_regex-devel
+BuildRequires:  libboost_system-devel
 BuildRequires:  libboost_thread-devel
-BuildRequires:  pkgconfig(python2)
 %else
 BuildRequires:  boost-devel >= 1.56
 %endif
@@ -41,9 +45,13 @@
 BuildRequires:  gcc-c++
 BuildRequires:  gperf
 BuildRequires:  intltool
+%if %{with ladspa}
 BuildRequires:  ladspa-devel
+%endif
 BuildRequires:  pkgconfig
 BuildRequires:  update-desktop-files
+BuildRequires:  zita-convolver-devel
+#BuildRequires:  zita-resampler-devel
 BuildRequires:  pkgconfig(avahi-gobject)
 BuildRequires:  pkgconfig(bluez)
 BuildRequires:  pkgconfig(eigen3)
@@ -59,9 +67,11 @@
 BuildRequires:  pkgconfig(gtk+-x11-2.0)
 BuildRequires:  pkgconfig(gtkmm-2.4)
 BuildRequires:  pkgconfig(jack)
+BuildRequires:  pkgconfig(libcurl)
 BuildRequires:  pkgconfig(lilv-0)
 BuildRequires:  pkgconfig(lrdf)
 BuildRequires:  pkgconfig(lv2)
+BuildRequires:  pkgconfig(python2)
 BuildRequires:  pkgconfig(sigc++-2.0)
 BuildRequires:  pkgconfig(sndfile)
 Requires:   jack
@@ -79,7 +89,7 @@
 when distortion is disabled.
 
 %package -n libgxw0
-Summary:Guitarix runtime libraries
+Summary:Guitarix runtime library
 # Earlier weird packaging of internal libraries
 Group:  System/Libraries
 Obsoletes:  %{name}-devel < %{version}-%{release}
@@ -89,6 +99,18 @@
 guitarix is a simple mono amplifier to jack with one input and two
 outputs.
 
+%package -n libgxwmm0
+Summary:

commit x11perf for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package x11perf for openSUSE:Factory checked 
in at 2019-03-26 22:32:17

Comparing /work/SRC/openSUSE:Factory/x11perf (Old)
 and  /work/SRC/openSUSE:Factory/.x11perf.new.25356 (New)


Package is "x11perf"

Tue Mar 26 22:32:17 2019 rev:8 rq:687613 version:1.6.1

Changes:

--- /work/SRC/openSUSE:Factory/x11perf/x11perf.changes  2015-04-25 
11:26:15.0 +0200
+++ /work/SRC/openSUSE:Factory/.x11perf.new.25356/x11perf.changes   
2019-03-26 22:32:39.357702403 +0100
@@ -1,0 +2,6 @@
+Fri Mar 22 11:32:21 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.6.1
+  * This is a minor maintainance and bug fix release.
+
+---

Old:

  x11perf-1.6.0.tar.bz2

New:

  x11perf-1.6.1.tar.bz2



Other differences:
--
++ x11perf.spec ++
--- /var/tmp/diff_new_pack.ElyPrh/_old  2019-03-26 22:32:40.633702095 +0100
+++ /var/tmp/diff_new_pack.ElyPrh/_new  2019-03-26 22:32:40.673702085 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package x11perf
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   x11perf
-Version:1.6.0
+Version:1.6.1
 Release:0
 Summary:Utility to test X11 server performance
 License:HPND
@@ -51,7 +51,7 @@
 
 %files
 %defattr(-,root,root)
-%doc ChangeLog COPYING README
+%doc ChangeLog COPYING README.md
 %{_bindir}/x11perf
 %{_bindir}/x11perfcomp
 %{_libdir}/X11/x11perfcomp/

++ x11perf-1.6.0.tar.bz2 -> x11perf-1.6.1.tar.bz2 ++
 5747 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/x11perf-1.6.0/ChangeLog new/x11perf-1.6.1/ChangeLog
--- old/x11perf-1.6.0/ChangeLog 2015-04-17 07:42:56.0 +0200
+++ new/x11perf-1.6.1/ChangeLog 2019-03-16 23:53:38.0 +0100
@@ -1,3 +1,103 @@
+commit ed96e6ce90f8a2177db00c56c2af9311bc167cc4
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 15:49:38 2019 -0700
+
+x11perf 1.6.1
+
+Signed-off-by: Alan Coopersmith 
+
+commit 5e8ed9bbaf67aee3236ad78e5dc62ebf3d9714de
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 20:02:50 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 356f6e0bd5cb881f43200ff1db1eb257e261afdd
+Author: Alan Coopersmith 
+Date:   Fri Nov 16 20:56:58 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 98648d7bac718b8401e4277f5fccdf53aa038834
+Author: Alan Coopersmith 
+Date:   Fri Mar 9 21:34:43 2018 -0800
+
+Update minpixwin info in man page to match implemenation
+
+Scales to 50x50 window since commit 
920b070987c00b369bd6c77c6283f68dffbc7b83
+
+Signed-off-by: Alan Coopersmith 
+
+commit 0f5d1af67be196416a6136255dc8525ac430b979
+Author: Mihail Konev 
+Date:   Thu Jan 26 14:00:20 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit 609c78d5b32732810062139be9cfdcf1a37041ea
+Author: Emil Velikov 
+Date:   Mon Mar 9 12:00:52 2015 +
+
+autogen.sh: use quoted string variables
+
+Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
+fall-outs, when they contain space.
+
+Signed-off-by: Emil Velikov 
+Reviewed-by: Peter Hutterer 
+Signed-off-by: Peter Hutterer 
+
+commit 4697ef8385836d1e5db0d9f5839e23a4f9ca8bc8
+Author: Peter Hutterer 
+Date:   Tue Jan 24 10:32:07 2017 +1000
+
+autogen.sh: use exec instead of waiting for configure to finish
+
+Syncs the invocation of configure with the one from the server.
+
+Signed-off-by: Peter Hutterer 
+Reviewed-by: Emil Velikov 
+
+commit c8eb3414f68cdc1b02a64c5321d4b0abe9c70d1e
+Author: Thomas Klausner 
+Date:   Sun Jul 19 12:08:15 2015 +0200
+
+Make NameFromFormat() const.
+
+Fixes a const-discard warning.
+
+Signed-off-by: Thomas Klausner 
+Reviewed-by: Alan Coopersmith 
+
+commit 920b070987c00b369bd6c77c6283f68dffbc7b83
+Author: Adam Jackson 
+Date:   Wed Jul 15 11:10:59 2015 -0400
+
+tests: Fix thinko in minpixwin50
+
+The other minpixwin tests draw to a window 50% the size of the pixmap,
+it's clear this one was 

commit global for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package global for openSUSE:Factory checked 
in at 2019-03-26 22:32:14

Comparing /work/SRC/openSUSE:Factory/global (Old)
 and  /work/SRC/openSUSE:Factory/.global.new.25356 (New)


Package is "global"

Tue Mar 26 22:32:14 2019 rev:54 rq:687299 version:6.6.3

Changes:

--- /work/SRC/openSUSE:Factory/global/global.changes2017-12-19 
10:58:04.338552894 +0100
+++ /work/SRC/openSUSE:Factory/.global.new.25356/global.changes 2019-03-26 
22:32:33.205703887 +0100
@@ -1,0 +2,15 @@
+Tue Mar 19 05:31:20 UTC 2019 - Felix Zhang 
+
+- GNU Global 6.6.3:
+  * gtags: New --skip-symlink option.
+  * gtags-cscope: 'Find assignments to this symbol:' was
+implemented.
+  * gtags-cscope.vim: the following key assignment was added.
+a, a, a
+  * various bug fixes.
+- includes changes from 6.6.2:
+  * gozilla: Deleted functions to reduce or eliminate possibility
+of future security risks.
+  * various bug fixes.
+
+---

Old:

  global-6.6.1.tar.gz
  global-6.6.1.tar.gz.sig

New:

  global-6.6.3.tar.gz
  global-6.6.3.tar.gz.sig



Other differences:
--
++ global.spec ++
--- /var/tmp/diff_new_pack.F9HTJU/_old  2019-03-26 22:32:34.245703636 +0100
+++ /var/tmp/diff_new_pack.F9HTJU/_new  2019-03-26 22:32:34.313703620 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package global
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,15 +12,15 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   global
-Version:6.6.1
+Version:6.6.3
 Release:0
 Summary:Common source code tag system
-License:GPL-3.0
+License:GPL-3.0-only
 Group:  Development/Tools/Navigators
 Url:http://www.gnu.org/software/global/
 Source0:ftp://ftp.gnu.org/pub/gnu/global/%{name}-%{version}.tar.gz

++ global-6.6.1.tar.gz -> global-6.6.3.tar.gz ++
 345307 lines of diff (skipped)





commit eolie for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package eolie for openSUSE:Factory checked 
in at 2019-03-26 22:32:21

Comparing /work/SRC/openSUSE:Factory/eolie (Old)
 and  /work/SRC/openSUSE:Factory/.eolie.new.25356 (New)


Package is "eolie"

Tue Mar 26 22:32:21 2019 rev:13 rq:687761 version:0.9.60

Changes:

--- /work/SRC/openSUSE:Factory/eolie/eolie.changes  2019-02-26 
22:21:46.306079557 +0100
+++ /work/SRC/openSUSE:Factory/.eolie.new.25356/eolie.changes   2019-03-26 
22:32:43.357701437 +0100
@@ -1,0 +2,6 @@
+Thu Mar 21 17:40:55 UTC 2019 - Antoine Belvire 
+
+- Update to version 0.9.60:
+  * Fix a crash with Wayland.
+
+---

Old:

  eolie-0.9.52.tar.xz

New:

  eolie-0.9.60.tar.xz



Other differences:
--
++ eolie.spec ++
--- /var/tmp/diff_new_pack.1qHi8n/_old  2019-03-26 22:32:44.785701092 +0100
+++ /var/tmp/diff_new_pack.1qHi8n/_new  2019-03-26 22:32:44.833701081 +0100
@@ -20,7 +20,7 @@
 %global __requires_exclude typelib\\(Unity\\)
 
 Name:   eolie
-Version:0.9.52
+Version:0.9.60
 Release:0
 Summary:Web browser for GNOME
 License:GPL-3.0-or-later

++ _service ++
--- /var/tmp/diff_new_pack.1qHi8n/_old  2019-03-26 22:32:45.269700975 +0100
+++ /var/tmp/diff_new_pack.1qHi8n/_new  2019-03-26 22:32:45.285700972 +0100
@@ -1,6 +1,6 @@
 
   
-0.9.52
+0.9.60
 git
 https://gitlab.gnome.org/World/eolie.git
 @PARENT_TAG@

++ eolie-0.9.52.tar.xz -> eolie-0.9.60.tar.xz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/eolie-0.9.52/data/AboutDialog.ui.in 
new/eolie-0.9.60/data/AboutDialog.ui.in
--- old/eolie-0.9.52/data/AboutDialog.ui.in 2019-02-24 21:23:17.0 
+0100
+++ new/eolie-0.9.60/data/AboutDialog.ui.in 2019-03-21 10:49:27.0 
+0100
@@ -10,7 +10,7 @@
 dialog
 Eolie
 @VERSION@
-Copyright © 2016-2018 Cédric 
Bellegarde
+Copyright © 2016-2019 Cédric 
Bellegarde
 A web browser for 
GNOME.
 @PACKAGE_URL@
 Visit Eolie 
website
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/eolie-0.9.52/data/ToolbarMenu.ui 
new/eolie-0.9.60/data/ToolbarMenu.ui
--- old/eolie-0.9.52/data/ToolbarMenu.ui2019-02-24 21:23:17.0 
+0100
+++ new/eolie-0.9.60/data/ToolbarMenu.ui2019-03-21 10:49:27.0 
+0100
@@ -388,20 +388,6 @@
 True
 True
 True
-True
-app.quit
-_Quit
-  
-  
-0
-13
-  
-
-
-  
-True
-True
-True
 app.about
 _About
   
Binary files old/eolie-0.9.52/data/icons/hicolor/16x16/apps/org.gnome.Eolie.png 
and new/eolie-0.9.60/data/icons/hicolor/16x16/apps/org.gnome.Eolie.png differ
Binary files old/eolie-0.9.52/data/icons/hicolor/22x22/apps/org.gnome.Eolie.png 
and new/eolie-0.9.60/data/icons/hicolor/22x22/apps/org.gnome.Eolie.png differ
Binary files 
old/eolie-0.9.52/data/icons/hicolor/256x256/apps/org.gnome.Eolie.png and 
new/eolie-0.9.60/data/icons/hicolor/256x256/apps/org.gnome.Eolie.png differ
Binary files old/eolie-0.9.52/data/icons/hicolor/32x32/apps/org.gnome.Eolie.png 
and new/eolie-0.9.60/data/icons/hicolor/32x32/apps/org.gnome.Eolie.png differ
Binary files old/eolie-0.9.52/data/icons/hicolor/48x48/apps/org.gnome.Eolie.png 
and new/eolie-0.9.60/data/icons/hicolor/48x48/apps/org.gnome.Eolie.png differ
Binary files 
old/eolie-0.9.52/data/icons/hicolor/512x512/apps/org.gnome.Eolie.png and 
new/eolie-0.9.60/data/icons/hicolor/512x512/apps/org.gnome.Eolie.png differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/eolie-0.9.52/data/icons/hicolor/scalable/apps/org.gnome.Eolie.svg 
new/eolie-0.9.60/data/icons/hicolor/scalable/apps/org.gnome.Eolie.svg
--- old/eolie-0.9.52/data/icons/hicolor/scalable/apps/org.gnome.Eolie.svg   
2019-02-24 21:23:17.0 +0100
+++ new/eolie-0.9.60/data/icons/hicolor/scalable/apps/org.gnome.Eolie.svg   
2019-03-21 10:49:27.0 +0100
@@ -17,7 +17,7 @@
style="enable-background:new 0 0 360 360;"
xml:space="preserve"
sodipodi:docname="org.gnome.Eolie.svg"
-   inkscape:version="0.92.1 r">image/svg+xmlhttp://purl.org/dc/dcmitype/StillImage; 
/>Eolie is a new GNOME web browser.
  
  
-
+
   
 
-  Bug fixes
+  Fix a crash on Wayland
 
   
 
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/eolie-0.9.52/data/org.gnome.Eolie.gschema.xml 
new/eolie-0.9.60/data/org.gnome.Eolie.gschema.xml
--- 

commit python-PsychoPy for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-PsychoPy for openSUSE:Factory 
checked in at 2019-03-26 22:32:11

Comparing /work/SRC/openSUSE:Factory/python-PsychoPy (Old)
 and  /work/SRC/openSUSE:Factory/.python-PsychoPy.new.25356 (New)


Package is "python-PsychoPy"

Tue Mar 26 22:32:11 2019 rev:2 rq:687042 version:3.0.6

Changes:

--- /work/SRC/openSUSE:Factory/python-PsychoPy/python-PsychoPy.changes  
2018-08-24 17:04:29.482098969 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-PsychoPy.new.25356/python-PsychoPy.changes   
2019-03-26 22:32:30.553704527 +0100
@@ -1,0 +2,109 @@
+Tue Mar 19 17:04:07 UTC 2019 - Todd R 
+
+- Update to Psychopy 3.0.6
+  + Fixed
+* TrialHandler.next() was accidentally removed by Python3 conversion and 
now added back in commit:c44621ab0
+* various fixes to iohub Python3 compatibility (especially for datastore)
+* permit reading "xlsm" files as conditions files (Excel files with macros 
although these will be ignored by Python) commit:9e11bfd61
+* added space key to the GlobalEventKeys #2310
+* fix to pasting into Code Component with windows EOLs
+* fixes to Japanese translation (and bug around saving Static Components 
in Japanese locale)
+* packaging: PyQt package inside one of the Standalone distros was broken
+- Fix python3 version requires
+- Remove upstream-included fix_async_and_gevent.patch
+
+---
+Tue Mar  5 15:26:48 UTC 2019 - Todd R 
+
+- Update to Psychopy 3.0.5
+  + Fixed
+* sounddevice backend not importing on systems that don't have readline
+* fix paste when using legacy macOS end-of-lines (convert them to '\n' 
always)
+  + CHANGED
+* better automated Pavlovia logging-in for users
+* faster auto-logging for changes involving numpy arrays (e.g. elexment 
arrays XYs)
+* updated Japanese translations
+- Update to PsychoPy 3.0.4
+  + FIXED:
+* fixes to prevent stalled "Synchronizing..." message by preventing 
behaviours that would cause it 
+* workaround to stop `sounddevice` backend from silencing `input()` 
+* prevent JS experiments being compiled with units of "use prefs" 
+* cleaner ioHub shutdown  and datastore 
+* Slider in JS allows forceEndRoutine 
+* better error reporting when compiling scripts 
+* don't crash the app if no internet 
+* don't crash if scipy.optimize doesn't load 
+* set Slider label height to match tick height by default 
+* online sounds were never ending if duration was blank (now ends at end 
of file) 
+* problem converting EOLs between different formats when pasting code
+  + ADDED:
+* New Builder Pavlovia button to examine properties of current project
+* Added star to ShapeStim (currently only in Python) 
+* Added tooltips for Pavlovia buttons
+- Update to PsychoPy 3.0.3
+  + CHANGED
+* Slight change to creation of *new* experiments, which will now default 
to`
+  the units of 'height' rather than 'use preferences' (which led to 
potential confusion
+  when the experiment moved to a different computer)
+  + FIXED:
+* Force End Routine wasn't working with Slider when online 
+* Fix to the online error about units: if an experiment is given units of 
"use preferences"
+  this will switch to height during HTML export 
+* First push of a new project to Pavlovia didn't note that remote now 
exists, so
+  tried to "first push" again 
+* fixed detection of correct non-response in JavaScript outputs (so no-go 
works online) 
+* added workaround for strange clash of `sounddevice` with `input()` 
+* various small fixes to iohub for Py3   
+  + ADDED:
+* star available as a Shape in Builder (but not online yet)
+* experiment info dialog now supports drop-downs to constrain options 
(e.g. ['male','female','other'] )
+* BBTK now supports mode Digital Stimulus Response Echo 
+- Update to PsychoPy 3.0.2
+  + FIXED:
+* Builder's PsychoJS outputs were not updating their versions (pointing to 
the version the script was first created in, not the version currently used) 
+* sounddevice under Python2 had a bug with being unable to copy() 
+* now prevent the user from accessing `useVersion` if that version can't 
be supported by the current install (e.g. incompatible Python version or wx 
version)
+* Windows Standalone version now includes dependency for pyqmixpumps
+- Update to PsychoPy 3.0.1
+  + FIXED:
+- JS outputs were connecting to outdated PsychoJS version (3.0.0b11 instead of 
3.0.0)
+* updated numpy (to 1.15.4) and scipy (to 1.2.0) for windows installs 
using https://www.lfd.uci.edu/~gohlke/pythonlibs/ in the hope of fixing numpy 
problems for some windows boxes
+* JS string values in Py27 were being convert to b'theString' 

commit keepassxc for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package keepassxc for openSUSE:Factory 
checked in at 2019-03-26 22:32:02

Comparing /work/SRC/openSUSE:Factory/keepassxc (Old)
 and  /work/SRC/openSUSE:Factory/.keepassxc.new.25356 (New)


Package is "keepassxc"

Tue Mar 26 22:32:02 2019 rev:15 rq:686936 version:2.4.0

Changes:

--- /work/SRC/openSUSE:Factory/keepassxc/keepassxc.changes  2018-09-07 
15:40:06.162491171 +0200
+++ /work/SRC/openSUSE:Factory/.keepassxc.new.25356/keepassxc.changes   
2019-03-26 22:32:06.841710249 +0100
@@ -1,0 +2,54 @@
+Wed Mar 20 12:43:12 UTC 2019 - Marcus Rueckert 
+
+- update to 2.4.0
+  - New Database Wizard [#1952]
+  - Advanced Search [#1797]
+  - Automatic update checker [#2648]
+  - KeeShare database synchronization [#2109, #1992, #2738, #2742,
+#2746, #2739]
+  - Improve favicon fetching; transition to Duck-Duck-Go [#2795,
+#2011, #2439]
+  - Remove KeePassHttp support [#1752]
+  - CLI: output info to stderr for easier scripting [#2558]
+  - CLI: Add --quiet option [#2507]
+  - CLI: Add create command [#2540]
+  - CLI: Add recursive listing of entries [#2345]
+  - CLI: Fix stdin/stdout encoding on Windows [#2425]
+  - SSH Agent: Support OpenSSH for Windows [#1994]
+  - macOS: TouchID Quick Unlock [#1851]
+  - macOS: Multiple improvements; include CLI in DMG [#2165, #2331,
+#2583]
+  - Linux: Prevent Klipper from storing secrets in clipboard
+[#1969]
+  - Linux: Use polling based file watching for NFS [#2171]
+  - Linux: Enable use of browser plugin in Snap build [#2802]
+  - TOTP QR Code Generator [#1167]
+  - High-DPI Scaling for 4k screens [#2404]
+  - Make keyboard shortcuts more consistent [#2431]
+  - Warn user if deleting referenced entries [#1744]
+  - Allow toolbar to be hidden and repositioned [#1819, #2357]
+  - Increase max allowed database timeout to 12 hours [#2173]
+  - Password generator uses existing password length by default
+[#2318]
+  - Improve alert message box button labels [#2376]
+  - Show message when a database merge makes no changes [#2551]
+  - Browser Integration Enhancements [#1497, #2253, #1904, #2232,
+#1850, #2218, #2391, #2396, #2542, #2622, #2637, #2790]
+  - Overall Code Improvements [#2316, #2284, #2351, #2402, #2410,
+#2419, #2422, #2443, #2491, #2506, #2610, #2667, #2709, #2731]
+- drop patches: keepassxc-qt_includes.patch  klipper-hint.patch
+- add support to build for more distros
+  - track debian files as sources
+  - add macros for fedora
+- use GIT_HEAD_OVERRIDE to pass the git rev to the build
+- enable keeshare secure (new BR: quazip Qt5)
+- add BR for the QR code feature:
+  pkgconfig(libqrencode)
+  pkgconfig(Qt5Svg)
+- workaround for boo#1117355
+  add BR/R for libgcrypt20-hmac
+- BR: libcurl-devel
+- enable dbus support
+- enable ssh agent and browser support
+
+---

Old:

  keepassxc-2.3.4-src.tar.xz
  keepassxc-2.3.4-src.tar.xz.sig
  keepassxc-qt_includes.patch
  klipper-hint.patch

New:

  debian.tar.xz
  keepassxc-2.4.0-src.tar.xz
  keepassxc-2.4.0-src.tar.xz.sig
  keepassxc.dsc



Other differences:
--
++ keepassxc.spec ++
--- /var/tmp/diff_new_pack.VVcj2b/_old  2019-03-26 22:32:08.677709807 +0100
+++ /var/tmp/diff_new_pack.VVcj2b/_new  2019-03-26 22:32:08.709709799 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package keepassxc
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,13 +12,14 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   keepassxc
-Version:2.3.4
+Version:2.4.0
 Release:0
+%define pkg_rev c51752df
 Summary:Qt5-based Password Manager
 License:GPL-2.0-only OR GPL-3.0-only
 Group:  Productivity/Security
@@ -26,20 +27,32 @@
 Source0:
https://github.com/keepassxreboot/keepassxc/releases/download/%{version}/keepassxc-%{version}-src.tar.xz
 Source1:
https://github.com/keepassxreboot/keepassxc/releases/download/%{version}/keepassxc-%{version}-src.tar.xz.sig
 Source2:
https://keepassxc.org/keepassxc_master_signing_key.asc#/%{name}.keyring
-Patch0: keepassxc-qt_includes.patch
-Patch1: klipper-hint.patch
+Source98:   debian.tar.xz
+Source99:   keepassxc.dsc
 BuildRequires:  cmake >= 3.1.0
 BuildRequires:  fdupes
 

commit python-limnoria for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-limnoria for openSUSE:Factory 
checked in at 2019-03-26 22:31:54

Comparing /work/SRC/openSUSE:Factory/python-limnoria (Old)
 and  /work/SRC/openSUSE:Factory/.python-limnoria.new.25356 (New)


Package is "python-limnoria"

Tue Mar 26 22:31:54 2019 rev:7 rq:686928 version:2019.02.23

Changes:

--- /work/SRC/openSUSE:Factory/python-limnoria/python-limnoria.changes  
2018-10-23 20:41:40.664452026 +0200
+++ 
/work/SRC/openSUSE:Factory/.python-limnoria.new.25356/python-limnoria.changes   
2019-03-26 22:32:00.709711730 +0100
@@ -1,0 +2,10 @@
+Tue Mar 19 16:36:41 UTC 2019 - Atri B 
+
+- Update to version 2019-02-23:
+  * Revert changes to the structure of sdist packages.
+  * Fix bugs in wrapping IRC messages.
+  * Support for (future) Python 3.8.
+  * Fix encoding issue on Python 2.
+  * Support [ipv6]:port format.
+
+---

Old:

  master-2018-09-10.tar.gz

New:

  master-2019-02-23.tar.gz



Other differences:
--
++ python-limnoria.spec ++
--- /var/tmp/diff_new_pack.n5zrjZ/_old  2019-03-26 22:32:02.469711305 +0100
+++ /var/tmp/diff_new_pack.n5zrjZ/_new  2019-03-26 22:32:02.513711294 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-limnoria
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,9 +18,9 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define appname limnoria
-%define srcver 2018-09-10
+%define srcver 2019-02-23
 Name:   python-limnoria
-Version:2018.09.10
+Version:2019.02.23
 Release:0
 Summary:A modified version of Supybot (an IRC bot and framework)
 License:BSD-3-Clause
@@ -81,6 +81,7 @@
 %python_clone -a %{buildroot}%{_bindir}/supybot-botchk
 %python_clone -a %{buildroot}%{_bindir}/supybot-plugin-create
 %python_clone -a %{buildroot}%{_bindir}/supybot-plugin-doc
+%python_clone -a %{buildroot}%{_bindir}/supybot-reset-password
 %python_clone -a %{buildroot}%{_bindir}/supybot-test
 %python_clone -a %{buildroot}%{_bindir}/supybot-wizard
 
@@ -92,7 +93,7 @@
 
 %post
 %{python_install_alternative supybot supybot-adduser supybot-botchk
-  supybot-plugin-create supybot-plugin-doc supybot-test supybot-wizard
+  supybot-plugin-create supybot-plugin-doc supybot-reset-password supybot-test 
supybot-wizard
   supybot.1 supybot-adduser.1 supybot-botchk.1 supybot-plugin-create.1
   supybot-plugin-doc.1 supybot-test.1 supybot-wizard.1
 }
@@ -108,6 +109,7 @@
 %python_alternative %{_bindir}/supybot-botchk
 %python_alternative %{_bindir}/supybot-plugin-create
 %python_alternative %{_bindir}/supybot-plugin-doc
+%python_alternative %{_bindir}/supybot-reset-password
 %python_alternative %{_bindir}/supybot-test
 %python_alternative %{_bindir}/supybot-wizard
 %{python_sitelib}/supybot/

++ master-2018-09-10.tar.gz -> master-2019-02-23.tar.gz ++
 1649 lines of diff (skipped)




commit python-webruntime for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-webruntime for 
openSUSE:Factory checked in at 2019-03-26 22:31:36

Comparing /work/SRC/openSUSE:Factory/python-webruntime (Old)
 and  /work/SRC/openSUSE:Factory/.python-webruntime.new.25356 (New)


Package is "python-webruntime"

Tue Mar 26 22:31:36 2019 rev:2 rq:686464 version:0.5.6

Changes:

--- /work/SRC/openSUSE:Factory/python-webruntime/python-webruntime.changes  
2018-11-10 16:58:01.359853008 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-webruntime.new.25356/python-webruntime.changes
   2019-03-26 22:31:46.837715077 +0100
@@ -1,0 +2,7 @@
+Tue Mar 19 15:36:31 UTC 2019 - Tomáš Chvátal 
+
+- Update to 0.5.6:
+  * no upstream changelog
+- Run tests
+
+---

Old:

  webruntime-0.5.4.tar.gz

New:

  webruntime-0.5.6.tar.gz



Other differences:
--
++ python-webruntime.spec ++
--- /var/tmp/diff_new_pack.1dJjQ3/_old  2019-03-26 22:31:47.697714870 +0100
+++ /var/tmp/diff_new_pack.1dJjQ3/_new  2019-03-26 22:31:47.701714869 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-webruntime
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,24 +19,23 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %define skip_python2 1
 Name:   python-webruntime
-Version:0.5.4
+Version:0.5.6
 Release:0
 Summary:A python package to launch HTML5 apps in the browser or a 
desktop-like runtime
 License:BSD-2-Clause
 Group:  Development/Languages/Python
-Url:http://webruntime.readthedocs.io
+URL:https://github.com/flexxui/webruntime
 Source: 
https://files.pythonhosted.org/packages/source/w/webruntime/webruntime-%{version}.tar.gz
-BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools}
-# SECTION test requirements
-BuildRequires:  %{python_module dialite}
-BuildRequires:  %{python_module pytest}
-# /SECTION
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Requires:   python-dialite
 BuildArch:  noarch
-
+# SECTION test requirements
+BuildRequires:  %{python_module dialite}
+BuildRequires:  %{python_module pytest}
+BuildRequires:  MozillaFirefox
+# /SECTION
 %python_subpackages
 
 %description
@@ -54,10 +53,8 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-# Test files missing
-# See https://github.com/flexxui/webruntime/pull/8
-# %%check
-# %%python_exec setup.py test
+%check
+%pytest
 
 %files %{python_files}
 %doc README.md

++ webruntime-0.5.4.tar.gz -> webruntime-0.5.6.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webruntime-0.5.4/MANIFEST.in 
new/webruntime-0.5.6/MANIFEST.in
--- old/webruntime-0.5.4/MANIFEST.in2018-04-11 23:18:13.0 +0200
+++ new/webruntime-0.5.6/MANIFEST.in2018-11-02 13:11:07.0 +0100
@@ -1,5 +1,8 @@
 include LICENSE README.md
 
+recursive-include tasks *
+recursive-include webruntime/tests *
+
 global-exclude .git*
 global-exclude *.pyo
 global-exclude *.pyc
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webruntime-0.5.4/PKG-INFO 
new/webruntime-0.5.6/PKG-INFO
--- old/webruntime-0.5.4/PKG-INFO   2018-09-11 14:38:33.0 +0200
+++ new/webruntime-0.5.6/PKG-INFO   2018-12-03 16:33:43.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: webruntime
-Version: 0.5.4
+Version: 0.5.6
 Summary: Launch HTML5 apps in the browser or a desktop-like runtime.
 Home-page: http://webruntime.readthedocs.io
 Author: Almar Klein and contributors
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webruntime-0.5.4/setup.cfg 
new/webruntime-0.5.6/setup.cfg
--- old/webruntime-0.5.4/setup.cfg  2018-09-11 14:38:33.0 +0200
+++ new/webruntime-0.5.6/setup.cfg  2018-12-03 16:33:43.0 +0100
@@ -1,7 +1,7 @@
 [flake8]
 exclude = test_*.py,exp/*,docs/*,build/*,dist/*
-ignore = W291,W293,E123,E124,E126,E127,E203,E225,E226,E265,E301,E302,E303,E402,
-   E266,E731,E128,E306,E305,I,D,T,CG,N8
+ignore = 
W291,W293,E123,W504,E124,E126,E127,E203,E225,E226,E265,E301,E302,E303,E402,
+   E266,E731,E128,E306,E305,I,D,T,CG,N8,S1
 max-line-length = 88
 
 [coverage:report]
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/webruntime-0.5.4/tasks/README.md 

commit form for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package form for openSUSE:Factory checked in 
at 2019-03-26 22:31:18

Comparing /work/SRC/openSUSE:Factory/form (Old)
 and  /work/SRC/openSUSE:Factory/.form.new.25356 (New)


Package is "form"

Tue Mar 26 22:31:18 2019 rev:5 rq:686430 version:4.2.1

Changes:

--- /work/SRC/openSUSE:Factory/form/form.changes2018-07-10 
16:17:53.533307512 +0200
+++ /work/SRC/openSUSE:Factory/.form.new.25356/form.changes 2019-03-26 
22:31:21.881721100 +0100
@@ -1,0 +2,47 @@
+Fri Mar 15 14:44:09 UTC 2019 - Atri B 
+
+- Update to version 4.2.1:
+  * See
+https://github.com/vermaseren/form/wiki/Release-Notes-Form-4.2.1
+for a full list of changes.
+  * Bug fixes:
+- Replaced the obsolete ftime() function with clock_gettime()
+  when the latter is available (gh#vermaseren/form#276)
+- Improved the algorithms of division and reminder for
+  non-monic multivariate polynomials (gh#vermaseren/form#281)
+- Removed an inefficiency when many expressions are defined
+- Improved the merge sort inside memory based on Timsort
+- Fixed a bug that caused a pattern matching failure for
+  restricted numbers in ex-Polyratfun (gh#vermaseren/form#55)
+- Fixed crashes in routines for gzip decompression
+  (gh#vermaseren/form#95)
+- Fixed content_ for polynomials with constant terms
+  (gh#vermaseren/form#185)
+- Fixed some portability issues (gh#vermaseren/form#217,
+  gh#vermaseren/form#223)
+- Fixed corrupted characters from the prepreocessor calculator
+  when the result is the most negative integer
+  (gh#vermaseren/form#219)
+- Fixed a crash on accessing the first
+  gh#vermaseren/form#factdollar factor of an integer
+  (gh#vermaseren/form#222)
+- Fixed memory leaks in routines for gzip compression
+  (gh#vermaseren/form#248)
+- Fixed a memory bug for local $-variables in TFORM
+  (gh#vermaseren/form#253)
+- Fixed a bug that made gcd_ give wrong results
+  (gh#vermaseren/form#258)
+- Fixed a bug in the polynomial GCD routine
+  (gh#vermaseren/form#260)
+- Fixed a wrong "Division by zero" runtime error by mul_(x,0)
+  (gh#vermaseren/form#261)
+- Fixed a bug that caused wrong results in code optimization
+  (gh#vermaseren/form#272)
+- Fixed transform,addargs for the case that the result becomes
+  0 (gh#vermaseren/form#277)
+- Fixed some bug in LHS patterns with poly(rat)fun and symbols
+- Fixed the problem that content_ did not handle functions
+  properly
+- Disable documentation due to LaTeX errors.
+
+---

Old:

  v4.2.0.tar.gz

New:

  v4.2.1.tar.gz



Other differences:
--
++ form.spec ++
--- /var/tmp/diff_new_pack.rwpWqI/_old  2019-03-26 22:31:24.097720565 +0100
+++ /var/tmp/diff_new_pack.rwpWqI/_new  2019-03-26 22:31:24.153720552 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package form
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,12 +16,15 @@
 #
 
 
-%define reldate 20170706
+# Documentation building fails due to LaTeX errors; disable for now
+%define with_doc 0
+
+%define reldate 20190212
 Name:   form
-Version:4.2.0
+Version:4.2.1
 Release:0
 Summary:A Symbolic Manipulation System
-License:GPL-3.0+
+License:GPL-3.0-or-later
 Group:  Productivity/Scientific/Math
 Url:https://github.com/vermaseren/form/
 Source0:https://github.com/vermaseren/form/archive/v%{version}.tar.gz
@@ -36,8 +39,9 @@
 BuildRequires:  libtool
 BuildRequires:  openmpi-devel
 BuildRequires:  pkgconfig
-BuildRequires:  texlive-tex4ht
 BuildRequires:  pkgconfig(zlib)
+%if %{with_doc}
+BuildRequires:  texlive-tex4ht
 BuildRequires:  tex(adjustbox.sty)
 BuildRequires:  tex(amssymb.sty)
 BuildRequires:  tex(calc.sty)
@@ -61,6 +65,7 @@
 BuildRequires:  tex(tocloft.sty)
 BuildRequires:  tex(wasysym.sty)
 BuildRequires:  tex(xcolor.sty)
+%endif
 Recommends: %{name}-doc = %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
@@ -101,11 +106,13 @@
 %configure --enable-parform
 make %{?_smp_mflags}
 
+%if %{with_doc}
 # MAKE DOCUMENTATION
 pushd doc
 make %{?_smp_mflags} pdf
 make %{?_smp_mflags} html
 popd
+%endif
 
 %install
 %make_install
@@ -113,19 +120,21 @@
 %fdupes -s doc
 
 %files
-%defattr(-,root,root)
 %doc AUTHORS README.md COPYING
+%if %{with_doc}
 %doc doc/manual/manual.pdf
 %doc doc/manual/html/

commit python-fanficfare for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-fanficfare for 
openSUSE:Factory checked in at 2019-03-26 22:31:31

Comparing /work/SRC/openSUSE:Factory/python-fanficfare (Old)
 and  /work/SRC/openSUSE:Factory/.python-fanficfare.new.25356 (New)


Package is "python-fanficfare"

Tue Mar 26 22:31:31 2019 rev:6 rq:686456 version:3.6.0

Changes:

--- /work/SRC/openSUSE:Factory/python-fanficfare/python-fanficfare.changes  
2019-03-08 11:02:45.356527842 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-fanficfare.new.25356/python-fanficfare.changes
   2019-03-26 22:31:45.241715462 +0100
@@ -1,0 +2,8 @@
+Tue Mar 19 15:20:41 UTC 2019 - Tomáš Chvátal 
+
+- Update to 3.6.0:
+  * Install attached plugin zip file, or use Calibre's 'Get plugins' feature.
+- Use dos2unix for file conversions
+- Add missing runtime dependencies
+
+---

Old:

  FanFicFare-3.5.0.tar.gz

New:

  FanFicFare-3.6.0.tar.gz



Other differences:
--
++ python-fanficfare.spec ++
--- /var/tmp/diff_new_pack.IHLXlg/_old  2019-03-26 22:31:46.297715208 +0100
+++ /var/tmp/diff_new_pack.IHLXlg/_new  2019-03-26 22:31:46.297715208 +0100
@@ -20,7 +20,7 @@
 %define modnamedown fanficfare
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-fanficfare
-Version:3.5.0
+Version:3.6.0
 Release:0
 Summary:Tool for making eBooks from stories on fanfiction and other 
web sites
 License:GPL-3.0-only
@@ -32,8 +32,13 @@
 BuildRequires:  %{python_module html2text}
 BuildRequires:  %{python_module html5lib}
 BuildRequires:  %{python_module setuptools >= 17.1}
+BuildRequires:  dos2unix
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+Requires:   python-beautifulsoup4
+Requires:   python-chardet
+Requires:   python-html2text
+Requires:   python-html5lib
 Requires(post): update-alternatives
 Requires(postun): update-alternatives
 BuildArch:  noarch
@@ -53,11 +58,7 @@
 %prep
 %setup -q -n %{modname}-%{version}
 sed -i -e '/^#!\/usr\/bin\/python/d' fanficfare/mobi{,html}.py
-for f in DESCRIPTION.rst README.md ; do
-tr -d '\r' < $f > $f.new
-touch --reference=$f $f.new
-mv -f $f.new $f
-done
+dos2unix DESCRIPTION.rst README.md
 
 %build
 %python_build

++ FanFicFare-3.5.0.tar.gz -> FanFicFare-3.6.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/FanFicFare-3.5.0/calibre-plugin/__init__.py 
new/FanFicFare-3.6.0/calibre-plugin/__init__.py
--- old/FanFicFare-3.5.0/calibre-plugin/__init__.py 2019-02-12 
02:50:50.0 +0100
+++ new/FanFicFare-3.6.0/calibre-plugin/__init__.py 2019-03-12 
16:28:29.0 +0100
@@ -33,7 +33,7 @@
 from calibre.customize import InterfaceActionBase
 
 # pulled out from FanFicFareBase for saving in prefs.py
-__version__ = (3, 5, 0)
+__version__ = (3, 6, 0)
 
 ## Apparently the name for this class doesn't matter--it was still
 ## 'demo' for the first few versions.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/FanFicFare-3.5.0/calibre-plugin/plugin-defaults.ini 
new/FanFicFare-3.6.0/calibre-plugin/plugin-defaults.ini
--- old/FanFicFare-3.5.0/calibre-plugin/plugin-defaults.ini 2019-02-12 
02:50:50.0 +0100
+++ new/FanFicFare-3.6.0/calibre-plugin/plugin-defaults.ini 2019-03-12 
16:28:29.0 +0100
@@ -1438,7 +1438,7 @@
 ## Site dedicated to these categories/characters/ships
 extracategories:Harry Potter
 
-extra_valid_entries: origin,originUrl,originHTML,reviews
+extra_valid_entries: origin,originUrl,originHTML
 originHTML_label:Original Story URL
 
 ## Assume entryUrl, apply to "%s" to
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/FanFicFare-3.5.0/calibre-plugin/translations/ca.po 
new/FanFicFare-3.6.0/calibre-plugin/translations/ca.po
--- old/FanFicFare-3.5.0/calibre-plugin/translations/ca.po  2019-02-12 
02:50:50.0 +0100
+++ new/FanFicFare-3.6.0/calibre-plugin/translations/ca.po  2019-03-12 
16:28:29.0 +0100
@@ -2,7 +2,7 @@
 # Copyright (C) YEAR ORGANIZATION
 # 
 # Translators:
-# Adolfo Jayme Barrientos, 2014
+# Adolfo Jayme-Barrientos, 2014
 # jmontane, 2014
 # Queralt Iglesias , 2016
 # Robert Antoni Buj Gelonch , 2016-2017
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/FanFicFare-3.5.0/calibre-plugin/translations/es.po 
new/FanFicFare-3.6.0/calibre-plugin/translations/es.po
--- old/FanFicFare-3.5.0/calibre-plugin/translations/es.po  2019-02-12 
02:50:50.0 +0100
+++ 

commit python-pscript for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-pscript for openSUSE:Factory 
checked in at 2019-03-26 22:31:45

Comparing /work/SRC/openSUSE:Factory/python-pscript (Old)
 and  /work/SRC/openSUSE:Factory/.python-pscript.new.25356 (New)


Package is "python-pscript"

Tue Mar 26 22:31:45 2019 rev:3 rq:686471 version:0.7.0

Changes:

--- /work/SRC/openSUSE:Factory/python-pscript/python-pscript.changes
2018-12-14 20:56:11.244815896 +0100
+++ /work/SRC/openSUSE:Factory/.python-pscript.new.25356/python-pscript.changes 
2019-03-26 22:31:47.917714817 +0100
@@ -1,0 +2,6 @@
+Tue Mar 19 15:43:05 UTC 2019 - Tomáš Chvátal 
+
+- Update to 0.7.0:
+  * Add ability to reduce overloading of add, mul, equals and truthy
+
+---

Old:

  pscript-0.6.2.tar.gz

New:

  pscript-0.7.0.tar.gz



Other differences:
--
++ python-pscript.spec ++
--- /var/tmp/diff_new_pack.hlmjS0/_old  2019-03-26 22:31:48.653714639 +0100
+++ /var/tmp/diff_new_pack.hlmjS0/_new  2019-03-26 22:31:48.657714638 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pscript
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,20 +18,20 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-pscript
-Version:0.6.2
+Version:0.7.0
 Release:0
 Summary:Python to JavaScript compiler
 License:BSD-2-Clause
 Group:  Development/Languages/Python
-Url:http://pscript.readthedocs.io
+Url:https://github.com/flexxui/pscript
 Source: 
https://files.pythonhosted.org/packages/source/p/pscript/pscript-%{version}.tar.gz
-BuildRequires:  %{python_module devel}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 # SECTION test requirements
 BuildRequires:  %{python_module invoke}
 BuildRequires:  %{python_module pytest}
+BuildRequires:  python-faulthandler
 # /SECTION
 BuildArch:  noarch
 
@@ -51,10 +51,9 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-# Missing files for tests
-# See: https://github.com/flexxui/pscript/pull/35
-# %%check
-# %%python_expand invoke-%%{$python_bin_suffix} test --unit;
+%check
+# the tests actually do not invoke themselves
+#%%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} 
invoke-%%{$python_bin_suffix} test --unit
 
 %files %{python_files}
 %doc README.md

++ pscript-0.6.2.tar.gz -> pscript-0.7.0.tar.gz ++
 1987 lines of diff (skipped)




commit vtk for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package vtk for openSUSE:Factory checked in 
at 2019-03-26 22:31:15

Comparing /work/SRC/openSUSE:Factory/vtk (Old)
 and  /work/SRC/openSUSE:Factory/.vtk.new.25356 (New)


Package is "vtk"

Tue Mar 26 22:31:15 2019 rev:39 rq:686429 version:8.2.0

Changes:

--- /work/SRC/openSUSE:Factory/vtk/vtk.changes  2019-01-11 14:04:37.771851945 
+0100
+++ /work/SRC/openSUSE:Factory/.vtk.new.25356/vtk.changes   2019-03-26 
22:31:17.341722196 +0100
@@ -1,0 +2,28 @@
+Fri Mar 15 18:42:02 UTC 2019 - Stefan Brüns 
+
+- Update to version 8.2.0
+  * Removed support for TCL and Qt4
+  * Removed all VTK_OVERRIDE, VTK_FINAL, VTK_DELETE_FUNCTION macros as
+C++11 is now required.
+  * vtkAbstractArray gained support for runtime user defined free functions,
+allowing for custom allocator memory to be used with VTK.
+  * The vtkGeovis classes are now deprecated.
+  See https://blog.kitware.com/vtk-8-2-0/ for a more exhaustive list.
+- Packaging changes:
+  * Python bindings for MPI flavors are now installed below the MPI prefix
+and thus no longer conflict with each other. To use these, the
+PYTHONPATH currently has to be amended manually.
+  * Removed several devel Requires: from the devel package. This reduces the
+dependency chain (e.g. java-devel) for all packages building against VTK,
+but may require to specify some dependencies explicitly, depending on
+the used VTK modules and bindings.
+- Patch updates/additions:
+  * Rebase vtk-fix-file-contains-date-time.patch
+  * Rebase 0001-Allow-compilation-on-GLES-platforms.patch
+  * Drop obsolete fix_qt5_example_cmake.patch
+  * Add bundled_libharu_add_missing_libm.patch
+  * Add bundled_exodusii_add_missing_libpthread.patch
+  * Add 0001-Add-libogg-to-IOMovie-target-link-libraries.patch
+  * Add 0001-Make-code-calling-proj4-compatible-with-proj4-5.0-an.patch
+
+---
@@ -685,2 +712,0 @@
-to fix buffer overflow report from rpmlint
-

Old:

  VTK-8.1.2.tar.gz
  fix_qt5_example_cmake.patch

New:

  0001-Add-libogg-to-IOMovie-target-link-libraries.patch
  0001-Make-code-calling-proj4-compatible-with-proj4-5.0-an.patch
  VTK-8.2.0.tar.gz
  bundled_exodusii_add_missing_libpthread.patch
  bundled_libharu_add_missing_libm.patch



Other differences:
--
++ vtk.spec ++
--- /var/tmp/diff_new_pack.fiCH4B/_old  2019-03-26 22:31:19.893721580 +0100
+++ /var/tmp/diff_new_pack.fiCH4B/_new  2019-03-26 22:31:19.917721574 +0100
@@ -20,6 +20,16 @@
 
 %define pkgname vtk
 
+%if 0%{?suse_version} <= 1500
+%bcond_withpugixml
+%else
+%bcond_without pugixml
+%endif
+# Need patched version with HPDF_SHADING
+%bcond_withharu
+# Need unrelased version > 1.4.0 with e.g. gl2psTextOptColorBL
+%bcond_withgl2ps
+
 %if "%{flavor}" == ""
 %define my_prefix %_prefix
 %define my_bindir %_bindir
@@ -54,16 +64,16 @@
 %define shlib   %{vtklib}
 
 Name:   vtk%{?my_suffix}
-Version:8.1.2
+Version:8.2.0
 Release:0
-%define series  8.1
+%define series  8.2
 # This is a variant BSD license, a cross between BSD and ZLIB.
 # For all intents, it has the same rights and restrictions as BSD.
 # http://fedoraproject.org/wiki/Licensing/BSD#VTKBSDVariant
 Summary:The Visualization Toolkit - A high level 3D visualization 
library
 License:BSD-3-Clause
 Group:  Productivity/Scientific/Other
-URL:http://vtk.org/
+URL:https://vtk.org/
 Source: 
https://www.vtk.org/files/release/%{series}/VTK-%{version}.tar.gz
 # FIXME See if packaging can be tweaked to accommodate python-vtk's devel 
files in a devel package later
 # We need to use the compat conditionals here to avoid Factory's source 
validator from tripping up
@@ -71,16 +81,25 @@
 # PATCH-FIX-UPSTREAM vtk-fix-file-contains-date-time.patch 
badshah...@gmail.com -- Fix file containing DATE and TIME
 Patch1: vtk-fix-file-contains-date-time.patch
 # PATCH-FIX-OPENSUSE 0001-Allow-compilation-on-GLES-platforms.patch VTK issue 
#17113 stefan.bru...@rwth-aachen.de -- Fix building with Qt GLES builds
-Patch3: 0001-Allow-compilation-on-GLES-platforms.patch
-# PATCH-FIX-UPSTREAM fix_qt5_example_cmake.patch -- Fix for recent Qt5 version 
https://gitlab.kitware.com/vtk/vtk/issues/17336
-Patch4: fix_qt5_example_cmake.patch
+Patch2: 0001-Allow-compilation-on-GLES-platforms.patch
+# PATCH-FIX-OPENSUSE bundled_libharu_add_missing_libm.patch 
stefan.bru...@rwth-aachen.de -- Add missing libm for linking
+Patch3: bundled_libharu_add_missing_libm.patch
+# PATCH-FIX-OPENSUSE bundled_exodusii_add_missing_libpthread.patch 
stefan.bru...@rwth-aachen.de -- Add missing libm 

commit python-dbf for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-dbf for openSUSE:Factory 
checked in at 2019-03-26 22:31:27

Comparing /work/SRC/openSUSE:Factory/python-dbf (Old)
 and  /work/SRC/openSUSE:Factory/.python-dbf.new.25356 (New)


Package is "python-dbf"

Tue Mar 26 22:31:27 2019 rev:3 rq:686453 version:0.98.0

Changes:

--- /work/SRC/openSUSE:Factory/python-dbf/python-dbf.changes2018-12-13 
19:47:43.732756532 +0100
+++ /work/SRC/openSUSE:Factory/.python-dbf.new.25356/python-dbf.changes 
2019-03-26 22:31:39.249716909 +0100
@@ -1,0 +2,9 @@
+Tue Mar 19 15:01:20 UTC 2019 - Tomáš Chvátal 
+
+- Update to 0.98.0:
+  * fix resize_field to work on empty tables
+  * fix export to fixed-width by using codecs.open
+  * allow non-standard characters in field names (with warnings)
+- Run tests
+
+---

Old:

  dbf-0.97.11.tar.gz

New:

  dbf-0.98.0.tar.gz



Other differences:
--
++ python-dbf.spec ++
--- /var/tmp/diff_new_pack.VqqlpQ/_old  2019-03-26 22:31:41.101716462 +0100
+++ /var/tmp/diff_new_pack.VqqlpQ/_new  2019-03-26 22:31:41.101716462 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-dbf
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,16 +18,20 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-dbf
-Version:0.97.11
+Version:0.98.0
 Release:0
 Summary:Pure python package for reading/writing dBase, FoxPro, and 
Visual FoxPro .dbf
 License:BSD-3-Clause
 Group:  Development/Languages/Python
-URL:https://bitbucket.org/stoneleaf/dbf/src/default/
+URL:https://pypi.org/project/dbf/
 Source: 
https://files.pythonhosted.org/packages/source/d/dbf/dbf-%{version}.tar.gz
+BuildRequires:  %{python_module aenum}
+BuildRequires:  %{python_module pytz}
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
+Requires:   python-aenum
+Requires:   python-pytz
 BuildArch:  noarch
 %python_subpackages
 
@@ -49,6 +53,9 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
+%check
+%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python dbf/test.py
+
 %files %{python_files}
 %license dbf/LICENSE
 %{python_sitelib}/dbf-%{version}-py*.egg-info

++ dbf-0.97.11.tar.gz -> dbf-0.98.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/dbf-0.97.11/PKG-INFO new/dbf-0.98.0/PKG-INFO
--- old/dbf-0.97.11/PKG-INFO2018-06-06 03:54:52.0 +0200
+++ new/dbf-0.98.0/PKG-INFO 2019-03-16 01:39:55.0 +0100
@@ -1,6 +1,6 @@
 Metadata-Version: 1.1
 Name: dbf
-Version: 0.97.11
+Version: 0.98.0
 Summary: Pure python package for reading/writing dBase, FoxPro, and Visual 
FoxPro .dbf files (including memos)
 Home-page: https://pypi.python.org/pypi/dbf
 Author: Ethan Furman
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/dbf-0.97.11/dbf/LICENSE new/dbf-0.98.0/dbf/LICENSE
--- old/dbf-0.97.11/dbf/LICENSE 2018-06-06 03:38:23.0 +0200
+++ new/dbf-0.98.0/dbf/LICENSE  2019-03-16 01:38:25.0 +0100
@@ -1,4 +1,4 @@
-Copyright (c) 2008-2018 Ethan Furman
+Copyright (c) 2008-2019 Ethan Furman
 All rights reserved.
 
 Redistribution and use in source and binary forms, with or without
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/dbf-0.97.11/dbf/WHATSNEW new/dbf-0.98.0/dbf/WHATSNEW
--- old/dbf-0.97.11/dbf/WHATSNEW1970-01-01 01:00:00.0 +0100
+++ new/dbf-0.98.0/dbf/WHATSNEW 2019-03-16 01:38:25.0 +0100
@@ -0,0 +1,409 @@
+What's New
+==
+
+0.98.000
+
+
+fix resize_field to work on empty tables
+fix export to fixed-width by using codecs.open
+allow non-standard characters in field names (with warnings)
+
+
+0.97.011
+
+
+allow '' as a null date in dbf files
+
+
+0.97.010
+
+
+fixed nullable-field access in vfp tables
+
+
+0.97.009
+
+
+allow tzinfo addition/change in DateTime.combine()
+fix strptime for Time
+hook into datetime.datetime and .date equality comparisons
+
+
+0.97.008
+
+
+Marshalling a DateTime now works
+
+
+0.97.007
+
+
+add pytz support to Time and DateTime
+Marshalling a DateTime sends as UTC if possible
+
+
+0.97.004
+
+
+Fix bug in VFP doubles
+
+
+0.97.003
+
+
+Fix field creation 

commit cadabra2 for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package cadabra2 for openSUSE:Factory 
checked in at 2019-03-26 22:31:20

Comparing /work/SRC/openSUSE:Factory/cadabra2 (Old)
 and  /work/SRC/openSUSE:Factory/.cadabra2.new.25356 (New)


Package is "cadabra2"

Tue Mar 26 22:31:20 2019 rev:11 rq:686431 version:2.2.5

Changes:

--- /work/SRC/openSUSE:Factory/cadabra2/cadabra2.changes2019-02-02 
21:50:06.923935800 +0100
+++ /work/SRC/openSUSE:Factory/.cadabra2.new.25356/cadabra2.changes 
2019-03-26 22:31:30.313719065 +0100
@@ -1,0 +2,9 @@
+Fri Mar 15 14:17:41 UTC 2019 - Atri B 
+
+- Update to version 2.2.5:
+  * Interim bug fix release with fixes for upcoming Debian as well
+as the new explicit_indices algorithm.
+- Move man files to the correct _mandir.
+- Minor cleanups using spec-cleaner.
+
+---

Old:

  2.2.4.tar.gz

New:

  2.2.5.tar.gz



Other differences:
--
++ cadabra2.spec ++
--- /var/tmp/diff_new_pack.kDRRms/_old  2019-03-26 22:31:32.121718628 +0100
+++ /var/tmp/diff_new_pack.kDRRms/_new  2019-03-26 22:31:32.121718628 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   cadabra2
-Version:2.2.4
+Version:2.2.5
 Release:0
 Summary:A computer algebra system for solving problems in field theory
 License:GPL-3.0-or-later
@@ -155,12 +155,15 @@
 %prep
 %setup -q
 %patch1 -p1
+rm examples/.gitignore
 
 %build
+
 # FIXME: you should use %%cmake macro but it doesn't work
 mkdir build && pushd build
 cmake \\\
   -DCMAKE_INSTALL_PREFIX=%{_prefix} \\\
+  -DCMAKE_MANDIR=%{_mandir} \\\
   -DPACKAGING_MODE=ON \\\
 %if 0%{?suse_version} <= 1320
   -DUSE_PYTHON_3=OFF \\\
@@ -185,16 +188,16 @@
 # Replace "/usr/bin/env python3" hashbang by "/usr/bin/python3"
 sed -E -i "s|^#!/usr/bin/env python3|#!/usr/bin/python3|" 
%{buildroot}%{_bindir}/cadabra2
 
-rm %{buildroot}%{_libexecdir}/*.a
-
 mkdir -p %{buildroot}%{_datadir}/texmf/tex/latex/cadabra2/
 ln %{buildroot}%{_datadir}/cadabra2/latex/* 
%{buildroot}%{_datadir}/texmf/tex/latex/cadabra2/
 
-%post
-/sbin/ldconfig
+# Move man files to proper %%_mandir
+mkdir -p %{buildroot}%{_mandir}/man1
+mv %{buildroot}%{_prefix}/man/man1/* %{buildroot}%{_mandir}/man1/
+
+%post -p /sbin/ldconfig
 
-%postun
-/sbin/ldconfig
+%postun -p /sbin/ldconfig
 
 %if 0%{?suse_version} <= 1320
 %post gui
@@ -207,8 +210,8 @@
 %endif
 
 %files
-%defattr(-,root,root)
-%doc README.rst doc/license.txt
+%doc README.rst
+%license doc/license.txt
 %{_bindir}/cadabra2cadabra
 %{_bindir}/cadabra-server
 %{_bindir}/%{name}
@@ -216,9 +219,9 @@
 %{_bindir}/%{name}html
 %{_datadir}/%{name}/
 %{_datadir}/texmf/tex/latex/cadabra2/
+%{_mandir}/man1/cadabra*.1%{?ext_man}
 
 %files gui
-%defattr(-,root,root)
 %{_bindir}/%{name}-gtk
 %{_datadir}/icons/hicolor/*/apps/cadabra2-gtk.*
 %{_datadir}/applications/cadabra2-gtk.desktop
@@ -226,11 +229,9 @@
 %{_datadir}/metainfo/*.appdata.xml
 
 %files examples
-%defattr(-,root,root)
 %doc examples/
 
 %files doc
-%defattr(-,root,root)
 %doc doxygen/html
 
 %changelog

++ 2.2.4.tar.gz -> 2.2.5.tar.gz ++
/work/SRC/openSUSE:Factory/cadabra2/2.2.4.tar.gz 
/work/SRC/openSUSE:Factory/.cadabra2.new.25356/2.2.5.tar.gz differ: char 15, 
line 1

++ cadabra2-add-pthread-to-cxxflags.patch ++
--- /var/tmp/diff_new_pack.kDRRms/_old  2019-03-26 22:31:32.153718621 +0100
+++ /var/tmp/diff_new_pack.kDRRms/_new  2019-03-26 22:31:32.153718621 +0100
@@ -1,8 +1,8 @@
-Index: cadabra2-2.2.4/CMakeLists.txt
+Index: cadabra2-2.2.5/CMakeLists.txt
 ===
 cadabra2-2.2.4.orig/CMakeLists.txt
-+++ cadabra2-2.2.4/CMakeLists.txt
-@@ -102,7 +102,7 @@ if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMP
+--- cadabra2-2.2.5.orig/CMakeLists.txt
 cadabra2-2.2.5/CMakeLists.txt
+@@ -104,7 +104,7 @@ if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMP
message(FATAL_ERROR "GCC version must be at least 4.9 
for regex support! See 
http://askubuntu.com/questions/428198/getting-installing-gcc-g-4-9-on-ubuntu 
and then set the environment variables CXX to g++-4.9 and CC to gcc-4.9. You 
may have to erase the build directory before re-running cmake.")
endif()
endif()




commit permlib for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package permlib for openSUSE:Factory checked 
in at 2019-03-26 22:30:48

Comparing /work/SRC/openSUSE:Factory/permlib (Old)
 and  /work/SRC/openSUSE:Factory/.permlib.new.25356 (New)


Package is "permlib"

Tue Mar 26 22:30:48 2019 rev:1 rq:686225 version:0.2.9

Changes:

New Changes file:

--- /dev/null   2018-10-29 14:05:42.522318975 +0100
+++ /work/SRC/openSUSE:Factory/.permlib.new.25356/permlib.changes   
2019-03-26 22:30:48.733729100 +0100
@@ -0,0 +1,5 @@
+---
+Sun Mar 17 17:10:01 UTC 2019 - Jan Engelhardt 
+
+- Initial package (version 0.2.8) for build.opensuse.org
+- Add modernize-boost.diff

New:

  modernize-boost.diff
  permlib.changes
  permlib.spec
  v0.2.9.tar.gz



Other differences:
--
++ permlib.spec ++
#
# spec file for package permlib
#
# Copyright (c) 2019 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:   permlib
Version:0.2.9
Release:0
Summary:C++ library for permutation computations
License:BSD-3-Clause
Group:  Productivity/Scientific/Math
URL:http://www.math.uni-rostock.de/~rehn/software/permlib.html

#Git-URL:   https://github.com/tremlin/PermLib
Source: https://github.com/tremlin/PermLib/archive/v%version.tar.gz
Patch1: modernize-boost.diff
BuildRequires:  c++_compiler
BuildRequires:  libboost_headers-devel
BuildRequires:  libboost_test-devel
BuildRequires:  cmake
BuildArch:  noarch

%description
PermLib is a C++ library for permutation computations.
It is implemented in C++ header files only.

%package devel
Summary:Header files for permlib, a permutation computation library
Group:  Development/Libraries/C and C++
Requires:   libboost_headers-devel

%description devel
PermLib is a C++ library for permutation computations. It is
implemented in C++ header files only.

Currently, it supports set stabilizer and in-orbit computations,
based on bases and strong generating sets (BSGS). Additionally, it
computes automorphisms of symmetric matrices and find the
lexicographically smallest set in an orbit of sets. It also features
a very basic recognition of permutation group types.

%prep
%autosetup -n PermLib-%version -p1

%build
%cmake
# This is just the testsuite that gets built,
# but it's a worthwhile compiler/boost check.
%cmake_build

%install
mkdir -p "%buildroot/%_includedir/"
cp -a include/permlib "%buildroot/%_includedir/"

%files devel
%_includedir/permlib/
%license LICENSE

%changelog
++ modernize-boost.diff ++
From: Jan Engelhardt 
Date: 2019-03-17 18:21:06.508517390 +0100

There seems to be no boost::next in 1.69 anymore that I can find.
Replace with std::next, which mandates C++11.

---
 CMakeLists.txt |4 ++--
 include/permlib/abstract_bsgs.h|2 +-
 include/permlib/bsgs.h |2 +-
 include/permlib/change/base_transpose.h|2 +-
 include/permlib/generator/schreier_generator.h |2 +-
 include/permlib/test/primitivity_sgs_test.h|2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

Index: PermLib-0.2.9/CMakeLists.txt
===
--- PermLib-0.2.9.orig/CMakeLists.txt
+++ PermLib-0.2.9/CMakeLists.txt
@@ -15,11 +15,11 @@ IF( NOT CMAKE_BUILD_TYPE )
  FORCE )
 ENDIF( NOT CMAKE_BUILD_TYPE )
 
-add_definitions(-Wall -Woverloaded-virtual -ansi -pedantic -Wshadow)
+add_definitions(-Wall -Woverloaded-virtual)
 include_directories(${Boost_INCLUDE_DIRS})
 include_directories("${CMAKE_SOURCE_DIR}/include")
 
-set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -O3 -g 
-DBOOST_DISABLE_ASSERTS")
+set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "${CMAKE_CXX_FLAGS_RELWITHDEBINFO} -g 
-DBOOST_DISABLE_ASSERTS")
 
 # add -DPERMLIB_DEBUG_OUTPUT flag for full debug output
 set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -DPERMLIB_DEBUGMODE")
Index: PermLib-0.2.9/include/permlib/abstract_bsgs.h

commit zn_poly for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package zn_poly for openSUSE:Factory checked 
in at 2019-03-26 22:30:52

Comparing /work/SRC/openSUSE:Factory/zn_poly (Old)
 and  /work/SRC/openSUSE:Factory/.zn_poly.new.25356 (New)


Package is "zn_poly"

Tue Mar 26 22:30:52 2019 rev:6 rq:686229 version:0.9.1

Changes:

--- /work/SRC/openSUSE:Factory/zn_poly/zn_poly.changes  2014-10-18 
09:09:40.0 +0200
+++ /work/SRC/openSUSE:Factory/.zn_poly.new.25356/zn_poly.changes   
2019-03-26 22:30:53.525727943 +0100
@@ -1,0 +2,6 @@
+Mon Mar 18 20:27:16 UTC 2019 - Jan Engelhardt 
+
+- Update to new upstream release 0.9.1
+  * Build fixes only
+
+---

Old:

  COPYING
  zn_poly-0.9.tar.gz

New:

  zn_poly-0.9.1.tar.bz2



Other differences:
--
++ zn_poly.spec ++
--- /var/tmp/diff_new_pack.ZNnAjo/_old  2019-03-26 22:30:54.209727778 +0100
+++ /var/tmp/diff_new_pack.ZNnAjo/_new  2019-03-26 22:30:54.209727778 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package zn_poly
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,21 +12,20 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   zn_poly
+%define abiversion 0.9
 %define lname  libzn_poly-0_9
-Version:0.9
+Version:0.9.1
 Release:0
 Summary:Library for polynomial arithmetic in Z/nZ[x]
-License:BSD-2-Clause and GPL-2.0+ and LGPL-2.1+
+License:BSD-2-Clause AND GPL-2.0-or-later AND LGPL-2.1-or-later
 Group:  Productivity/Scientific/Math
-Url:http://web.maths.unsw.edu.au/~davidharvey/code/zn_poly/
-
-Source: 
http://web.maths.unsw.edu.au/~davidharvey/code/zn_poly/releases/%name-%version.tar.gz
-Source4:COPYING
+URL:https://gitlab.com/sagemath/zn_poly/
+Source: 
https://gitlab.com/sagemath/zn_poly/-/archive/0.9.1/%name-%version.tar.bz2
 Patch1: znpoly-automake.diff
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  gmp-devel
@@ -38,7 +37,7 @@
 
 %package -n %lname
 Summary:Library for polynomial arithmetic in Z/nZ[x]
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  System/Libraries
 
 %description -n %lname
@@ -47,7 +46,7 @@
 
 %package devel
 Summary:Development files for the zn_poly library
-License:GPL-2.0+
+License:GPL-2.0-or-later
 Group:  Development/Libraries/C and C++
 
 %description devel
@@ -59,21 +58,21 @@
 %patch -P 1 -p1
 
 %build
-autoreconf -fi;
+autoreconf -fi
 %configure --disable-static
 make %{?_smp_mflags}
 
 %install
-b="%buildroot";
-make install DESTDIR="$b";
-rm -f "$b/%_libdir"/*.la;
-mkdir -p "$b/%_defaultdocdir/%lname"
-cp "%{S:4}" "$b/%_defaultdocdir/%lname/"
+%make_install
+rm -f "%buildroot/%_libdir"/*.la
+
+%post   -n %lname -p /sbin/ldconfig
+%postun -n %lname -p /sbin/ldconfig
 
 %files -n %lname
 %defattr(-,root,root)
-%_libdir/libzn_poly-%version.so
-%_defaultdocdir/%lname/
+%_libdir/libzn_poly-%abiversion.so
+%license COPYING
 
 %files devel
 %defattr(-,root,root)

++ znpoly-automake.diff ++
--- /var/tmp/diff_new_pack.ZNnAjo/_old  2019-03-26 22:30:54.229727773 +0100
+++ /var/tmp/diff_new_pack.ZNnAjo/_new  2019-03-26 22:30:54.233727772 +0100
@@ -1,42 +1,37 @@
 From: Jan Engelhardt 
 Date: 2011-09-27 16:28:00 +
-Upstream: dead
 
 ---
- Makefile.am  |   13 +
+ Makefile.am  |9 +
  configure.ac |   10 ++
- 2 files changed, 23 insertions(+)
+ 2 files changed, 19 insertions(+)
 
-Index: zn_poly-0.9/Makefile.am
+Index: zn_poly-0.9.1/Makefile.am
 ===
 --- /dev/null
-+++ zn_poly-0.9/Makefile.am
-@@ -0,0 +1,13 @@
 zn_poly-0.9.1/Makefile.am
+@@ -0,0 +1,10 @@
 +# -*- Makefile -*-
-+
 +AM_CPPFLAGS = -I${top_srcdir}/include
-+
 +pkginclude_HEADERS = include/zn_poly.h include/wide_arith.h
 +noinst_HEADERS = include/support.h include/profiler.h 
include/zn_poly_internal.h
-+libsrcs = src/array.c src/invert.c src/ks_support.c src/mulmid.c 
src/mulmid_ks.c src/misc.c src/mpn_mulmid.c src/mul.c src/mul_fft.c 
src/mul_fft_dft.c src/mul_ks.c src/nuss.c src/pack.c src/pmf.c src/pmfvec_fft.c 
src/tuning.c src/zn_mod.c
-+
++libsrcs = src/array.c src/invert.c src/ks_support.c 

commit tigervnc for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package tigervnc for openSUSE:Factory 
checked in at 2019-03-26 22:30:17

Comparing /work/SRC/openSUSE:Factory/tigervnc (Old)
 and  /work/SRC/openSUSE:Factory/.tigervnc.new.25356 (New)


Package is "tigervnc"

Tue Mar 26 22:30:17 2019 rev:58 rq:688637 version:1.9.0

Changes:

--- /work/SRC/openSUSE:Factory/tigervnc/tigervnc.changes2019-02-08 
12:07:30.121602088 +0100
+++ /work/SRC/openSUSE:Factory/.tigervnc.new.25356/tigervnc.changes 
2019-03-26 22:30:19.869736065 +0100
@@ -1,0 +2,28 @@
+Tue Mar 26 08:22:53 UTC 2019 - Yifan Jiang 
+
+- Update with-vnc-key.sh to use only hostname for CN.
+
+  The gnutls introduces gnutls_x509_crt_check_hostname2 in
+  gnutls/lib/x509/hostname-verify.c#L159 to check if the given
+  certificate's subject matches the given hostname.
+
+  The function is used by the recent version of libvncclient which
+  will fail to verify the certification if there is a mismatching
+  between the connected hostname and the cert issuer's common name.
+
+  https://github.com/LibVNC/libvncserver/commit/cc69ee9
+
+  So the previous way to generate the vnc server's cert brings a
+  complicated CN, making the client using libvncclient
+  (e.g. vinagre, remmina) hard to adapt the hostname check. It is
+  better to populate the hostname as the common name without extra
+  strings.
+
+---
+Thu Mar 21 09:16:51 UTC 2019 - Dominique Leuenberger 
+
+- Change Requires(post): firewall-macros to BuildRequires: the
+  macros are expanded at build time and not needed at all at
+  runtime.
+
+---



Other differences:
--
++ tigervnc.spec ++
--- /var/tmp/diff_new_pack.Q0imM5/_old  2019-03-26 22:30:21.577735653 +0100
+++ /var/tmp/diff_new_pack.Q0imM5/_new  2019-03-26 22:30:21.581735653 +0100
@@ -153,7 +153,7 @@
 Requires(post): /bin/awk
 Requires(post): systemd
 %if %{use_firewalld}
-Requires(post): firewall-macros
+BuildRequires:  firewall-macros
 %endif
 # Needed to generate certificates
 Requires:   windowmanager

++ with-vnc-key.sh ++
--- /var/tmp/diff_new_pack.Q0imM5/_old  2019-03-26 22:30:21.801735599 +0100
+++ /var/tmp/diff_new_pack.Q0imM5/_new  2019-03-26 22:30:21.805735598 +0100
@@ -25,7 +25,7 @@
 # If the cert file doesn't exist, generate it.
 if ! test -e $TLSCERT ; then
 # Keeping it short, because hostname could be long and max CN is 64 
characters
-CN="VNC service on `hostname`"
+CN="`hostname`"
 CN=${CN:0:64}
 openssl req -new -x509 -extensions usr_cert -key $TLSKEY -out $TLSCERT 
-days 7305 -subj "/CN=$CN/"
 chown vnc:vnc $TLSCERT




commit xorg-x11-server for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xorg-x11-server for openSUSE:Factory 
checked in at 2019-03-26 22:30:24

Comparing /work/SRC/openSUSE:Factory/xorg-x11-server (Old)
 and  /work/SRC/openSUSE:Factory/.xorg-x11-server.new.25356 (New)


Package is "xorg-x11-server"

Tue Mar 26 22:30:24 2019 rev:368 rq:688667 version:1.20.4

Changes:

--- /work/SRC/openSUSE:Factory/xorg-x11-server/xorg-x11-server.changes  
2019-03-01 20:26:12.102057864 +0100
+++ 
/work/SRC/openSUSE:Factory/.xorg-x11-server.new.25356/xorg-x11-server.changes   
2019-03-26 22:30:26.021734581 +0100
@@ -1,0 +2,5 @@
+Tue Mar 26 10:31:53 UTC 2019 - Jan Engelhardt 
+
+- Add systemd-rpm-macros BuildRequire for %tmpfiles_*.
+
+---



Other differences:
--
++ xorg-x11-server.spec ++
--- /var/tmp/diff_new_pack.mYgt9l/_old  2019-03-26 22:30:27.201734296 +0100
+++ /var/tmp/diff_new_pack.mYgt9l/_new  2019-03-26 22:30:27.209734294 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -73,6 +73,7 @@
 BuildRequires:  flex
 BuildRequires:  libtool
 BuildRequires:  pkgconfig
+BuildRequires:  systemd-rpm-macros
 BuildRequires:  pkgconfig(bigreqsproto) >= 1.1.0
 BuildRequires:  pkgconfig(compositeproto)
 BuildRequires:  pkgconfig(damageproto) >= 1.1




commit trigger-rally for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package trigger-rally for openSUSE:Factory 
checked in at 2019-03-26 22:30:34

Comparing /work/SRC/openSUSE:Factory/trigger-rally (Old)
 and  /work/SRC/openSUSE:Factory/.trigger-rally.new.25356 (New)


Package is "trigger-rally"

Tue Mar 26 22:30:34 2019 rev:4 rq:687017 version:0.6.6.1

Changes:

--- /work/SRC/openSUSE:Factory/trigger-rally/trigger-rally.changes  
2018-07-13 10:21:02.918433729 +0200
+++ /work/SRC/openSUSE:Factory/.trigger-rally.new.25356/trigger-rally.changes   
2019-03-26 22:30:37.973731696 +0100
@@ -1,0 +2,24 @@
+Sat Mar 16 18:42:00 UTC 2019 - fschaefer@googlemail.com
+
+- Update to v0.6.6.1:
+  * Optimized data for release
+  * Removed internal TinyXML-2 source from Trigger code tree
+  * Documented and reorganized physic engine code
+  * Different tuning: Fox offroad, Evo circuit, Cordo in between
+  * Wheel sinking on the different types of terrain
+  * New freely licensed font
+  * Wheel-ground contact is now computed along wheel plane, not just straight 
down
+  * Vehicle selection screen shows real values of the car
+  * Vehicles can have different friction of wheels defined in the .vehicle file
+  * Optimized .obj mesh loader
+  * Updated libPhysfs code
+  * Other fixes
+  * Added 2 new events and 20 new single races (36 new maps)
+  * Added many new vegetation sprites
+- Drop patch reproducible.patch (merged upstream)
+- Add dependency for tinyXML2
+- Refactor data package creation
+- Add dependency for data package
+- Use pkgconfig(physfs)
+
+---

Old:

  reproducible.patch
  trigger-rally-0.6.5.tar.gz

New:

  trigger-rally-0.6.6.1.tar.gz



Other differences:
--
++ trigger-rally.spec ++
--- /var/tmp/diff_new_pack.sQBrs9/_old  2019-03-26 22:30:42.009730723 +0100
+++ /var/tmp/diff_new_pack.sQBrs9/_new  2019-03-26 22:30:42.057730711 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package trigger-rally
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,15 +12,15 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   trigger-rally
-Version:0.6.5
+Version:0.6.6.1
 Release:0
 Summary:Fast-paced single-player rally racing game
-License:GPL-2.0
+License:GPL-2.0-only
 Group:  Amusements/Games/Action/Race
 Url:http://trigger-rally.sourceforge.net/
 Source0:
http://downloads.sourceforge.net/project/trigger-rally/trigger-%{version}/trigger-rally-%{version}.tar.gz
@@ -29,8 +29,6 @@
 # PATCH-FEATURE-UPSTREAM https://sourceforge.net/p/trigger-rally/patches/15/
 Source2:%{name}.appdata.xml
 Source99:   %{name}.changes
-# PATCH-FIX-UPSTREAM https://sourceforge.net/p/trigger-rally/patches/18/
-Patch0: reproducible.patch
 BuildRequires:  dos2unix
 BuildRequires:  fdupes
 %if %{?suse_version} > 1320
@@ -39,7 +37,6 @@
 BuildRequires:  gcc5-c++
 %endif
 BuildRequires:  hicolor-icon-theme
-BuildRequires:  physfs-devel
 BuildRequires:  update-desktop-files
 BuildRequires:  pkgconfig(SDL2_image)
 BuildRequires:  pkgconfig(freealut)
@@ -47,7 +44,10 @@
 BuildRequires:  pkgconfig(glew)
 BuildRequires:  pkgconfig(glu)
 BuildRequires:  pkgconfig(openal)
+BuildRequires:  pkgconfig(physfs) >= 2.1
 BuildRequires:  pkgconfig(sdl2)
+BuildRequires:  pkgconfig(tinyxml2) >= 6
+Requires:   %{name}-data == %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
@@ -56,9 +56,20 @@
 weather, light and fog conditions. Most maps are equipped with spoken co-driver
 notes and co-driver icons.
 
+%package data
+Summary:Data files for trigger-rally
+Group:  Amusements/Games/Action/Race
+Requires:   trigger-rally == %{version}
+BuildArch:  noarch
+
+%description data
+This package provides the data files for trigger-rally, a 3D rally simulation 
+with a physics engine for drifting, over 100 maps, different terrain materials 
+like dirt, asphalt, sand, ice etc. and various weather, light and fog 
conditions.
+Most maps are equipped with spoken co-driver notes and co-driver icons.
+
 %prep
 %setup -q
-%patch0 -p1
 dos2unix doc/*.txt bin/*.defs
 modified="$(sed -n '/^/n;s/ - .*$//;p;q' "%{SOURCE99}")"
 DATE="\"$(date -d "${modified}" "+%%b %%e %%Y")\""
@@ -71,9 

commit xtrans for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xtrans for openSUSE:Factory checked 
in at 2019-03-26 22:30:12

Comparing /work/SRC/openSUSE:Factory/xtrans (Old)
 and  /work/SRC/openSUSE:Factory/.xtrans.new.25356 (New)


Package is "xtrans"

Tue Mar 26 22:30:12 2019 rev:14 rq:687690 version:1.4.0

Changes:

--- /work/SRC/openSUSE:Factory/xtrans/xtrans.changes2017-06-04 
01:46:26.477688388 +0200
+++ /work/SRC/openSUSE:Factory/.xtrans.new.25356/xtrans.changes 2019-03-26 
22:30:14.249737422 +0100
@@ -1,0 +2,15 @@
+Fri Mar 22 13:38:03 UTC 2019 - Stefan Dirsch 
+
+- n_unifdef-LBXPROXY_t-and-TEST_t.patch
+  * reverse apply in order to fix build of lbxproxy again ...
+
+---
+Fri Mar 22 11:11:11 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.4.0
+  * This release drops a bunch of dead code, including support
+only used by lbxproxy and pre-1.4.0 versions of libX11, as
+well as support for obsolete SysV x86 platforms. It also
+provides some bug fixes & other maintenance work.
+
+---

Old:

  xtrans-1.3.5.tar.bz2

New:

  n_unifdef-LBXPROXY_t-and-TEST_t.patch
  xtrans-1.4.0.tar.bz2



Other differences:
--
++ xtrans.spec ++
--- /var/tmp/diff_new_pack.Zj3yZu/_old  2019-03-26 22:30:14.961737250 +0100
+++ /var/tmp/diff_new_pack.Zj3yZu/_new  2019-03-26 22:30:14.965737249 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package xtrans
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   xtrans
-Version:1.3.5
+Version:1.4.0
 Release:0
 Summary:Library to handle network protocol transport in X
 License:MIT
@@ -25,6 +25,7 @@
 Url:http://xorg.freedesktop.org/
 Source: 
http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
 Patch0: p_xauth.diff
+Patch1: n_unifdef-LBXPROXY_t-and-TEST_t.patch
 BuildRequires:  pkg-config
 BuildRequires:  pkgconfig(xorg-macros) >= 1.12
 BuildRequires:  pkgconfig(xshmfence)
@@ -45,6 +46,7 @@
 %prep
 %setup -q
 %patch0 -p0
+%patch1 -p1 -R
 
 %build
 %configure --docdir=%{_docdir}/xtrans
@@ -59,7 +61,7 @@
 
 %files
 %defattr(-,root,root)
-%doc AUTHORS ChangeLog COPYING README
+%doc AUTHORS ChangeLog COPYING README.md
 %doc doc/xtrans.xml
 %{_includedir}/X11/Xtrans/
 %{_datadir}/aclocal/xtrans.m4

++ n_unifdef-LBXPROXY_t-and-TEST_t.patch ++
>From 0794b1b712a90b40e2b019c9edc6f96874493c52 Mon Sep 17 00:00:00 2001
From: Adam Jackson 
Date: Wed, 18 May 2016 12:41:41 -0400
Subject: [PATCH] unifdef LBXPROXY_t and TEST_t

LBX is dead, and TEST_t is unused.

Reviewed-by: Keith Packard 
Signed-off-by: Adam Jackson 
---
 Xtrans.h | 15 ---
 Xtranssock.c |  8 
 2 files changed, 23 deletions(-)

diff --git a/Xtrans.h b/Xtrans.h
index 3fd73b8..7ed033b 100644
--- a/Xtrans.h
+++ b/Xtrans.h
@@ -111,21 +111,6 @@ static const char *__xtransname = "_IceTrans";
 #endif
 #endif /* ICE_t */
 
-#ifdef TEST_t
-#define TRANS(func) _TESTTrans##func
-#ifdef XTRANSDEBUG
-static const char *__xtransname = "_TESTTrans";
-#endif
-#endif /* TEST_t */
-
-#ifdef LBXPROXY_t
-#define TRANS(func) _LBXPROXYTrans##func
-#define X11_t  /* The server defines this - so should the LBX proxy */
-#ifdef XTRANSDEBUG
-static const char *__xtransname = "_LBXPROXYTrans";
-#endif
-#endif /* LBXPROXY_t */
-
 #if !defined(TRANS)
 #define TRANS(func) _XTrans##func
 #ifdef XTRANSDEBUG
diff --git a/Xtranssock.c b/Xtranssock.c
index 2cda9bb..866f4ab 100644
--- a/Xtranssock.c
+++ b/Xtranssock.c
@@ -215,14 +215,6 @@ static int TRANS(SocketINETClose) (XtransConnInfo ciptr);
 #define UNIX_PATH "/tmp/.ICE-unix/"
 #define UNIX_DIR "/tmp/.ICE-unix"
 #endif /* ICE_t */
-#if defined(TEST_t)
-#define UNIX_PATH "/tmp/.Test-unix/test"
-#define UNIX_DIR "/tmp/.Test-unix"
-#endif
-#if defined(LBXPROXY_t)
-#define UNIX_PATH "/tmp/.X11-unix/X"
-#define UNIX_DIR  "/tmp/.X11-unix"
-#endif
 
 
 #endif /* UNIXCONN */
-- 
2.16.4

++ xtrans-1.3.5.tar.bz2 -> xtrans-1.4.0.tar.bz2 ++
 7847 lines of diff (skipped)




commit xf86-video-amdgpu for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xf86-video-amdgpu for 
openSUSE:Factory checked in at 2019-03-26 22:30:07

Comparing /work/SRC/openSUSE:Factory/xf86-video-amdgpu (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-video-amdgpu.new.25356 (New)


Package is "xf86-video-amdgpu"

Tue Mar 26 22:30:07 2019 rev:23 rq:687666 version:19.0.1

Changes:

--- /work/SRC/openSUSE:Factory/xf86-video-amdgpu/xf86-video-amdgpu.changes  
2019-03-12 09:47:16.071611580 +0100
+++ 
/work/SRC/openSUSE:Factory/.xf86-video-amdgpu.new.25356/xf86-video-amdgpu.changes
   2019-03-26 22:30:08.617738781 +0100
@@ -1,0 +2,8 @@
+Fri Mar 22 13:08:07 UTC 2019 - Stefan Dirsch 
+
+- Update to version 19.0.1
+  * Add support for RandR output tile properties, allowing
+monitors using DisplayPort Multi Stream Transport tiling
+to work better out of the box.
+
+---

Old:

  xf86-video-amdgpu-19.0.0.tar.bz2
  xf86-video-amdgpu-19.0.0.tar.bz2.sig

New:

  xf86-video-amdgpu-19.0.1.tar.bz2
  xf86-video-amdgpu-19.0.1.tar.bz2.sig



Other differences:
--
++ xf86-video-amdgpu.spec ++
--- /var/tmp/diff_new_pack.LKlOAo/_old  2019-03-26 22:30:10.389738353 +0100
+++ /var/tmp/diff_new_pack.LKlOAo/_new  2019-03-26 22:30:10.429738344 +0100
@@ -21,7 +21,7 @@
 %define pci_ids_dir %{_sysconfdir}/X11/xorg_pci_ids
 %endif
 Name:   xf86-video-amdgpu
-Version:19.0.0
+Version:19.0.1
 Release:0
 Summary:AMDGPU video driver for the Xorg X server
 License:MIT

++ xf86-video-amdgpu-19.0.0.tar.bz2 -> xf86-video-amdgpu-19.0.1.tar.bz2 
++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xf86-video-amdgpu-19.0.0/ChangeLog 
new/xf86-video-amdgpu-19.0.1/ChangeLog
--- old/xf86-video-amdgpu-19.0.0/ChangeLog  2019-03-06 12:43:13.0 
+0100
+++ new/xf86-video-amdgpu-19.0.1/ChangeLog  2019-03-19 18:50:39.0 
+0100
@@ -1,3 +1,23 @@
+commit bd4ffd4ebbdf1c43ab9e1ef9ba8b812fd2dde4a4
+Author: Michel Dänzer 
+Date:   Tue Mar 19 18:44:31 2019 +0100
+
+Bump version for the 19.0.1 release
+
+commit 6ee857726166f495abcd68e4ff60e3a09593d079
+Author: Dave Airlie 
+Date:   Mon Mar 23 11:33:23 2015 +1000
+
+modesetting: add tile property support
+
+This adds tiling support to the driver, it retrieves the tile info from
+the kernel and translates it into the server format and exposes the
+property.
+
+(Ported from xserver commits 8fb8bbb3062f1a06621ab7030a9e89d5e8367b35
+ and 6abdb54a11dac4e8854ff94ecdcb90a14321ab31)
+Reviewed-by: Alex Deucher 
+
 commit 9534bf3bb33d14cd3a5af08e36ef42b309647fc7
 Author: Michel Dänzer 
 Date:   Wed Mar 6 12:05:14 2019 +0100
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xf86-video-amdgpu-19.0.0/configure 
new/xf86-video-amdgpu-19.0.1/configure
--- old/xf86-video-amdgpu-19.0.0/configure  2019-03-06 12:42:57.0 
+0100
+++ new/xf86-video-amdgpu-19.0.1/configure  2019-03-19 18:50:23.0 
+0100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for xf86-video-amdgpu 19.0.0.
+# Generated by GNU Autoconf 2.69 for xf86-video-amdgpu 19.0.1.
 #
 # Report bugs to 
.
 #
@@ -591,8 +591,8 @@
 # Identity of this package.
 PACKAGE_NAME='xf86-video-amdgpu'
 PACKAGE_TARNAME='xf86-video-amdgpu'
-PACKAGE_VERSION='19.0.0'
-PACKAGE_STRING='xf86-video-amdgpu 19.0.0'
+PACKAGE_VERSION='19.0.1'
+PACKAGE_STRING='xf86-video-amdgpu 19.0.1'
 
PACKAGE_BUGREPORT='https://bugs.freedesktop.org/enter_bug.cgi?product=xorg=Driver/AMDgpu'
 PACKAGE_URL=''
 
@@ -1404,7 +1404,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures xf86-video-amdgpu 19.0.0 to adapt to many kinds of 
systems.
+\`configure' configures xf86-video-amdgpu 19.0.1 to adapt to many kinds of 
systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1476,7 +1476,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
- short | recursive ) echo "Configuration of xf86-video-amdgpu 19.0.0:";;
+ short | recursive ) echo "Configuration of xf86-video-amdgpu 19.0.1:";;
esac
   cat <<\_ACEOF
 
@@ -1635,7 +1635,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-xf86-video-amdgpu configure 19.0.0
+xf86-video-amdgpu configure 19.0.1
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -2050,7 

commit xf86-video-ati for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xf86-video-ati for openSUSE:Factory 
checked in at 2019-03-26 22:30:03

Comparing /work/SRC/openSUSE:Factory/xf86-video-ati (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-video-ati.new.25356 (New)


Package is "xf86-video-ati"

Tue Mar 26 22:30:03 2019 rev:36 rq:687665 version:19.0.1

Changes:

--- /work/SRC/openSUSE:Factory/xf86-video-ati/xf86-video-ati.changes
2018-09-20 11:38:03.488976499 +0200
+++ /work/SRC/openSUSE:Factory/.xf86-video-ati.new.25356/xf86-video-ati.changes 
2019-03-26 22:30:03.233740080 +0100
@@ -1,0 +2,19 @@
+Fri Mar 22 13:02:26 UTC 2019 - Stefan Dirsch 
+
+- Update to release 19.0.1
+  * Fixes for two regressions which crept into the 19.0.0 release.
+  * Add support for RandR output tile properties, allowing monitors
+using DisplayPort Multi Stream Transport tiling to work better
+out of the box. (Note that DP MST support in the radeon kernel
+driver is still experimental and disabled by default)
+
+---
+Thu Mar  7 10:28:00 UTC 2019 - Stefan Dirsch 
+
+- Update to release 19.0.0
+  * Various TearFree related fixes and robustness improvements.
+  * Up to six independent instances per GPU are now supported in
+"Zaphod" style multi-head configurations.
+  * Other improvements and fixes
+
+---

Old:

  xf86-video-ati-18.1.0.tar.bz2
  xf86-video-ati-18.1.0.tar.bz2.sig

New:

  xf86-video-ati-19.0.1.tar.bz2
  xf86-video-ati-19.0.1.tar.bz2.sig



Other differences:
--
++ xf86-video-ati.spec ++
--- /var/tmp/diff_new_pack.sLiAp5/_old  2019-03-26 22:30:04.897739679 +0100
+++ /var/tmp/diff_new_pack.sLiAp5/_new  2019-03-26 22:30:04.941739668 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package xf86-video-ati
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 %define xserver_glamor 1
 Name:   xf86-video-ati
-Version:18.1.0
+Version:19.0.1
 Release:0
 Summary:ATI video driver for the Xorg X server
 License:MIT
@@ -78,7 +78,7 @@
 find %{buildroot} -type f -name "*.la" -delete -print
 
 %files
-%doc COPYING README
+%doc COPYING README.md
 %dir %{_libdir}/xorg/modules/drivers
 %{_datadir}/X11/xorg.conf.d/10-radeon.conf
 %{_libdir}/xorg/modules/drivers/ati_drv.so

++ xf86-video-ati-18.1.0.tar.bz2 -> xf86-video-ati-19.0.1.tar.bz2 ++
 2444 lines of diff (skipped)





commit mkfontscale for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package mkfontscale for openSUSE:Factory 
checked in at 2019-03-26 22:29:57

Comparing /work/SRC/openSUSE:Factory/mkfontscale (Old)
 and  /work/SRC/openSUSE:Factory/.mkfontscale.new.25356 (New)


Package is "mkfontscale"

Tue Mar 26 22:29:57 2019 rev:12 rq:687649 version:1.2.1

Changes:

--- /work/SRC/openSUSE:Factory/mkfontscale/mkfontscale.changes  2019-03-21 
09:50:55.926827281 +0100
+++ /work/SRC/openSUSE:Factory/.mkfontscale.new.25356/mkfontscale.changes   
2019-03-26 22:29:59.985740864 +0100
@@ -1,0 +2,9 @@
+Fri Mar 22 12:57:52 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.2.1
+  * This release fixes a regression introduced in the 1.2.0
+release that could leave the mkfontdir script containing
+an unexpanded reference to ${exec_prefix} as shown in 
+https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues/5
+
+---

Old:

  mkfontscale-1.2.0.tar.bz2

New:

  mkfontscale-1.2.1.tar.bz2



Other differences:
--
++ mkfontscale.spec ++
--- /var/tmp/diff_new_pack.Rl4CJk/_old  2019-03-26 22:30:01.713740447 +0100
+++ /var/tmp/diff_new_pack.Rl4CJk/_new  2019-03-26 22:30:01.765740435 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   mkfontscale
-Version:1.2.0
+Version:1.2.1
 Release:0
 Summary:Utility to create index of scalable font files for X
 License:MIT

++ mkfontscale-1.2.0.tar.bz2 -> mkfontscale-1.2.1.tar.bz2 ++
 2730 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/mkfontscale-1.2.0/ChangeLog new/mkfontscale-1.2.1/ChangeLog
--- old/mkfontscale-1.2.0/ChangeLog 2019-03-02 23:21:50.0 +0100
+++ new/mkfontscale-1.2.1/ChangeLog 2019-03-21 05:01:38.0 +0100
@@ -1,3 +1,20 @@
+commit 79f686765238ddd0e4753f9d4ee62b5a5296610e
+Author: Alan Coopersmith 
+Date:   Wed Mar 20 20:58:15 2019 -0700
+
+mkfontscale 1.2.1
+
+Signed-off-by: Alan Coopersmith 
+
+commit 29cab25240cf30f546671f265167a2eeadfd4c75
+Author: Alan Coopersmith 
+Date:   Thu Mar 7 13:23:00 2019 -0800
+
+Revert "Use autoconf instead of sed to substitute @bindir@ in mkfontdir.in"
+
+This reverts commit 1f9d14bec07092d62da29a5a233cefbf84d47289.
+It caused https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues/5
+
 commit 8fbafcfe7e5ef4a2030e3963f31143bba2c8786f
 Author: Alan Coopersmith 
 Date:   Sat Mar 2 14:16:48 2019 -0800
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/mkfontscale-1.2.0/Makefile.am new/mkfontscale-1.2.1/Makefile.am
--- old/mkfontscale-1.2.0/Makefile.am   2019-03-02 23:21:39.0 +0100
+++ new/mkfontscale-1.2.1/Makefile.am   2019-03-21 05:01:28.0 +0100
@@ -23,6 +23,13 @@
 bin_PROGRAMS = mkfontscale
 bin_SCRIPTS = mkfontdir
 
+CLEANFILES = $(bin_SCRIPTS)
+EXTRA_DIST = $(bin_SCRIPTS:=.in)
+DIR_SUBSTS = -e 's|@bindir[@]|$(bindir)|g'
+
+mkfontdir: mkfontdir.in
+   $(AM_V_GEN)$(SED) $(DIR_SUBSTS) < $(srcdir)/mkfontdir.in > $@
+
 AM_CPPFLAGS = @MKFONTSCALE_CFLAGS@ @X11_CFLAGS@ -D_BSD_SOURCE
 AM_CFLAGS = $(CWARNFLAGS)
 mkfontscale_LDADD  = @MKFONTSCALE_LIBS@
@@ -59,4 +66,4 @@
$(LINT) $(ALL_LINT_FLAGS) $(mkfontscale_SOURCES)
 endif LINT
 
-EXTRA_DIST = README.md
+EXTRA_DIST += README.md
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/mkfontscale-1.2.0/configure.ac new/mkfontscale-1.2.1/configure.ac
--- old/mkfontscale-1.2.0/configure.ac  2019-03-02 23:21:39.0 +0100
+++ new/mkfontscale-1.2.1/configure.ac  2019-03-21 05:01:28.0 +0100
@@ -22,7 +22,7 @@
 
 # Initialize Autoconf
 AC_PREREQ([2.60])
-AC_INIT([mkfontscale], [1.2.0],
+AC_INIT([mkfontscale], [1.2.1],
 [https://gitlab.freedesktop.org/xorg/app/mkfontscale/issues],
 [mkfontscale])
 AC_CONFIG_SRCDIR([Makefile.am])
@@ -63,6 +63,5 @@
 
 AC_CONFIG_FILES([
Makefile
-   mkfontdir
man/Makefile])
 AC_OUTPUT

commit imake for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package imake for openSUSE:Factory checked 
in at 2019-03-26 22:29:44

Comparing /work/SRC/openSUSE:Factory/imake (Old)
 and  /work/SRC/openSUSE:Factory/.imake.new.25356 (New)


Package is "imake"

Tue Mar 26 22:29:44 2019 rev:9 rq:687636 version:1.0.8

Changes:

--- /work/SRC/openSUSE:Factory/imake/imake.changes  2014-05-26 
10:27:36.0 +0200
+++ /work/SRC/openSUSE:Factory/.imake.new.25356/imake.changes   2019-03-26 
22:29:49.345743432 +0100
@@ -1,0 +2,13 @@
+Fri Mar 22 11:37:34 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.0.8
+  * autogen: add default patch prefix
+  * autogen.sh: Honor NOCONFIGURE=1
+  * configure: Drop AM_MAINTAINER_MODE
+  * Update configure.ac bug URL for gitlab migration
+  * Use SEEK_* names instead of raw numbers for fseek whence argument
+  * imake support for lcc compiler
+  * README: reword status section
+  * Update README for gitlab migration
+
+---

Old:

  imake-1.0.7.tar.bz2

New:

  imake-1.0.8.tar.bz2



Other differences:
--
++ imake.spec ++
--- /var/tmp/diff_new_pack.8YZfpg/_old  2019-03-26 22:29:50.369743185 +0100
+++ /var/tmp/diff_new_pack.8YZfpg/_new  2019-03-26 22:29:50.369743185 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package imake
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   imake
-Version:1.0.7
+Version:1.0.8
 Release:0
 Summary:C preprocessor interface to the make utility
 License:MIT
@@ -57,7 +57,7 @@
 
 %files
 %defattr(-,root,root)
-%doc ChangeLog COPYING README
+%doc ChangeLog COPYING README.md
 %{_bindir}/ccmakedep
 %{_bindir}/cleanlinks
 %{_bindir}/imake

++ imake-1.0.7.tar.bz2 -> imake-1.0.8.tar.bz2 ++
 4888 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/imake-1.0.7/ChangeLog new/imake-1.0.8/ChangeLog
--- old/imake-1.0.7/ChangeLog   2014-05-21 20:55:10.0 +0200
+++ new/imake-1.0.8/ChangeLog   2019-03-17 00:26:37.0 +0100
@@ -1,3 +1,80 @@
+commit 5d1d5150e5863f019e407d572556a8a08e834c1e
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 16:25:02 2019 -0700
+
+imake 1.0.8
+
+Signed-off-by: Alan Coopersmith 
+
+commit 5366d1c2e0865b84e009127e75a5bd9a2d278fe3
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 20:28:00 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit ed90f727ce513717b5d4809ecbc1909a7281dd3d
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 20:27:55 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 67ec423f8f617ddd09f304b1966114049c81833e
+Author: Andrew Savchenko 
+Date:   Fri Feb 16 17:31:16 2018 +
+
+imake support for lcc compiler
+
+https://bugs.freedesktop.org/show_bug.cgi?id=105136
+
+Reviewed-by: Alan Coopersmith 
+Signed-off-by: Alan Coopersmith 
+
+commit 373a53cdcb59c53599cc95f2dccf8cd42e748443
+Author: Mihail Konev 
+Date:   Thu Jan 26 14:00:22 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit 94430c9cffc4ba5780f76c8130878f23d499811e
+Author: Alan Coopersmith 
+Date:   Fri Dec 11 17:02:10 2015 -0800
+
+README: reword status section
+
+Signed-off-by: Alan Coopersmith 
+
+commit b1e8e29448467d875b2efe5c83043ec2770e18d6
+Author: Alan Coopersmith 
+Date:   Sat Nov 8 09:41:42 2014 -0800
+
+Use SEEK_* names instead of raw numbers for fseek whence argument
+
+Signed-off-by: Alan Coopersmith 
+
+commit 6d42b63eb7c9c7da89d431db6f28aff1928bb22a
+Author: Alan Coopersmith 
+Date:   Wed Jun 4 18:14:59 2014 -0700
+
+autogen.sh: Honor NOCONFIGURE=1
+
+See http://people.gnome.org/~walters/docs/build-api.txt
+
+Signed-off-by: Alan Coopersmith 
+
+commit 5e32ede6f904e024f3956484aceb4a4be37d423f
+Author: Alan Coopersmith 
+Date:   Wed Jun 4 18:14:59 2014 -0700
+
+configure: Drop AM_MAINTAINER_MODE
+
+Signed-off-by: Alan Coopersmith 
+
 commit 4063190bf2fd7e3c61b80e98d72e134609612bf8
 Author: Julien Cristau 
 Date:   Wed May 21 20:51:03 2014 +0200

commit libXxf86dga for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXxf86dga for openSUSE:Factory 
checked in at 2019-03-26 22:29:35

Comparing /work/SRC/openSUSE:Factory/libXxf86dga (Old)
 and  /work/SRC/openSUSE:Factory/.libXxf86dga.new.25356 (New)


Package is "libXxf86dga"

Tue Mar 26 22:29:35 2019 rev:9 rq:687600 version:1.1.5

Changes:

--- /work/SRC/openSUSE:Factory/libXxf86dga/libXxf86dga.changes  2013-06-05 
12:00:52.0 +0200
+++ /work/SRC/openSUSE:Factory/.libXxf86dga.new.25356/libXxf86dga.changes   
2019-03-26 22:29:39.701745760 +0100
@@ -1,0 +2,7 @@
+Fri Mar 22 11:25:37 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.1.5
+  * This release raises the minimum required libX11 version to
+1.6.0 from 2013.
+
+---

Old:

  libXxf86dga-1.1.4.tar.bz2

New:

  libXxf86dga-1.1.5.tar.bz2



Other differences:
--
++ libXxf86dga.spec ++
--- /var/tmp/diff_new_pack.8r7Gog/_old  2019-03-26 22:29:40.133745655 +0100
+++ /var/tmp/diff_new_pack.8r7Gog/_new  2019-03-26 22:29:40.137745654 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXxf86dga
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libXxf86dga
 %define lname  libXxf86dga1
-Version:1.1.4
+Version:1.1.5
 Release:0
 Summary:XFree86-DGA extension client library
 License:MIT
@@ -28,6 +28,7 @@
 #Git-Clone:git://anongit.freedesktop.org/xorg/lib/libXxf86dga
 #Git-Web:  http://cgit.freedesktop.org/xorg/lib/libXxf86dga/
 Source: 
http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
+Source1:baselibs.conf
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 #git#BuildRequires:autoconf >= 2.60, automake, libtool
 BuildRequires:  fdupes

++ libXxf86dga-1.1.4.tar.bz2 -> libXxf86dga-1.1.5.tar.bz2 ++
 29033 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXxf86dga-1.1.4/ChangeLog new/libXxf86dga-1.1.5/ChangeLog
--- old/libXxf86dga-1.1.4/ChangeLog 2013-05-31 03:36:52.0 +0200
+++ new/libXxf86dga-1.1.5/ChangeLog 2019-03-16 23:21:33.0 +0100
@@ -1,3 +1,76 @@
+commit e605c540995554af99d8b728c7d1d4e82e514199
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 15:20:28 2019 -0700
+
+libXxf86dga 1.1.5
+
+Signed-off-by: Alan Coopersmith 
+
+commit 975d71ffbdb17f2ed361304ec940db8709a0b58f
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:58:09 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 036673d9e160143c0959240b14a20efb1b298987
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 22:55:54 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 91f4518a2e35d9a9513db867e48f55a95d5643a9
+Author: Mihail Konev 
+Date:   Thu Jan 26 13:52:49 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit 286a9f9b2e66094dd17104f14ad557bf1d938b3f
+Author: Emil Velikov 
+Date:   Mon Mar 9 12:00:52 2015 +
+
+autogen.sh: use quoted string variables
+
+Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
+fall-outs, when they contain space.
+
+Signed-off-by: Emil Velikov 
+Reviewed-by: Peter Hutterer 
+Signed-off-by: Peter Hutterer 
+
+commit 3d2ceb7b0df67c7657e77353ff50d4c22955697e
+Author: Peter Hutterer 
+Date:   Tue Jan 24 10:32:07 2017 +1000
+
+autogen.sh: use exec instead of waiting for configure to finish
+
+Syncs the invocation of configure with the one from the server.
+
+Signed-off-by: Peter Hutterer 
+Reviewed-by: Emil Velikov 
+
+commit 7fad129032e7b4be67a27e31c660ca10b4f6
+Author: Michael Joost 
+Date:   Mon Nov 18 16:11:26 2013 +0100
+
+Remove fallback for _XEatDataWords, require libX11 1.6 for it
+
+_XEatDataWords was orignally introduced with the May 2013 security
+patches, and in order to ease the process of delivering those,
+fallback versions of _XEatDataWords were included in the X extension
+library patches so they could be applied to older versions that 

commit makedepend for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package makedepend for openSUSE:Factory 
checked in at 2019-03-26 22:29:52

Comparing /work/SRC/openSUSE:Factory/makedepend (Old)
 and  /work/SRC/openSUSE:Factory/.makedepend.new.25356 (New)


Package is "makedepend"

Tue Mar 26 22:29:52 2019 rev:8 rq:687648 version:1.0.6

Changes:

--- /work/SRC/openSUSE:Factory/makedepend/makedepend.changes2016-03-29 
09:52:06.0 +0200
+++ /work/SRC/openSUSE:Factory/.makedepend.new.25356/makedepend.changes 
2019-03-26 22:29:53.677742386 +0100
@@ -1,0 +2,9 @@
+Fri Mar 22 11:47:42 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.0.6
+  * This minor maintenance release fixes some bugs, lifts a limit,
+clears some compiler warnings, boosts performance, and includes
+other janitorial cleanups.
+- supersedes u_Escape-special-characters-in-paths.patch
+
+---

Old:

  makedepend-1.0.5.tar.bz2
  u_Escape-special-characters-in-paths.patch

New:

  makedepend-1.0.6.tar.bz2



Other differences:
--
++ makedepend.spec ++
--- /var/tmp/diff_new_pack.x5mTvq/_old  2019-03-26 22:29:54.189742263 +0100
+++ /var/tmp/diff_new_pack.x5mTvq/_new  2019-03-26 22:29:54.193742262 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package makedepend
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,14 +17,13 @@
 
 
 Name:   makedepend
-Version:1.0.5
+Version:1.0.6
 Release:0
 Summary:Utility to create dependencies in makefiles
 License:MIT
 Group:  Development/Tools/Building
 Url:http://xorg.freedesktop.org/
 Source0:
http://xorg.freedesktop.org/releases/individual/util/%{name}-%{version}.tar.bz2
-Patch1: u_Escape-special-characters-in-paths.patch
 BuildRequires:  pkg-config
 BuildRequires:  pkgconfig(xorg-macros) >= 1.8
 BuildRequires:  pkgconfig(xproto) >= 7.0.17
@@ -43,7 +42,6 @@
 
 %prep
 %setup -q
-%patch1 -p1
 
 %build
 %configure
@@ -54,7 +52,7 @@
 
 %files
 %defattr(-,root,root)
-%doc AUTHORS ChangeLog COPYING README
+%doc AUTHORS ChangeLog COPYING README.md
 %{_bindir}/makedepend
 %{_mandir}/man1/makedepend.1%{?ext_man}
 

++ makedepend-1.0.5.tar.bz2 -> makedepend-1.0.6.tar.bz2 ++
 8513 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/makedepend-1.0.5/ChangeLog new/makedepend-1.0.6/ChangeLog
--- old/makedepend-1.0.5/ChangeLog  2013-07-23 07:15:10.0 +0200
+++ new/makedepend-1.0.6/ChangeLog  2019-03-17 00:41:50.0 +0100
@@ -1,3 +1,170 @@
+commit e4971e9507f989d68c97a92edd1e6e1881ad1d55
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 16:39:07 2019 -0700
+
+makedepend 1.0.6
+
+Signed-off-by: Alan Coopersmith 
+
+commit 7897a5b8edd142d4de63933db3e544262006289e
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 20:35:14 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 277eaf65d43f9fe9d3d223810e1872c32436c01e
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 23:40:18 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit d15117c98a071b8fd30fb163fc45cb37db760654
+Author: Alan Coopersmith 
+Date:   Sat May 5 10:54:59 2018 -0700
+
+Simplify writing of output lines to Makefile
+
+Instead of writing everything to a temporary buffer, and then using
+fwrite() to have it fputc() one character at a time into the stdio
+buffer, just use fprintf() directly to save a copy and write in
+larger blocks.
+
+Testing on Solaris on makedepend's own source files showed a
+reduction in memcpy's from 4037 to 3108, and in _dowrite calls
+in stdio from 1173 to 168, but no change in actual write calls
+from stdio's buffer to the file.
+
+Signed-off-by: Alan Coopersmith 
+
+commit 4f410f3ed29fdb0f98be1e01930ba1a909a36ef0
+Author: Alan Coopersmith 
+Date:   Sat May 5 10:05:44 2018 -0700
+
+Remove unused variable whitespace
+
+Use of it was removed in commit 275c17136006f9d, but we kept setting
+it anyway.
+
+Resolves gcc 7.3 warning:
+main.c: In function ‘getnextline’:
+

commit Mesa for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package Mesa for openSUSE:Factory checked in 
at 2019-03-26 22:29:18

Comparing /work/SRC/openSUSE:Factory/Mesa (Old)
 and  /work/SRC/openSUSE:Factory/.Mesa.new.25356 (New)


Package is "Mesa"

Tue Mar 26 22:29:18 2019 rev:344 rq:687563 version:unknown

Changes:

--- /work/SRC/openSUSE:Factory/Mesa/Mesa.changes2019-03-21 
11:18:22.974994904 +0100
+++ /work/SRC/openSUSE:Factory/.Mesa.new.25356/Mesa.changes 2019-03-26 
22:29:19.609750608 +0100
@@ -1,0 +2,5 @@
+Fri Mar 22 06:58:08 UTC 2019 - o...@aepfle.de
+
+- Mesa-libEGL-devel needs Mesa-KHR-devel (bsc#1117365)
+
+---



Other differences:
--
++ Mesa.spec ++
--- /var/tmp/diff_new_pack.fMu8ch/_old  2019-03-26 22:29:20.781750325 +0100
+++ /var/tmp/diff_new_pack.fMu8ch/_new  2019-03-26 22:29:20.785750324 +0100
@@ -312,6 +312,7 @@
 %package libEGL-devel
 Summary:Development files for the EGL API
 Group:  Development/Libraries/C and C++
+Requires:   Mesa-KHR-devel = %{version}
 Requires:   Mesa-libEGL1 = %{version}
 %if 0%{?libglvnd}
 Requires:   libglvnd-devel >= 0.1.0






commit libXvMC for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXvMC for openSUSE:Factory checked 
in at 2019-03-26 22:29:30

Comparing /work/SRC/openSUSE:Factory/libXvMC (Old)
 and  /work/SRC/openSUSE:Factory/.libXvMC.new.25356 (New)


Package is "libXvMC"

Tue Mar 26 22:29:30 2019 rev:11 rq:687590 version:1.0.11

Changes:

--- /work/SRC/openSUSE:Factory/libXvMC/libXvMC.changes  2016-11-05 
21:21:48.0 +0100
+++ /work/SRC/openSUSE:Factory/.libXvMC.new.25356/libXvMC.changes   
2019-03-26 22:29:32.317747541 +0100
@@ -1,0 +2,13 @@
+Fri Mar 22 11:21:33 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.0.11
+  * autogen: add default patch prefix
+  * autogen.sh: use quoted string variables
+  * autogen.sh: use exec instead of waiting for configure to finish
+  * Update configure.ac bug URL for gitlab migration
+  * Need to check for -1, not 0, to determine if shmat() failed
+  * Fix sign comparison warnings for loop indexes
+  * Fix handling of shmKey in XvMCGetDRInfo
+  * Update README for gitlab migration
+
+---

Old:

  libXvMC-1.0.10.tar.bz2

New:

  libXvMC-1.0.11.tar.bz2



Other differences:
--
++ libXvMC.spec ++
--- /var/tmp/diff_new_pack.tcIqzn/_old  2019-03-26 22:29:33.761747193 +0100
+++ /var/tmp/diff_new_pack.tcIqzn/_new  2019-03-26 22:29:33.761747193 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXvMC
 #
-# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libXvMC
 %define lname  libXvMC1
-Version:1.0.10
+Version:1.0.11
 Release:0
 Summary:X-Video Motion Compensation library
 License:MIT

++ libXvMC-1.0.10.tar.bz2 -> libXvMC-1.0.11.tar.bz2 ++
 26645 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXvMC-1.0.10/ChangeLog new/libXvMC-1.0.11/ChangeLog
--- old/libXvMC-1.0.10/ChangeLog2016-10-04 22:25:40.0 +0200
+++ new/libXvMC-1.0.11/ChangeLog2019-03-16 23:15:34.0 +0100
@@ -1,3 +1,103 @@
+commit 63a79d1d087f5121b07510692bf6dd8207d0c0d7
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 15:11:28 2019 -0700
+
+libXvMC 1.0.11
+
+Signed-off-by: Alan Coopersmith 
+
+commit 8c0a1b5d9d5dea58c516a6aefa6dd15192919b48
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:56:27 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 45de1c449740caf45984aac59ab35741defcadbb
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 22:55:06 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit a964f14b7b61bb8055d5144c96ecbba5dfae4a3e
+Author: Alan Coopersmith 
+Date:   Sat Sep 22 15:56:27 2018 -0700
+
+Fix sign comparison warnings for loop indexes
+
+XvMC.c: In function ‘XvMCListSurfaceTypes’:
+XvMC.c:124:19: warning: comparison between signed and unsigned integer
+ expressions [-Wsign-compare]
+  for(i = 0; i < rep.num; i++) {
+   ^
+XvMC.c: In function ‘XvMCListSubpictureTypes’:
+XvMC.c:185:26: warning: comparison between signed and unsigned integer
+ expressions [-Wsign-compare]
+ for(i = 0; i < rep.num; i++) {
+  ^
+
+Signed-off-by: Alan Coopersmith 
+
+commit 28ad81420723175bfb163e20406af6d4d56bf4d4
+Author: Alan Coopersmith 
+Date:   Sat Sep 22 15:51:49 2018 -0700
+
+Need to check for -1, not 0, to determine if shmat() failed
+
+Signed-off-by: Alan Coopersmith 
+
+commit 68d0e5a122c6c76c19cc58ce9cea1424c7a5db11
+Author: Neha Gupta 
+Date:   Fri Jun 5 08:20:48 2015 +
+
+Fix handling of shmKey in XvMCGetDRInfo
+
+If we store the result of shmget in a CARD32 (unsigned int), then
+checking if it returned -1 for an error by using >= 0 doesn't work.
+
+Also, once the request is flushed from the buffer (as XReply does),
+there's no guarantee the values in it are still valid, so it's better
+to rely on our local variable instead.
+
+Fixes: https://gitlab.freedesktop.org/xorg/lib/libxvmc/issues/1
+
+Signed-off-by: Alan Coopersmith 
+
+commit 

commit libXrandr for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXrandr for openSUSE:Factory 
checked in at 2019-03-26 22:29:25

Comparing /work/SRC/openSUSE:Factory/libXrandr (Old)
 and  /work/SRC/openSUSE:Factory/.libXrandr.new.25356 (New)


Package is "libXrandr"

Tue Mar 26 22:29:25 2019 rev:16 rq:687587 version:1.5.2

Changes:

--- /work/SRC/openSUSE:Factory/libXrandr/libXrandr.changes  2017-11-30 
12:33:37.183599664 +0100
+++ /work/SRC/openSUSE:Factory/.libXrandr.new.25356/libXrandr.changes   
2019-03-26 22:29:26.889748851 +0100
@@ -1,0 +2,13 @@
+Fri Mar 22 11:00:39 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.5.2
+  * autogen: add default patch prefix
+  * autogen.sh: use quoted string variables
+  * autogen.sh: use exec instead of waiting for configure to finish
+  * Update configure.ac bug URL for gitlab migration
+  * Fix memory leak on error paths
+  * Add description of libXrandr to README.md
+  * Update README for gitlab migration
+- supersedes U_libXrandr_fix-memory-leak.patch
+
+---

Old:

  U_libXrandr_fix-memory-leak.patch
  libXrandr-1.5.1.tar.bz2

New:

  libXrandr-1.5.2.tar.bz2



Other differences:
--
++ libXrandr.spec ++
--- /var/tmp/diff_new_pack.qnJ1LY/_old  2019-03-26 22:29:28.281748516 +0100
+++ /var/tmp/diff_new_pack.qnJ1LY/_new  2019-03-26 22:29:28.317748507 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXrandr
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libXrandr
 %define lname   libXrandr2
-Version:1.5.1
+Version:1.5.2
 Release:0
 Summary:X Resize, Rotate and Reflection extension library
 License:MIT
@@ -29,7 +29,6 @@
 #Git-Web:  http://cgit.freedesktop.org/xorg/lib/libXrandr/
 Source: 
http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
 Source1:baselibs.conf
-Patch:  U_libXrandr_fix-memory-leak.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 #git#BuildRequires:autoconf >= 2.60, automake, libtool
@@ -72,7 +71,6 @@
 
 %prep
 %setup -q
-%patch -p1
 
 %build
 #git#autoreconf -fi

++ libXrandr-1.5.1.tar.bz2 -> libXrandr-1.5.2.tar.bz2 ++
 26360 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXrandr-1.5.1/ChangeLog new/libXrandr-1.5.2/ChangeLog
--- old/libXrandr-1.5.1/ChangeLog   2016-10-04 22:23:09.0 +0200
+++ new/libXrandr-1.5.2/ChangeLog   2019-03-16 21:57:47.0 +0100
@@ -1,3 +1,78 @@
+commit 55dcda4518eda8ae03ef25ea29d3c994ad71eb0a
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 13:54:20 2019 -0700
+
+libXrandr 1.5.2
+
+Signed-off-by: Alan Coopersmith 
+
+commit 2a03e8d069fce635981aad248e1cab14ed93e176
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 13:53:42 2019 -0700
+
+Add description of libXrandr to README.md
+
+Signed-off-by: Alan Coopersmith 
+
+commit 583d4f114d36e4df87ba3ed1201acae4aefb68dc
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:48:28 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 08fab8367ea5357314d1c54edac04bc6a38da074
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 22:35:01 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 87227e5fc79750d3eccc3c3482a3c5b3f2af2e90
+Author: Tobias Stoeckmann 
+Date:   Sat Jan 28 15:37:57 2017 +0100
+
+Fix memory leak on error paths
+
+Introduced in commit a0df3e1c7728205e5c7650b2e6dce684139254a6 "Avoid out
+of boundary accesses on illegal responses"
+
+Signed-off-by: Julien Cristau 
+
+commit 5fb14f7a2c6da81c8e6bb325b354141233ab7d0a
+Author: Mihail Konev 
+Date:   Thu Jan 26 13:52:49 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit e0303d9c61d55081ffe4365a24107d851f457948
+Author: Emil Velikov 
+Date:   Mon Mar 9 12:00:52 2015 +
+
+autogen.sh: use quoted string variables
+
+Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
+fall-outs, when they contain space.
+
+Signed-off-by: Emil Velikov 

commit libXmu for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXmu for openSUSE:Factory checked 
in at 2019-03-26 22:29:14

Comparing /work/SRC/openSUSE:Factory/libXmu (Old)
 and  /work/SRC/openSUSE:Factory/.libXmu.new.25356 (New)


Package is "libXmu"

Tue Mar 26 22:29:14 2019 rev:10 rq:687390 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libXmu/libXmu.changes2013-09-13 
14:47:01.0 +0200
+++ /work/SRC/openSUSE:Factory/.libXmu.new.25356/libXmu.changes 2019-03-26 
22:29:15.657751562 +0100
@@ -1,0 +2,7 @@
+Thu Mar 21 15:25:51 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.1.3
+  * This minor maintenance release includes some small bug fixes,
+build configuration improvements and janitorial cleanups.
+
+---

Old:

  libXmu-1.1.2.tar.bz2

New:

  libXmu-1.1.3.tar.bz2



Other differences:
--
++ libXmu.spec ++
--- /var/tmp/diff_new_pack.bWcy7F/_old  2019-03-26 22:29:16.253751418 +0100
+++ /var/tmp/diff_new_pack.bWcy7F/_new  2019-03-26 22:29:16.265751415 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXmu
 #
-# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,7 +17,7 @@
 
 
 Name:   libXmu
-Version:1.1.2
+Version:1.1.3
 Release:0
 Summary:Miscellaneous utility routines for X
 License:MIT
@@ -27,6 +27,7 @@
 #Git-Clone:git://anongit.freedesktop.org/xorg/lib/libXmu
 #Git-Web:   http://cgit.freedesktop.org/xorg/lib/libXmu/
 Source: 
http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
+Source1:baselibs.conf
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 #git#BuildRequires:autoconf >= 2.60, automake, libtool
 BuildRequires:  pkgconfig
@@ -44,8 +45,8 @@
 
 %package -n libXmu6
 Summary:Miscellaneous utility routines for X
-Group:  System/Libraries
 # O/P added for 12.2
+Group:  System/Libraries
 Provides:   xorg-x11-libXmu = 7.6_%version-%release
 Obsoletes:  xorg-x11-libXmu < 7.6_%version-%release
 Requires:   xbitmaps

++ libXmu-1.1.2.tar.bz2 -> libXmu-1.1.3.tar.bz2 ++
 28825 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXmu-1.1.2/ChangeLog new/libXmu-1.1.3/ChangeLog
--- old/libXmu-1.1.2/ChangeLog  2013-09-08 06:29:06.0 +0200
+++ new/libXmu-1.1.3/ChangeLog  2019-03-16 19:42:49.0 +0100
@@ -1,3 +1,132 @@
+commit e9efe2d027b4c46cf6834cc53f8ad1d1d3c3
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 11:40:41 2019 -0700
+
+libXmu 1.1.3
+
+Signed-off-by: Alan Coopersmith 
+
+commit 9469d3593c9fb1b60cac0602d97f274e209163d7
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:46:09 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 3e706ded2e46464732170ae06bdc9e9d286179ed
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 22:26:50 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 5bd4eb821bd9e88c3a131de9a8b781f5184e22b1
+Author: Alan Coopersmith 
+Date:   Sat May 5 11:32:12 2018 -0700
+
+Apply standard X.Org formatting & bracketing to StrToWidg.c
+
+Makes code easier for humans to read and gets rid of gcc warning:
+
+StrToWidg.c: In function ‘XmuCvtStringToWidget’:
+StrToWidg.c:107:3: warning: this ‘for’ clause does not guard... 
[-Wmisleading-indentation]
+   for (widgetP = parent->core.popup_list; i; i--, widgetP++)
+   ^~~
+StrToWidg.c:114:5: note: ...this statement, but the latter is misleadingly 
indented as if it were guarded by the ‘for’
+ XtStringConversionWarning(fromVal->addr, XtRWidget);
+ ^
+
+Signed-off-by: Alan Coopersmith 
+
+commit bc78541e9a9a95bbd5413d62bfc114ddc9265c36
+Author: Alan Coopersmith 
+Date:   Sat May 5 11:26:17 2018 -0700
+
+Convert tabs to spaces in StrToWidg.c
+
+Signed-off-by: Alan Coopersmith 
+
+commit 4f0939d69a17d37be414d0de7ff717e92e7e2b11
+Author: Mihail Konev 
+Date:   Thu Jan 26 13:52:49 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+

commit libXext for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXext for openSUSE:Factory checked 
in at 2019-03-26 22:28:57

Comparing /work/SRC/openSUSE:Factory/libXext (Old)
 and  /work/SRC/openSUSE:Factory/.libXext.new.25356 (New)


Package is "libXext"

Tue Mar 26 22:28:57 2019 rev:10 rq:687382 version:1.3.4

Changes:

--- /work/SRC/openSUSE:Factory/libXext/libXext.changes  2014-07-26 
11:27:49.0 +0200
+++ /work/SRC/openSUSE:Factory/.libXext.new.25356/libXext.changes   
2019-03-26 22:28:59.589755440 +0100
@@ -1,0 +2,15 @@
+Thu Mar 21 15:14:41 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.3.3
+  * autogen: add default patch prefix
+  * autogen.sh: use quoted string variables
+  * autogen.sh: use exec instead of waiting for configure to finish
+  * Update configure.ac bug URL for gitlab migration
+  * Assert that values buffer has enough room for provided values
+  * Fix typos in man pages
+  * Use __builtin_popcountl if available to replace Ones() in XSecurity.c
+  * Add description of libXext to README.md
+  * XSecurityGenerateAuthorization: Allocate enough space in values buffer
+  * Update README for gitlab migration
+
+---

Old:

  libXext-1.3.3.tar.bz2

New:

  libXext-1.3.4.tar.bz2



Other differences:
--
++ libXext.spec ++
--- /var/tmp/diff_new_pack.XfepME/_old  2019-03-26 22:29:00.221755287 +0100
+++ /var/tmp/diff_new_pack.XfepME/_new  2019-03-26 22:29:00.225755286 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXext
 #
-# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libXext
 %define lname  libXext6
-Version:1.3.3
+Version:1.3.4
 Release:0
 Summary:Common extensions to the X11 protocol
 License:MIT
@@ -50,8 +50,8 @@
 
 %package -n %lname
 Summary:Common extensions to the X11 protocol
-Group:  System/Libraries
 # O/P added for 12.2
+Group:  System/Libraries
 Provides:   xorg-x11-libXext = 7.6_%version-%release
 Obsoletes:  xorg-x11-libXext < 7.6_%version-%release
 

++ libXext-1.3.3.tar.bz2 -> libXext-1.3.4.tar.bz2 ++
 39025 lines of diff (skipped)




commit firewalld for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package firewalld for openSUSE:Factory 
checked in at 2019-03-26 22:28:43

Comparing /work/SRC/openSUSE:Factory/firewalld (Old)
 and  /work/SRC/openSUSE:Factory/.firewalld.new.25356 (New)


Package is "firewalld"

Tue Mar 26 22:28:43 2019 rev:40 rq:678933 version:0.6.3

Changes:

--- /work/SRC/openSUSE:Factory/firewalld/firewalld.changes  2019-01-15 
09:13:08.918415197 +0100
+++ /work/SRC/openSUSE:Factory/.firewalld.new.25356/firewalld.changes   
2019-03-26 22:28:44.853758996 +0100
@@ -1,0 +2,11 @@
+Mon Feb 25 14:27:19 UTC 2019 - Michał Rostecki 
+
+- Add dependency between firewall-macros and firewalld.
+  (boo#1125775)
+
+---
+Wed Feb  6 16:01:03 UTC 2019 - Michał Rostecki 
+
+- Fix --with-ifcfgdir configure parameter. (boo#1124212)
+
+---



Other differences:
--
++ firewalld.spec ++
--- /var/tmp/diff_new_pack.VcBssA/_old  2019-03-26 22:28:45.553758827 +0100
+++ /var/tmp/diff_new_pack.VcBssA/_new  2019-03-26 22:28:45.557758826 +0100
@@ -81,6 +81,7 @@
 %package -n firewall-macros
 Summary:FirewallD RPM macros
 Group:  Productivity/Networking/Security
+Requires:   %{name} = %{version}-%{release}
 
 %description -n firewall-macros
 This package provides the firewalld RPM macros file needed by packages
@@ -126,7 +127,7 @@
 %configure \
   --enable-sysconfig \
   --enable-rpmmacros \
-  --with-ifcfgdir="%{_sysconfdir}/network"
+  --with-ifcfgdir="%{_sysconfdir}/sysconfig/network"
 
 # Normally documentation is shipped but this will ensure that missing
 # files will be generated.




commit plymouth for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package plymouth for openSUSE:Factory 
checked in at 2019-03-26 22:27:56

Comparing /work/SRC/openSUSE:Factory/plymouth (Old)
 and  /work/SRC/openSUSE:Factory/.plymouth.new.25356 (New)


Package is "plymouth"

Tue Mar 26 22:27:56 2019 rev:71 rq:688054 version:0.9.4+git20190304.ed9f201

Changes:

--- /work/SRC/openSUSE:Factory/plymouth/plymouth.changes2019-03-14 
14:57:34.227739445 +0100
+++ /work/SRC/openSUSE:Factory/.plymouth.new.25356/plymouth.changes 
2019-03-26 22:27:59.265769998 +0100
@@ -1,0 +2,6 @@
+Sun Mar 24 17:04:57 UTC 2019 - Stasiek Michalski 
+
+- Fix theme-bgrt dependencies
+  (based on plugin-two-step with images from theme-spinner)
+
+---



Other differences:
--
++ plymouth.spec ++
--- /var/tmp/diff_new_pack.JW60Xd/_old  2019-03-26 22:28:01.541769449 +0100
+++ /var/tmp/diff_new_pack.JW60Xd/_new  2019-03-26 22:28:01.545769448 +0100
@@ -343,7 +343,9 @@
 %package theme-bgrt
 Summary:Plymouth "bgrt" theme
 Group:  System/Base
-Requires:   %{name}-plugin-script = %{version}
+# Uses images from spinner theme
+Requires:   %{name}-theme-spinner = %{version}
+Requires:   %{name}-plugin-two-step = %{version}
 Requires(post): %{name}-scripts
 BuildArch:  noarch
 





commit yast2-trans for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package yast2-trans for openSUSE:Factory 
checked in at 2019-03-26 22:28:22

Comparing /work/SRC/openSUSE:Factory/yast2-trans (Old)
 and  /work/SRC/openSUSE:Factory/.yast2-trans.new.25356 (New)


Package is "yast2-trans"

Tue Mar 26 22:28:22 2019 rev:152 rq:688179 version:84.87.20190322.b16b39e213

Changes:

--- /work/SRC/openSUSE:Factory/yast2-trans/yast2-trans.changes  2019-03-21 
09:52:35.742800291 +0100
+++ /work/SRC/openSUSE:Factory/.yast2-trans.new.25356/yast2-trans.changes   
2019-03-26 22:28:25.629763636 +0100
@@ -1,0 +2,22 @@
+Mon Mar 25 09:57:32 UTC 2019 - Karl Eichwalder 
+
+- Update to version 84.87.20190322.b16b39e213:
+  * Added Left-to-Right Embedding to fix path display in help text 
(bsc#1127917)
+  * Fixed "incorrect text direction in System/Kernel Kdump/Expert Settings" 
(bsc#1127958)
+  * Fixed Incorrect text alignment in 'Start web browser' message (bsc#1128163)
+  * Fixed Wrong position of full stop (bsc#1127949)
+  * Fixed displaying paths in a bidi text
+  * Fixed the brackets and added RLMs (bsc#1127563)
+  * New POT for text domain 'ntp-client'.
+  * Translated using Weblate (Arabic)
+  * Translated using Weblate (Chinese (China))
+  * Translated using Weblate (Chinese (Taiwan))
+  * Translated using Weblate (French)
+  * Translated using Weblate (Hungarian)
+  * Translated using Weblate (Korean)
+  * Translated using Weblate (Portuguese (Brazil))
+  * Translated using Weblate (Slovak)
+  * Translated using Weblate (Spanish)
+  * Translated using Weblate (Swedish)
+
+---

Old:

  yast2-trans-84.87.20190320.750cf6aee8.tar.xz

New:

  yast2-trans-84.87.20190322.b16b39e213.tar.xz



Other differences:
--
++ yast2-trans.spec ++
--- /var/tmp/diff_new_pack.ZA0hfc/_old  2019-03-26 22:28:26.793763355 +0100
+++ /var/tmp/diff_new_pack.ZA0hfc/_new  2019-03-26 22:28:26.797763354 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   yast2-trans
-Version:84.87.20190320.750cf6aee8
+Version:84.87.20190322.b16b39e213
 Release:0
 Summary:YaST2 - Translation Container Package
 License:GPL-2.0-or-later

++ _servicedata ++
--- /var/tmp/diff_new_pack.ZA0hfc/_old  2019-03-26 22:28:26.857763339 +0100
+++ /var/tmp/diff_new_pack.ZA0hfc/_new  2019-03-26 22:28:26.861763338 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/yast/yast-translations.git
-  750cf6aee87c78cf0a408116a08fc2032693a0ff
\ No newline at end of file
+  b16b39e213d2408e2dbca9693ad9cfc121dd0cc5
\ No newline at end of file

++ yast2-trans-84.87.20190320.750cf6aee8.tar.xz -> 
yast2-trans-84.87.20190322.b16b39e213.tar.xz ++
/work/SRC/openSUSE:Factory/yast2-trans/yast2-trans-84.87.20190320.750cf6aee8.tar.xz
 
/work/SRC/openSUSE:Factory/.yast2-trans.new.25356/yast2-trans-84.87.20190322.b16b39e213.tar.xz
 differ: char 27, line 1




commit libxkbfile for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libxkbfile for openSUSE:Factory 
checked in at 2019-03-26 22:29:09

Comparing /work/SRC/openSUSE:Factory/libxkbfile (Old)
 and  /work/SRC/openSUSE:Factory/.libxkbfile.new.25356 (New)


Package is "libxkbfile"

Tue Mar 26 22:29:09 2019 rev:11 rq:687387 version:1.1.0

Changes:

--- /work/SRC/openSUSE:Factory/libxkbfile/libxkbfile.changes2015-11-11 
10:28:49.0 +0100
+++ /work/SRC/openSUSE:Factory/.libxkbfile.new.25356/libxkbfile.changes 
2019-03-26 22:29:11.629752534 +0100
@@ -1,0 +2,7 @@
+Thu Mar 21 15:22:18 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.1.0
+  * This release adds support for the NoLock, NoUnlock, and
+genKeyEvent flags.
+
+---

Old:

  libxkbfile-1.0.9.tar.bz2

New:

  libxkbfile-1.1.0.tar.bz2



Other differences:
--
++ libxkbfile.spec ++
--- /var/tmp/diff_new_pack.l5cjIX/_old  2019-03-26 22:29:12.317752368 +0100
+++ /var/tmp/diff_new_pack.l5cjIX/_new  2019-03-26 22:29:12.317752368 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libxkbfile
 #
-# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libxkbfile
 %define lname  libxkbfile1
-Version:1.0.9
+Version:1.1.0
 Release:0
 Summary:X11 keyboard file manipulation library
 License:MIT
@@ -45,8 +45,8 @@
 
 %package -n %lname
 Summary:X11 keyboard file manipulation library
-Group:  System/Libraries
 # O/P added for 12.2
+Group:  System/Libraries
 Provides:   xorg-x11-libxkbfile = 7.6_%version-%release
 Obsoletes:  xorg-x11-libxkbfile < 7.6_%version-%release
 Requires:   xkeyboard-config

++ libxkbfile-1.0.9.tar.bz2 -> libxkbfile-1.1.0.tar.bz2 ++
 25750 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libxkbfile-1.0.9/ChangeLog new/libxkbfile-1.1.0/ChangeLog
--- old/libxkbfile-1.0.9/ChangeLog  2015-05-01 07:26:38.0 +0200
+++ new/libxkbfile-1.1.0/ChangeLog  2019-03-16 19:36:14.0 +0100
@@ -1,3 +1,127 @@
+commit 261992d42905f209cd5bf6afcf8a7ae3aa30b3ff
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 11:30:41 2019 -0700
+
+libxkbfile 1.1.0
+
+Signed-off-by: Alan Coopersmith 
+
+commit 306087b60496d6493323433573ee9b9fb392dd7b
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 11:22:06 2019 -0700
+
+Add description of libxkbfile to README.md
+
+Signed-off-by: Alan Coopersmith 
+
+commit 28822317438b6800435145a0312dbce59a03eaa3
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:44:24 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 340581e83d57414b5f33fd2f9f22fdfebf0d4b8d
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 23:07:00 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit b660c757e308b7c561dba16d45d18863bfa2973e
+Author: Alan Coopersmith 
+Date:   Sat Nov 10 13:21:42 2018 -0800
+
+Remove obsolete B16 & B32 tags in struct definitions
+
+Signed-off-by: Alan Coopersmith 
+
+commit d2ec504fec2550f4fd046e801b34317ef4a4bab9
+Author: Martin Burggraf 
+Date:   Thu Aug 13 21:16:40 2015 +0200
+
+correcting mathematical nonsense
+
+V2: Fixing the issue with numbers between 0 -1
+
+Reviewed-by: Alan Coopersmith 
+Signed-off-by: Alan Coopersmith 
+
+commit 1c070d1153e293169909b0fc8e9ff65be9121fa0
+Author: Mihail Konev 
+Date:   Thu Jan 26 13:52:49 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit 9e39e36316f3dd28b1fd6f71562ec93bce2da35a
+Author: Emil Velikov 
+Date:   Mon Mar 9 12:00:52 2015 +
+
+autogen.sh: use quoted string variables
+
+Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
+fall-outs, when they contain space.
+
+Signed-off-by: Emil Velikov 
+Reviewed-by: Peter Hutterer 
+Signed-off-by: Peter Hutterer 
+
+commit cfea939bb7d61d51b74493d77294010ddef490f0
+Author: Peter Hutterer 
+Date:   Tue Jan 24 10:32:07 2017 +1000
+
+autogen.sh: use exec instead of waiting for configure to 

commit docker-runc for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package docker-runc for openSUSE:Factory 
checked in at 2019-03-26 22:28:28

Comparing /work/SRC/openSUSE:Factory/docker-runc (Old)
 and  /work/SRC/openSUSE:Factory/.docker-runc.new.25356 (New)


Package is "docker-runc"

Tue Mar 26 22:28:28 2019 rev:16 rq:688264 version:1.0.0rc6+gitr3778_6635b4f0c6af

Changes:

--- /work/SRC/openSUSE:Factory/docker-runc/docker-runc.changes  2019-02-13 
09:58:25.693664177 +0100
+++ /work/SRC/openSUSE:Factory/.docker-runc.new.25356/docker-runc.changes   
2019-03-26 22:28:32.457761988 +0100
@@ -1,0 +2,7 @@
+Fri Mar 22 11:51:28 UTC 2019 - Sascha Grunert 
+
+- Update to runc 6635b4f0c6af, which is required for Docker v18.09.3-ce.
+- Remove patches that were merged upstream:
+  * CVE-2019-5736.patch
+
+---
@@ -13,0 +21,11 @@
+  This contains changes for rc6:
+  * https://github.com/opencontainers/runc/releases
+  Plus additional changes:
+  * may kill other process when container has been stopped
+   
(https://github.com/opencontainers/runc/commit/87a188996e229bf382c27865584765d1a50c021)
+  * kill: allow to signal paused containers:
+   
(https://github.com/opencontainers/runc/commit/07d1ad44c83c4274f01e2db18776f31b4dd8e13c)
+  * Modify check-config.sh in accordance with Moby Project updates
+   
(https://github.com/opencontainers/runc/commit/30817421efbc761c0adcb1d67b8ef84ae32171be)
+  * cr: get pid from criu notify when restore
+   
(https://github.com/opencontainers/runc/commit/dce70cdff53f576e1334de2a545326599ec824a6)

Old:

  CVE-2019-5736.patch
  docker-runc-git.96ec2177ae841256168fcf76954f7177af9446eb.tar.xz

New:

  docker-runc-git.6635b4f0c6af3810594d2770f662f34ddc15b40d.tar.xz



Other differences:
--
++ docker-runc.spec ++
--- /var/tmp/diff_new_pack.A1VJSI/_old  2019-03-26 22:28:34.057761601 +0100
+++ /var/tmp/diff_new_pack.A1VJSI/_new  2019-03-26 22:28:34.057761601 +0100
@@ -29,14 +29,14 @@
 %endif
 
 # MANUAL: Update the git_version, git_short, and git_revision
-%define git_version 96ec2177ae841256168fcf76954f7177af9446eb
-%define git_short   96ec2177ae84
+%define git_version 6635b4f0c6af3810594d2770f662f34ddc15b40d
+%define git_short   6635b4f0c6af
 # How to get the git_revision
 # git clone ${url}.git runc-upstream
 # cd runc-upstream
 # git checkout $git_version
 # git_revision=r$(git rev-list HEAD | wc -l)
-%define git_revision r3748
+%define git_revision r3778
 
 %define go_tool go
 %define _name runc
@@ -51,8 +51,6 @@
 Url:https://github.com/opencontainers/runc
 Source: %{realname}-git.%{git_version}.tar.xz
 Source1:%{realname}-rpmlintrc
-# FIX-UPSTREAM: Fix for CVE-2019-5736. bsc#1121967
-Patch:  CVE-2019-5736.patch
 BuildRequires:  fdupes
 BuildRequires:  go-go-md2man
 BuildRequires:  libapparmor-devel
@@ -115,8 +113,6 @@
 
 %prep
 %setup -q -n %{realname}-git.%{git_version}
-# CVE-2019-5736 bsc#1121967
-%patch -p1
 
 %build
 # Do not use symlinks. If you want to run the unit tests for this package at

++ _service ++
--- /var/tmp/diff_new_pack.A1VJSI/_old  2019-03-26 22:28:34.093761593 +0100
+++ /var/tmp/diff_new_pack.A1VJSI/_new  2019-03-26 22:28:34.097761592 +0100
@@ -4,7 +4,7 @@
 git
 docker-runc
 git.%H
-96ec2177ae841256168fcf76954f7177af9446eb
+6635b4f0c6af3810594d2770f662f34ddc15b40d
 .git
   
   

++ docker-runc-git.96ec2177ae841256168fcf76954f7177af9446eb.tar.xz -> 
docker-runc-git.6635b4f0c6af3810594d2770f662f34ddc15b40d.tar.xz ++
 131826 lines of diff (skipped)




commit xf86-input-wacom for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xf86-input-wacom for 
openSUSE:Factory checked in at 2019-03-26 22:28:47

Comparing /work/SRC/openSUSE:Factory/xf86-input-wacom (Old)
 and  /work/SRC/openSUSE:Factory/.xf86-input-wacom.new.25356 (New)


Package is "xf86-input-wacom"

Tue Mar 26 22:28:47 2019 rev:29 rq:687336 version:0.34.2

Changes:

--- /work/SRC/openSUSE:Factory/xf86-input-wacom/xf86-input-wacom.changes
2019-03-01 20:29:28.286010617 +0100
+++ 
/work/SRC/openSUSE:Factory/.xf86-input-wacom.new.25356/xf86-input-wacom.changes 
2019-03-26 22:28:49.901757778 +0100
@@ -1,0 +2,7 @@
+Thu Mar 21 10:10:00 UTC 2019 - Jan Engelhardt 
+
+- Remove FIRST_ARG logic (following systemd-rpm-macros rev 28).
+- Avoid em dashes in summary.
+- Add %systemd_ordering as there are service files to process.
+
+---



Other differences:
--
++ xf86-input-wacom.spec ++
--- /var/tmp/diff_new_pack.pE3Sqf/_old  2019-03-26 22:28:51.829757312 +0100
+++ /var/tmp/diff_new_pack.pE3Sqf/_new  2019-03-26 22:28:51.861757305 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -55,13 +55,14 @@
 Obsoletes:  x11-input-wacom-tools < %{version}
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 ExcludeArch:s390 s390x
+%{?systemd_ordering}
 %{x11_abi_xinput_req}
 
 %description
 wacom is an X input driver and utilities for Wacom devices.
 
 %package devel
-Summary:Wacom input driver for the Xorg X server -- Development Files
+Summary:Development files for the Xorg X server Wacom input driver
 Group:  Development/Libraries/X11
 Requires:   %{name} = %{version}
 Provides:   x11-input-wacom-devel = %{version}
@@ -100,8 +101,7 @@
 
 %post
 %service_add_post wacom-inputattach@.service
-test -n "$FIRST_ARG" || FIRST_ARG=$1
-if [ $FIRST_ARG -eq 1 ]; then
+if [ "$1" -eq 1 ]; then
 %udev_rules_update
 %{_bindir}/systemctl daemon-reload >/dev/null 2>&1 || :
 fi
@@ -114,8 +114,7 @@
 
 %postun
 %service_del_postun wacom-inputattach@.service
-test -n "$FIRST_ARG" || FIRST_ARG=$1
-if [ $FIRST_ARG -le 1 ]; then
+if [ "$1" -eq 1 ]; then
 %udev_rules_update
 %{_bindir}/systemctl daemon-reload >/dev/null 2>&1 || :
 fi




commit libXdmcp for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXdmcp for openSUSE:Factory 
checked in at 2019-03-26 22:28:53

Comparing /work/SRC/openSUSE:Factory/libXdmcp (Old)
 and  /work/SRC/openSUSE:Factory/.libXdmcp.new.25356 (New)


Package is "libXdmcp"

Tue Mar 26 22:28:53 2019 rev:10 rq:687380 version:1.1.3

Changes:

--- /work/SRC/openSUSE:Factory/libXdmcp/libXdmcp.changes2017-06-16 
10:53:47.479878182 +0200
+++ /work/SRC/openSUSE:Factory/.libXdmcp.new.25356/libXdmcp.changes 
2019-03-26 22:28:54.545756657 +0100
@@ -1,0 +2,15 @@
+Thu Mar 21 15:09:26 UTC 2019 - Stefan Dirsch 
+
+- Update to version 1.1.3
+  * This release provides a fix for CVE-2017-2625 for platforms which don't 
have
+arc4random_buf() in their default libraries but do have getentropy(), such
+as Linux platforms with a kernel version of 3.17 or newer and a glibc 
version
+of 2.25 or newer.   (libXdmcp 1.1.2 already ensured that arc4random_buf()
+is used on platforms that have it to provide sufficient entropy in XDMCP
+key generation, but left other platforms with the weaker methods.  Linux
+platforms could also have linked against libbsd to use arc4random_buf()
+with libXdmcp 1.1.2 for stronger keys.)
+- supersedes U_Fix-compilation-error-when-arc4random_buf-is-not-ava.patch,
+  U_Use-getentropy-if-arc4random_buf-is-not-available.patch
+
+---

Old:

  U_Fix-compilation-error-when-arc4random_buf-is-not-ava.patch
  U_Use-getentropy-if-arc4random_buf-is-not-available.patch
  libXdmcp-1.1.2.tar.bz2

New:

  libXdmcp-1.1.3.tar.bz2



Other differences:
--
++ libXdmcp.spec ++
--- /var/tmp/diff_new_pack.mZIBbt/_old  2019-03-26 22:28:56.413756206 +0100
+++ /var/tmp/diff_new_pack.mZIBbt/_new  2019-03-26 22:28:56.457756196 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package libXdmcp
 #
-# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,7 +18,7 @@
 
 Name:   libXdmcp
 %define lname  libXdmcp6
-Version:1.1.2
+Version:1.1.3
 Release:0
 Summary:X Display Manager Control Protocol library
 License:MIT
@@ -29,8 +29,6 @@
 #Git-Web:  http://cgit.freedesktop.org/xorg/lib/libXdmcp/
 Source: 
http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
 Source1:baselibs.conf
-Patch0: U_Use-getentropy-if-arc4random_buf-is-not-available.patch
-Patch1: U_Fix-compilation-error-when-arc4random_buf-is-not-ava.patch
 BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 BuildRequires:  autoconf >= 2.60
 BuildRequires:  automake
@@ -86,8 +84,6 @@
 
 %prep
 %setup -q
-%patch0 -p1
-%patch1 -p1
 
 %build
 autoreconf -fi

++ libXdmcp-1.1.2.tar.bz2 -> libXdmcp-1.1.3.tar.bz2 ++
 25529 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXdmcp-1.1.2/ChangeLog new/libXdmcp-1.1.3/ChangeLog
--- old/libXdmcp-1.1.2/ChangeLog2015-03-21 18:00:45.0 +0100
+++ new/libXdmcp-1.1.3/ChangeLog2019-03-16 17:21:46.0 +0100
@@ -1,3 +1,104 @@
+commit 618b3ba5f826d930df2ca6a6a0ce212fa75cef42
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 09:19:02 2019 -0700
+
+libXdmcp 1.1.3
+
+Signed-off-by: Alan Coopersmith 
+
+commit 7d4c69183b9838c684c1bcedb4e6184301d2816f
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 21:51:24 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit 6d1aee0310001eca8f6ded9814a2a70b3a774896
+Author: Benjamin Tissoires 
+Date:   Thu May 4 11:12:13 2017 +0200
+
+Fix compilation error when arc4random_buf is not available
+
+Not sure how I missed that, but I did.
+
+Also rename emulate_getrandom_buf() into insecure_getrandom_buf() as
+requested in the previous patch reviews.
+
+Last, getbits() expects an unsigned char, so remove the warning.
+
+Signed-off-by: Benjamin Tissoires 
+Reviewed-by: Peter Hutterer 
+Signed-off-by: Peter Hutterer 
+
+commit 0554324ec6bbc2071f5d1f8ad211a1643e29eb1f
+Author: Benjamin Tissoires 
+Date:   Tue Apr 4 19:13:38 2017 +0200
+
+Use getentropy() if arc4random_buf() is not available
+
+ 

commit libXft for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package libXft for openSUSE:Factory checked 
in at 2019-03-26 22:29:03

Comparing /work/SRC/openSUSE:Factory/libXft (Old)
 and  /work/SRC/openSUSE:Factory/.libXft.new.25356 (New)


Package is "libXft"

Tue Mar 26 22:29:03 2019 rev:13 rq:687383 version:2.3.3

Changes:

--- /work/SRC/openSUSE:Factory/libXft/libXft.changes2019-01-26 
22:18:12.651060103 +0100
+++ /work/SRC/openSUSE:Factory/.libXft.new.25356/libXft.changes 2019-03-26 
22:29:06.645753737 +0100
@@ -1,0 +2,7 @@
+Thu Mar 21 15:19:16 UTC 2019 - Stefan Dirsch 
+
+- Update to version 2.3.3
+  * This release updates XftDrawSrcPicture to use XRenderCreateSolidFill
+when available (Render version 0.10 or later).
+
+---

Old:

  libXft-2.3.2.tar.bz2

New:

  libXft-2.3.3.tar.bz2



Other differences:
--
++ libXft.spec ++
--- /var/tmp/diff_new_pack.DB2jxv/_old  2019-03-26 22:29:07.117753623 +0100
+++ /var/tmp/diff_new_pack.DB2jxv/_new  2019-03-26 22:29:07.121753622 +0100
@@ -12,13 +12,13 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
 Name:   libXft
 %define lname  libXft2
-Version:2.3.2
+Version:2.3.3
 Release:0
 Summary:X FreeType library
 License:MIT

++ libXft-2.3.2.tar.bz2 -> libXft-2.3.3.tar.bz2 ++
 27577 lines of diff (skipped)
retrying with extended exclude list
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXft-2.3.2/ChangeLog new/libXft-2.3.3/ChangeLog
--- old/libXft-2.3.2/ChangeLog  2014-06-06 08:05:36.0 +0200
+++ new/libXft-2.3.3/ChangeLog  2019-03-16 19:12:43.0 +0100
@@ -1,3 +1,79 @@
+commit a266847d3c17dcdfcac719a1aa970ad54f4b545a
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 11:03:38 2019 -0700
+
+libXft 2.3.3
+
+Signed-off-by: Alan Coopersmith 
+
+commit fab5adf8fa3073862267e14aece1adf9eed0541c
+Author: Alan Coopersmith 
+Date:   Sat Mar 16 11:03:17 2019 -0700
+
+Add description of libXft to README.md
+
+Signed-off-by: Alan Coopersmith 
+
+commit b397ffb23f02389b6c6168e7826605789907d740
+Author: Alan Coopersmith 
+Date:   Fri Dec 7 19:42:33 2018 -0800
+
+Update configure.ac bug URL for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit bdfb2b0e0fbf02ae69fe6cb2fbe352c4231e5c54
+Author: Alan Coopersmith 
+Date:   Mon Nov 19 22:20:38 2018 -0800
+
+Update README for gitlab migration
+
+Signed-off-by: Alan Coopersmith 
+
+commit c418dc7594f98359ae10815f62ee3efc0a511cf8
+Author: Mihail Konev 
+Date:   Thu Jan 26 13:52:49 2017 +1000
+
+autogen: add default patch prefix
+
+Signed-off-by: Mihail Konev 
+
+commit 6a12debafe35963d205e0dc78eb742ad898312b7
+Author: Emil Velikov 
+Date:   Mon Mar 9 12:00:52 2015 +
+
+autogen.sh: use quoted string variables
+
+Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
+fall-outs, when they contain space.
+
+Signed-off-by: Emil Velikov 
+Reviewed-by: Peter Hutterer 
+Signed-off-by: Peter Hutterer 
+
+commit 0d3402d1138afe9854452eb494acc649faa0dc9e
+Author: Peter Hutterer 
+Date:   Tue Jan 24 10:32:07 2017 +1000
+
+autogen.sh: use exec instead of waiting for configure to finish
+
+Syncs the invocation of configure with the one from the server.
+
+Signed-off-by: Peter Hutterer 
+Reviewed-by: Emil Velikov 
+
+commit e8a83226bc10afb587f6f34daac44d2ef809c85e
+Author: Keith Packard 
+Date:   Sun Oct 19 18:00:26 2014 -0500
+
+XftDrawSrcPicture: Use XRenderCreateSolidFill when available
+
+Instead of creating 1x1 pictures, use the solid pictures added in
+Render version 0.10
+
+Signed-off-by: Keith Packard 
+Reviewed-by: Adam Jackson 
+
 commit 214f9b5306d833e2787c75fe41dfdc9228fcb738
 Author: Alan Coopersmith 
 Date:   Thu Jun 5 23:04:54 2014 -0700
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' --exclude Makefile.in --exclude configure --exclude 
config.guess --exclude '*.pot' --exclude mkinstalldirs --exclude aclocal.m4 
--exclude config.sub --exclude depcomp --exclude install-sh --exclude ltmain.sh 
old/libXft-2.3.2/Makefile.am new/libXft-2.3.3/Makefile.am
--- 

commit package-translations for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package package-translations for 
openSUSE:Factory checked in at 2019-03-26 22:28:15

Comparing /work/SRC/openSUSE:Factory/package-translations (Old)
 and  /work/SRC/openSUSE:Factory/.package-translations.new.25356 (New)


Package is "package-translations"

Tue Mar 26 22:28:15 2019 rev:121 rq:688171 version:84.87.20190321.3eb73b8b

Changes:

--- 
/work/SRC/openSUSE:Factory/package-translations/package-translations.changes
2019-02-24 17:04:45.208641706 +0100
+++ 
/work/SRC/openSUSE:Factory/.package-translations.new.25356/package-translations.changes
 2019-03-26 22:28:19.673765073 +0100
@@ -1,0 +2,12 @@
+Mon Mar 25 09:43:28 UTC 2019 - Karl Eichwalder 
+
+- Update to version 84.87.20190321.3eb73b8b:
+  * Merge missing LCN translations for patterns
+  * Add missing supported po files
+  * Translated using Weblate (Catalan)
+  * Translated using Weblate (Chinese (China))
+  * Translated using Weblate (German)
+  * Translated using Weblate (Italian)
+  * Translated using Weblate (Spanish)
+
+---

Old:

  package-translations-84.87.20190212.03559d3a.tar.xz

New:

  package-translations-84.87.20190321.3eb73b8b.tar.xz



Other differences:
--
++ package-translations.spec ++
--- /var/tmp/diff_new_pack.pMEafH/_old  2019-03-26 22:28:21.489764635 +0100
+++ /var/tmp/diff_new_pack.pMEafH/_new  2019-03-26 22:28:21.493764634 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   package-translations
-Version:84.87.20190212.03559d3a
+Version:84.87.20190321.3eb73b8b
 Release:0
 Summary:Summary and Descriptions Translations
 License:BSD-3-Clause

++ _service ++
--- /var/tmp/diff_new_pack.pMEafH/_old  2019-03-26 22:28:21.529764625 +0100
+++ /var/tmp/diff_new_pack.pMEafH/_new  2019-03-26 22:28:21.529764625 +0100
@@ -7,7 +7,8 @@
git://github.com/openSUSE/packages-i18n.git
git
enable
-   
+opensuse-packag...@opensuse.org
+

*.tar
xz

++ _servicedata ++
--- /var/tmp/diff_new_pack.pMEafH/_old  2019-03-26 22:28:21.549764620 +0100
+++ /var/tmp/diff_new_pack.pMEafH/_new  2019-03-26 22:28:21.549764620 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/openSUSE/packages-i18n.git
-  03559d3af77fc1168ffda76a3c322f6943792d29
\ No newline at end of file
+  3eb73b8b327c6d08662f8da84fb281180876a6d4
\ No newline at end of file

++ package-translations-84.87.20190212.03559d3a.tar.xz -> 
package-translations-84.87.20190321.3eb73b8b.tar.xz ++
/work/SRC/openSUSE:Factory/package-translations/package-translations-84.87.20190212.03559d3a.tar.xz
 
/work/SRC/openSUSE:Factory/.package-translations.new.25356/package-translations-84.87.20190321.3eb73b8b.tar.xz
 differ: char 27, line 1




commit docker for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package docker for openSUSE:Factory checked 
in at 2019-03-26 22:28:10

Comparing /work/SRC/openSUSE:Factory/docker (Old)
 and  /work/SRC/openSUSE:Factory/.docker.new.25356 (New)


Package is "docker"

Tue Mar 26 22:28:10 2019 rev:88 rq:688119 version:18.09.3_ce

Changes:

--- /work/SRC/openSUSE:Factory/docker/docker.changes2019-02-27 
21:11:42.579196565 +0100
+++ /work/SRC/openSUSE:Factory/.docker.new.25356/docker.changes 2019-03-26 
22:28:11.693766999 +0100
@@ -1,0 +2,15 @@
+Fri Mar 22 09:19:28 UTC 2019 - Sascha Grunert 
+
+- Update to Docker 18.09.3-ce. See upstream changelog in the packaged
+  /usr/share/doc/packages/docker/CHANGELOG.md.
+
+---
+Sun Mar 10 21:12:09 UTC 2019 - Aleksa Sarai 
+
+- docker-test: improvements to test packaging (we don't need to ship around the
+  entire source tree, and we also need to build the born-again integration/
+  tests which contain a suite-per-directory). We also need a new patch which
+  fixes the handling of *-test images. bsc#1128746
+  + bsc1128746-0001-integration-cli-don-t-build-test-images-if-they-alre.patch
+
+---

Old:

  docker-18.09.1_ce.4c52b901c6cb.tar.xz

New:

  bsc1128746-0001-integration-cli-don-t-build-test-images-if-they-alre.patch
  docker-18.09.3_ce.774a1f4eee66.tar.xz



Other differences:
--
++ docker.spec ++
--- /var/tmp/diff_new_pack.ydKF6e/_old  2019-03-26 22:28:12.665766764 +0100
+++ /var/tmp/diff_new_pack.ydKF6e/_new  2019-03-26 22:28:12.673766762 +0100
@@ -42,17 +42,17 @@
 # helpfully injects into our build environment from the changelog). If you want
 # to generate a new git_commit_epoch, use this:
 #  $ date --date="$(git show --format=fuller --date=iso $COMMIT_ID | grep -oP 
'(?<=^CommitDate: ).*')" '+%s'
-%define git_version 4c52b901c6cb
-%define git_commit_epoch 1547060456
+%define git_version 774a1f4eee66
+%define git_commit_epoch 1551333049
 
 # These are the git commits required. We verify them against the source to make
 # sure we didn't miss anything important when doing upgrades.
-%define required_containerd 9754871865f7fe2f4e74d43e2fc7ccd237edcbce
-%define required_dockerrunc 96ec2177ae841256168fcf76954f7177af9446eb
+%define required_containerd e6b3f5632f50dbc4e9cb6288d911bf4f5e95b18e
+%define required_dockerrunc 6635b4f0c6af3810594d2770f662f34ddc15b40d
 %define required_libnetwork 2cfbf9b1f98162a55829a21cc603c76072a75382
 
 Name:   %{realname}%{name_suffix}
-Version:18.09.1_ce
+Version:18.09.3_ce
 Release:0
 Summary:The Linux container runtime
 License:Apache-2.0
@@ -90,11 +90,13 @@
 # SUSE-FEATURE: Add support to mirror inofficial/private registries
 #   (https://github.com/docker/docker/pull/34319)
 Patch500:   private-registry-0001-Add-private-registry-mirror-support.patch
+# SUSE-BACKPORT: Backport of test-only patch 
https://github.com/moby/moby/pull/38853. bsc1128746
+Patch900:   
bsc1128746-0001-integration-cli-don-t-build-test-images-if-they-alre.patch
 BuildRequires:  audit
 BuildRequires:  bash-completion
 BuildRequires:  ca-certificates
 BuildRequires:  device-mapper-devel >= 1.2.68
-BuildRequires:  glibc-devel-static
+BuildRequires:  fdupes
 BuildRequires:  libapparmor-devel
 BuildRequires:  libbtrfs-devel >= 3.8
 BuildRequires:  libseccomp-devel >= 2.2
@@ -217,17 +219,13 @@
 %package test
 %global __requires_exclude ^libgo.so.*$
 Summary:Test package for docker
+# Needed for test-suite.
 Group:  System/Management
-BuildRequires:  fdupes
-Requires:   apparmor-parser
-Requires:   bash-completion
-Requires:   device-mapper-devel >= 1.2.68
-Requires:   glibc-devel-static
-Requires:   libapparmor-devel
-Requires:   libbtrfs-devel >= 3.8
-Requires:   procps
-Requires:   sqlite3-devel
-Requires:   golang(API) = 1.8
+Requires:   curl
+Requires:   go
+Requires:   iputils
+Requires:   jq
+Requires:   net-tools-deprecated
 # KUBIC-SPECIFIC: This was required when upgrading from the original kubic
 # packaging, when everything was renamed to -kubic. It also is
 # used to ensure that nothing complains too much when using
@@ -279,9 +277,10 @@
 # PATCH-SUSE: Mirror patch.
 %patch500 -p1
 %endif
+# bsc#1128746
+%patch900 -p1
 
 cp %{SOURCE7} .
-cp %{SOURCE9} .
 
 %build
 BUILDTAGS="exclude_graphdriver_aufs apparmor selinux seccomp pkcs11"
@@ -317,19 +316,32 @@
 ln -s $(pwd)/components/cli $(pwd)/src/github.com/docker/cli
 export GOPATH=$GOPATH:$(pwd)
 
-# DOCKER ENGINE
+###
+## DOCKER ENGINE ##

commit containerd for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package containerd for openSUSE:Factory 
checked in at 2019-03-26 22:28:04

Comparing /work/SRC/openSUSE:Factory/containerd (Old)
 and  /work/SRC/openSUSE:Factory/.containerd.new.25356 (New)


Package is "containerd"

Tue Mar 26 22:28:04 2019 rev:30 rq:688118 version:1.2.4

Changes:

--- /work/SRC/openSUSE:Factory/containerd/containerd.changes2019-02-13 
09:58:03.297669593 +0100
+++ /work/SRC/openSUSE:Factory/.containerd.new.25356/containerd.changes 
2019-03-26 22:28:05.68426 +0100
@@ -1,0 +2,13 @@
+Thu Mar 21 14:30:03 UTC 2019 - Sascha Grunert 
+
+- Update containerd to v1.2.4
+  * cri: Set /etc/hostname
+  * cri: Fix env performance issue
+  * runc updated to 6635b4f0c6af3810594d2770f662f34ddc15b40d to solve
+  * CVE-2019-5736
+  * cri updated to da0c016c830b2ea97fd1d737c49a568a816bf964
+  * Windows: NewDirectIOFromFIFOSet
+  * Changelogs from previous versions also included in this update:
+  https://github.com/containerd/containerd/releases/tag/v1.2.3
+
+---
@@ -5,0 +19,13 @@
+  * Fix rare deadlock on FIFO creation with timeout
+  * Fix a bug that a container can't be stopped or inspected when its
+corresponding image is deleted
+  * Fix a bug that the cri plugin handles containerd events outside of
+k8s.io namespace
+  more changes at:
+  https://github.com/containerd/containerd/releases/tag/v1.2.2
+  Changelogs from previous versions also included in this update:
+https://github.com/containerd/containerd/releases/tag/v1.2.1
+https://github.com/containerd/containerd/releases/tag/v1.2.0
+https://github.com/containerd/containerd/releases/tag/v1.1.4
+https://github.com/containerd/containerd/releases/tag/v1.1.3
+  

Old:

  containerd-git.9754871865f7.tar.xz

New:

  containerd-git.e6b3f5632f50.tar.xz



Other differences:
--
++ containerd.spec ++
--- /var/tmp/diff_new_pack.sTmF1H/_old  2019-03-26 22:28:06.745768193 +0100
+++ /var/tmp/diff_new_pack.sTmF1H/_new  2019-03-26 22:28:06.745768193 +0100
@@ -34,12 +34,12 @@
 %endif
 
 # MANUAL: Update the git_version.
-%define containerd_version 1.2.2
-%define git_version 9754871865f7fe2f4e74d43e2fc7ccd237edcbce
-%define git_short   9754871865f7
+%define containerd_version 1.2.4
+%define git_version e6b3f5632f50dbc4e9cb6288d911bf4f5e95b18e
+%define git_short   e6b3f5632f50
 
 Name:   %{realname}%{name_suffix}
-Version:1.2.2
+Version:%{containerd_version}
 Release:0
 Summary:Standalone OCI Container Daemon
 License:Apache-2.0

++ _service ++
--- /var/tmp/diff_new_pack.sTmF1H/_old  2019-03-26 22:28:06.785768183 +0100
+++ /var/tmp/diff_new_pack.sTmF1H/_new  2019-03-26 22:28:06.785768183 +0100
@@ -4,7 +4,7 @@
 git
 containerd
 git.%h
-v1.2.2
+v1.2.4
 .git
   
   

++ containerd-git.9754871865f7.tar.xz -> containerd-git.e6b3f5632f50.tar.xz 
++
 83510 lines of diff (skipped)




commit 000update-repos for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-26 21:01:31

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Tue Mar 26 21:01:31 2019 rev:119 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  42.3:update_1553619262.packages.xz



Other differences:
--



































































































































































































































































































commit 000update-repos for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-26 21:01:23

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Tue Mar 26 21:01:23 2019 rev:118 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory:non-oss_1037.3.packages.xz



Other differences:
--


































































































































































































































































































commit 000update-repos for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000update-repos for openSUSE:Factory 
checked in at 2019-03-26 21:01:21

Comparing /work/SRC/openSUSE:Factory/000update-repos (Old)
 and  /work/SRC/openSUSE:Factory/.000update-repos.new.25356 (New)


Package is "000update-repos"

Tue Mar 26 21:01:21 2019 rev:117 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!

New:

  factory_20190324.packages.xz



Other differences:
--

































































































































































































































































































commit 000product for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2019-03-26 15:46:21

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.25356 (New)


Package is "000product"

Tue Mar 26 15:46:21 2019 rev:1044 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same change
openSUSE-cd-mini-i586.kiwi: same change
openSUSE-cd-mini-x86_64.kiwi: same change
openSUSE-dvd5-dvd-i586.kiwi: same change
openSUSE-dvd5-dvd-x86_64.kiwi: same change
openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
stub.kiwi: same change
++ openSUSE.product ++
--- /var/tmp/diff_new_pack.mgD8Zw/_old  2019-03-26 15:46:26.852051490 +0100
+++ /var/tmp/diff_new_pack.mgD8Zw/_new  2019-03-26 15:46:26.856051488 +0100
@@ -4,7 +4,7 @@
 
   openSUSE
   openSUSE
-  20190325
+  20190326
   0
 
   openSUSE




commit 000product for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package 000product for openSUSE:Factory 
checked in at 2019-03-26 15:46:19

Comparing /work/SRC/openSUSE:Factory/000product (Old)
 and  /work/SRC/openSUSE:Factory/.000product.new.25356 (New)


Package is "000product"

Tue Mar 26 15:46:19 2019 rev:1043 rq: version:unknown
Tue Mar 26 15:46:18 2019 rev:1042 rq: version:unknown

Changes:

New Changes file:

NO CHANGES FILE!!!



Other differences:
--
openSUSE-Tumbleweed-Kubic-dvd5-dvd-x86_64.kiwi: same change
openSUSE-cd-mini-i586.kiwi: same change
openSUSE-cd-mini-x86_64.kiwi: same change
openSUSE-dvd5-dvd-i586.kiwi: same change
openSUSE-dvd5-dvd-x86_64.kiwi: same change
openSUSE-ftp-ftp-i586_x86_64.kiwi: same change
stub.kiwi: same change
++ openSUSE-Addon-NonOss.product ++
--- /var/tmp/diff_new_pack.ln9bjM/_old  2019-03-26 15:46:23.172053353 +0100
+++ /var/tmp/diff_new_pack.ln9bjM/_new  2019-03-26 15:46:23.172053353 +0100
@@ -4,7 +4,7 @@
  
 openSUSE
 openSUSE-Addon-NonOss
-20190325
+    20190326
 0 
 openSUSE NonOSS Addon
 non oss addon

++ openSUSE-Tumbleweed-Kubic.product ++
--- /var/tmp/diff_new_pack.ln9bjM/_old  2019-03-26 15:46:23.184053348 +0100
+++ /var/tmp/diff_new_pack.ln9bjM/_new  2019-03-26 15:46:23.184053348 +0100
@@ -6,7 +6,7 @@
   openSUSE-Tumbleweed-Kubic
   openSUSE-Tumbleweed-Kubic-release
   
-  20190325
+  20190326
   
   0
   openSUSE-Tumbleweed-Kubic




commit webcamoid for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package webcamoid for openSUSE:Factory 
checked in at 2019-03-26 15:45:41

Comparing /work/SRC/openSUSE:Factory/webcamoid (Old)
 and  /work/SRC/openSUSE:Factory/.webcamoid.new.25356 (New)


Package is "webcamoid"

Tue Mar 26 15:45:41 2019 rev:8 rq:688603 version:8.6.1

Changes:

--- /work/SRC/openSUSE:Factory/webcamoid/webcamoid.changes  2019-03-06 
15:50:32.904436417 +0100
+++ /work/SRC/openSUSE:Factory/.webcamoid.new.25356/webcamoid.changes   
2019-03-26 15:45:45.104072467 +0100
@@ -1,0 +2,17 @@
+Tue Mar 26 08:17:44 UTC 2019 - Luigi Baldoni 
+
+- Update to version 8.6.1
+  * AppImage now properly show the icon (issue #94).
+  * Use correct subdir for manpage (issue #170, thanks Luigi
+Baldoni!).
+- Dropped webcamoid-mandir.patch (merged upstream)
+
+---
+Mon Mar 25 19:34:01 UTC 2019 - Christophe Giboudeaux 
+
+- Drop the qimageblitz dependency. Unused since 5.0.0.
+- Drop the Frei0r dependency. Unused since 5.1.0.
+- Fix the old description 'KDE' is the community, 'plasmoid' is no longer used.
+- Ensure neutrality of description.
+
+---

Old:

  webcamoid-8.6.0.tar.gz
  webcamoid-mandir.patch

New:

  webcamoid-8.6.1.tar.gz



Other differences:
--
++ webcamoid.spec ++
--- /var/tmp/diff_new_pack.4IOO9B/_old  2019-03-26 15:45:46.172071953 +0100
+++ /var/tmp/diff_new_pack.4IOO9B/_new  2019-03-26 15:45:46.172071953 +0100
@@ -17,15 +17,13 @@
 
 
 Name:   webcamoid
-Version:8.6.0
+Version:8.6.1
 Release:0
-Summary:Webcam plasmoid for KDE
+Summary:Webcam applet for Plasma
 License:GPL-3.0-or-later
 Group:  System/GUI/KDE
 URL:https://webcamoid.github.io/
 Source: 
https://github.com/hipersayanX/Webcamoid/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
-# PATCH-FIX-UPSTREAME webcamoid-mandir.patch
-Patch0: webcamoid-mandir.patch
 BuildRequires:  bison
 BuildRequires:  desktop-file-utils
 BuildRequires:  fdupes
@@ -45,7 +43,6 @@
 BuildRequires:  pkgconfig(Qt5Svg) >= 5.9
 BuildRequires:  pkgconfig(Qt5Widgets) >= 5.9
 BuildRequires:  pkgconfig(Qt5Xml) >= 5.9
-BuildRequires:  pkgconfig(frei0r)
 BuildRequires:  pkgconfig(libavcodec) >= 58.7.100
 BuildRequires:  pkgconfig(libavdevice) >= 57.0.0
 BuildRequires:  pkgconfig(libavformat) >= 58.0.102
@@ -53,26 +50,22 @@
 BuildRequires:  pkgconfig(libpulse-simple)
 BuildRequires:  pkgconfig(libswscale) >= 5.0.101
 BuildRequires:  pkgconfig(libv4l2)
-BuildRequires:  pkgconfig(qimageblitz)
-Requires:   frei0r-plugins
-Requires:   frei0r-plugins-opencv
 Provides:   plasmoid-webcamoid = %{version}
 Obsoletes:  plasmoid-webcamoid < %{version}
 
 %description
-Webcam plasmoid for KDE desktop environment.
+Webcam applet for Plasma.
 
 Features:
 * Take pictures with the webcam.
 * Record videos.
 * Manages multiple webcams.
-* Play/Stop capture, this saves resources while the plasmoid is not in use.
+* Play/Stop capture, this saves resources while the applet is not in use.
 * Written in C++.
-* 100% Qt based software, for KDE/Qt purists.
+* Qt based software.
 * Custom controls for each webcam.
 * Popup applet support (you can embed Webcamoid in the panel).
-* Add funny effects to the webcam (requires Frei0r plugins and QImageBlitz).
-* +50 effects available.
+* +50 video effects available.
 * Effects with live previews.
 * Translated to many languages.
 * Stand alone installation mode (use it as a normal program).
@@ -91,7 +84,6 @@
 
 %prep
 %setup -q -n webcamoid-%{version}
-%patch0 -p1
 
 %build
 %qmake5 \

++ webcamoid-8.6.0.tar.gz -> webcamoid-8.6.1.tar.gz ++
/work/SRC/openSUSE:Factory/webcamoid/webcamoid-8.6.0.tar.gz 
/work/SRC/openSUSE:Factory/.webcamoid.new.25356/webcamoid-8.6.1.tar.gz differ: 
char 12, line 1




commit rubygem-libyui-rake for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package rubygem-libyui-rake for 
openSUSE:Factory checked in at 2019-03-26 15:46:17

Comparing /work/SRC/openSUSE:Factory/rubygem-libyui-rake (Old)
 and  /work/SRC/openSUSE:Factory/.rubygem-libyui-rake.new.25356 (New)


Package is "rubygem-libyui-rake"

Tue Mar 26 15:46:17 2019 rev:7 rq:688731 version:0.1.14

Changes:

--- /work/SRC/openSUSE:Factory/rubygem-libyui-rake/rubygem-libyui-rake.changes  
2018-11-08 09:48:40.293087011 +0100
+++ 
/work/SRC/openSUSE:Factory/.rubygem-libyui-rake.new.25356/rubygem-libyui-rake.changes
   2019-03-26 15:46:18.580055679 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 13:24:10 UTC 2019 - Ladislav Slezak 
+
+- Added SLE-15-SP1 target (bsc#1130043)
+- 0.1.14
+
+---

Old:

  libyui-rake-0.1.13.gem

New:

  libyui-rake-0.1.14.gem



Other differences:
--
++ rubygem-libyui-rake.spec ++
--- /var/tmp/diff_new_pack.8XiP8R/_old  2019-03-26 15:46:19.088055422 +0100
+++ /var/tmp/diff_new_pack.8XiP8R/_new  2019-03-26 15:46:19.092055420 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package rubygem-libyui-rake
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,12 +12,12 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 Name:   rubygem-libyui-rake
-Version:0.1.13
+Version:0.1.14
 Release:0
 %define mod_name libyui-rake
 %define mod_full_name %{mod_name}-%{version}

++ libyui-rake-0.1.13.gem -> libyui-rake-0.1.14.gem ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/VERSION new/VERSION
--- old/VERSION 2018-10-05 16:35:11.0 +0200
+++ new/VERSION 2019-03-26 14:41:51.0 +0100
@@ -1 +1 @@
-0.1.13
+0.1.14
Binary files old/checksums.yaml.gz and new/checksums.yaml.gz differ
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/data/targets.yml new/data/targets.yml
--- old/data/targets.yml2018-10-05 16:35:11.0 +0200
+++ new/data/targets.yml2019-03-26 14:41:51.0 +0100
@@ -44,6 +44,11 @@
   obs_project: "Devel:YaST:SLE-15"
   obs_sr_project: "SUSE:SLE-15:Update"
   obs_target: "SUSE_SLE-15_GA"
+:sle15sp1:
+  obs_api: "https://api.suse.de/;
+  obs_project: "Devel:YaST:SLE-15-SP1"
+  obs_sr_project: "SUSE:SLE-15-SP1:Update"
+  obs_target: "SUSE_SLE-15-SP1_GA"
 :sle_latest:
   obs_api: "https://api.suse.de/;
   obs_project: "Devel:YaST:Head"
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/metadata new/metadata
--- old/metadata2018-10-30 09:35:28.0 +0100
+++ new/metadata2019-03-26 14:41:51.0 +0100
@@ -1,14 +1,14 @@
 --- !ruby/object:Gem::Specification
 name: libyui-rake
 version: !ruby/object:Gem::Version
-  version: 0.1.13
+  version: 0.1.14
 platform: ruby
 authors:
 - YaST team
 autorequire: 
 bindir: bin
 cert_chain: []
-date: 2018-10-30 00:00:00.0 Z
+date: 2019-03-26 00:00:00.0 Z
 dependencies:
 - !ruby/object:Gem::Dependency
   name: rake
@@ -87,8 +87,7 @@
 - !ruby/object:Gem::Version
   version: '0'
 requirements: []
-rubyforge_project: 
-rubygems_version: 2.7.3
+rubygems_version: 3.0.1
 signing_key: 
 specification_version: 4
 summary: Rake tasks providing basic work-flow for libyui development




commit python-pyscard for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-pyscard for openSUSE:Factory 
checked in at 2019-03-26 15:45:52

Comparing /work/SRC/openSUSE:Factory/python-pyscard (Old)
 and  /work/SRC/openSUSE:Factory/.python-pyscard.new.25356 (New)


Package is "python-pyscard"

Tue Mar 26 15:45:52 2019 rev:6 rq:688650 version:1.9.8

Changes:

--- /work/SRC/openSUSE:Factory/python-pyscard/python-pyscard.changes
2018-06-29 22:32:04.554224653 +0200
+++ /work/SRC/openSUSE:Factory/.python-pyscard.new.25356/python-pyscard.changes 
2019-03-26 15:45:59.704065239 +0100
@@ -1,0 +2,8 @@
+Mon Mar 25 22:55:08 UTC 2019 - Martin Hauke 
+
+- Update to version 1.9.8
+  * SmartcardException: store the PC/SC return code in hresult
+  * CardMonitoring: stop the looping only if PCSC exited
+  * Minor documentation improvements
+
+---

Old:

  pyscard-1.9.7.tar.gz

New:

  pyscard-1.9.8.tar.gz



Other differences:
--
++ python-pyscard.spec ++
--- /var/tmp/diff_new_pack.FSW1ut/_old  2019-03-26 15:46:00.628064771 +0100
+++ /var/tmp/diff_new_pack.FSW1ut/_new  2019-03-26 15:46:00.628064771 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-pyscard
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 # Copyright (c) 2011 LISA GmbH, Bingen, Germany.
 #
 # All modifications and additions to the file contributed by third parties
@@ -13,7 +13,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -21,7 +21,7 @@
 %bcond_without test
 %define modname pyscard
 Name:   python-pyscard
-Version:1.9.7
+Version:1.9.8
 Release:0
 Summary:Python module adding smart card support
 License:LGPL-2.0-or-later

++ pyscard-1.9.7.tar.gz -> pyscard-1.9.8.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyscard-1.9.7/ChangeLog new/pyscard-1.9.8/ChangeLog
--- old/pyscard-1.9.7/ChangeLog 2018-06-20 17:33:16.0 +0200
+++ new/pyscard-1.9.8/ChangeLog 2019-03-25 22:18:55.0 +0100
@@ -1,3 +1,11 @@
+1.9.8 (March 2018)
+==
+* SmartcardException: store the PC/SC return code in hresult
+* CardMonitoring: stop the looping only if PCSC exited
+* setup: support build on OpenBSD, and other BSD
+* Fix Windows 10 SCARD_E_SERVICE_STOPPED from SCardListReaders()
+* Minor documentation improvements
+
 1.9.7 (June 2018)
 =
 * Modify CardMonitoring's deleteObserver method to cleanly remove threads
@@ -5,7 +13,7 @@
 * Python 3: Fix SCardGetErrorMessage() on Windows
 * PCSCPart10: add parseFeatureRequest(), parseTlvProperties()
 * Fix PEP8 warnings
-   * Minor documentation improvements
+* Minor documentation improvements
 
 1.9.6 (August 2017)
 ===
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyscard-1.9.7/PKG-INFO new/pyscard-1.9.8/PKG-INFO
--- old/pyscard-1.9.7/PKG-INFO  2018-06-20 17:47:46.0 +0200
+++ new/pyscard-1.9.8/PKG-INFO  2019-03-25 22:19:53.0 +0100
@@ -1,12 +1,12 @@
 Metadata-Version: 2.1
 Name: pyscard
-Version: 1.9.7
+Version: 1.9.8
 Summary: Smartcard module for Python.
 Home-page: https://github.com/LudovicRousseau/pyscard
 Author: Ludovic Rousseau
 Author-email: ludovic.rouss...@free.fr
 License: UNKNOWN
-Download-URL: 
http://sourceforge.net/projects/pyscard/files/pyscard/pyscard%201.9.7/pyscard-1.9.7.tar.gz/download
+Download-URL: 
http://sourceforge.net/projects/pyscard/files/pyscard/pyscard%201.9.8/pyscard-1.9.8.tar.gz/download
 Description: Smartcard package for Python
 Platform: linux
 Platform: win32
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/pyscard-1.9.7/pyscard.egg-info/PKG-INFO 
new/pyscard-1.9.8/pyscard.egg-info/PKG-INFO
--- old/pyscard-1.9.7/pyscard.egg-info/PKG-INFO 2018-06-20 17:47:46.0 
+0200
+++ new/pyscard-1.9.8/pyscard.egg-info/PKG-INFO 2019-03-25 22:19:52.0 
+0100
@@ -1,12 +1,12 @@
 Metadata-Version: 2.1
 Name: pyscard
-Version: 1.9.7
+Version: 1.9.8
 Summary: Smartcard module for Python.
 Home-page: https://github.com/LudovicRousseau/pyscard
 Author: Ludovic Rousseau
 Author-email: ludovic.rouss...@free.fr
 License: UNKNOWN
-Download-URL: 
http://sourceforge.net/projects/pyscard/files/pyscard/pyscard%201.9.7/pyscard-1.9.7.tar.gz/download
+Download-URL: 

commit xfce4-panel-plugin-whiskermenu for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xfce4-panel-plugin-whiskermenu for 
openSUSE:Factory checked in at 2019-03-26 15:46:14

Comparing /work/SRC/openSUSE:Factory/xfce4-panel-plugin-whiskermenu (Old)
 and  /work/SRC/openSUSE:Factory/.xfce4-panel-plugin-whiskermenu.new.25356 
(New)


Package is "xfce4-panel-plugin-whiskermenu"

Tue Mar 26 15:46:14 2019 rev:30 rq:688706 version:2.3.2

Changes:

--- 
/work/SRC/openSUSE:Factory/xfce4-panel-plugin-whiskermenu/xfce4-panel-plugin-whiskermenu.changes
2019-01-24 14:11:57.863462881 +0100
+++ 
/work/SRC/openSUSE:Factory/.xfce4-panel-plugin-whiskermenu.new.25356/xfce4-panel-plugin-whiskermenu.changes
 2019-03-26 15:46:15.768057103 +0100
@@ -1,0 +2,8 @@
+Tue Mar 26 10:05:25 UTC 2019 - Vinzenz Vietzke 
+
+- update to 2.3.2
+  * Fix editing menu items containting a single quote. (bxo#15091)
+  * Fix displaying empty tooltips. (bxo#15137)
+  * Translation updates: Dutch, Galician, Spanish, Swedish, Ukrainian.
+
+---

Old:

  xfce4-whiskermenu-plugin-2.3.1.tar.bz2

New:

  xfce4-whiskermenu-plugin-2.3.2.tar.bz2



Other differences:
--
++ xfce4-panel-plugin-whiskermenu.spec ++
--- /var/tmp/diff_new_pack.tKDlNH/_old  2019-03-26 15:46:16.844056558 +0100
+++ /var/tmp/diff_new_pack.tKDlNH/_new  2019-03-26 15:46:16.852056554 +0100
@@ -17,7 +17,7 @@
 
 
 Name:   xfce4-panel-plugin-whiskermenu
-Version:2.3.1
+Version:2.3.2
 Release:0
 Summary:Alternate Xfce Menu
 License:GPL-2.0-or-later

++ xfce4-whiskermenu-plugin-2.3.1.tar.bz2 -> 
xfce4-whiskermenu-plugin-2.3.2.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xfce4-whiskermenu-plugin-2.3.1/CMakeLists.txt 
new/xfce4-whiskermenu-plugin-2.3.2/CMakeLists.txt
--- old/xfce4-whiskermenu-plugin-2.3.1/CMakeLists.txt   2019-01-19 
21:08:55.0 +0100
+++ new/xfce4-whiskermenu-plugin-2.3.2/CMakeLists.txt   2019-03-26 
09:28:50.0 +0100
@@ -5,7 +5,7 @@
 # version number
 set(whiskermenu_version_major "2")
 set(whiskermenu_version_minor "3")
-set(whiskermenu_version_micro "1")
+set(whiskermenu_version_micro "2")
 set(whiskermenu_version_tag "")
 set(whiskermenu_version 
"${whiskermenu_version_major}.${whiskermenu_version_minor}.${whiskermenu_version_micro}")
 if(${whiskermenu_version_tag} MATCHES "git")
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xfce4-whiskermenu-plugin-2.3.1/NEWS 
new/xfce4-whiskermenu-plugin-2.3.2/NEWS
--- old/xfce4-whiskermenu-plugin-2.3.1/NEWS 2019-01-19 21:08:55.0 
+0100
+++ new/xfce4-whiskermenu-plugin-2.3.2/NEWS 2019-03-26 09:28:50.0 
+0100
@@ -1,3 +1,9 @@
+2.3.2
+=
+- Fix editing menu items containting a single quote. (bug #15091)
+- Fix displaying empty tooltips. (bug #15137)
+- Translation updates: Dutch, Galician, Spanish, Swedish, Ukrainian.
+
 2.3.1
 =
 - Fix crash when reload is required.
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/xfce4-whiskermenu-plugin-2.3.1/panel-plugin/element.h 
new/xfce4-whiskermenu-plugin-2.3.2/panel-plugin/element.h
--- old/xfce4-whiskermenu-plugin-2.3.1/panel-plugin/element.h   2019-01-19 
21:08:55.0 +0100
+++ new/xfce4-whiskermenu-plugin-2.3.2/panel-plugin/element.h   2019-03-26 
09:28:50.0 +0100
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2013, 2015, 2016 Graeme Gott 
+ * Copyright (C) 2013, 2015, 2016, 2019 Graeme Gott 
  *
  * This library is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -18,6 +18,7 @@
 #ifndef WHISKERMENU_ELEMENT_H
 #define WHISKERMENU_ELEMENT_H
 
+#include 
 #include 
 
 namespace WhiskerMenu
@@ -107,7 +108,7 @@
void set_tooltip(const gchar* tooltip)
{
g_free(m_tooltip);
-   m_tooltip = g_markup_escape_text(tooltip, -1);
+   m_tooltip = !exo_str_is_empty(tooltip) ? 
g_markup_escape_text(tooltip, -1) : NULL;
}
 
 private:
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xfce4-whiskermenu-plugin-2.3.1/panel-plugin/page.cpp 
new/xfce4-whiskermenu-plugin-2.3.2/panel-plugin/page.cpp
--- old/xfce4-whiskermenu-plugin-2.3.1/panel-plugin/page.cpp2019-01-19 
21:08:55.0 +0100
+++ new/xfce4-whiskermenu-plugin-2.3.2/panel-plugin/page.cpp2019-03-26 
09:28:50.0 +0100
@@ -1,5 +1,5 @@
 /*
- * Copyright (C) 2013, 2014, 2015, 2016, 2017, 2018 Graeme Gott 

+ * Copyright (C) 2013, 2014, 2015, 2016, 2017, 2018, 2019 Graeme Gott 

  *
  * This library is free 

commit python-sortedcontainers for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-sortedcontainers for 
openSUSE:Factory checked in at 2019-03-26 15:45:57

Comparing /work/SRC/openSUSE:Factory/python-sortedcontainers (Old)
 and  /work/SRC/openSUSE:Factory/.python-sortedcontainers.new.25356 (New)


Package is "python-sortedcontainers"

Tue Mar 26 15:45:57 2019 rev:8 rq:688684 version:2.1.0

Changes:

--- 
/work/SRC/openSUSE:Factory/python-sortedcontainers/python-sortedcontainers.changes
  2018-12-24 11:44:09.433305039 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-sortedcontainers.new.25356/python-sortedcontainers.changes
   2019-03-26 15:46:01.608064275 +0100
@@ -1,0 +2,12 @@
+Tue Mar 26 11:36:07 UTC 2019 - Tomáš Chvátal 
+
+- Update to 2.1.0:
+  * Small updates to docs and tests for Python 3.7.
+  * Change imports for Abstract Base Classes to collections.abc to avoid 
warnings in Python 3.7.
+  * SortedDict methods iterkeys, iteritems, itervalues, viewkeys, viewitems, 
and viewvalues are not implemented for Python 2. Attribute lookup now raises 
:exc:`AttributeError`.
+  * Accessing SortedDict.iloc will emit DeprecationWarning.
+  * SortedSet.__rsub__ erroneously reversed its arguments. The method has been 
removed in favor of the inherited Set.__rsub__ which has a correct 
implementation.
+  * :class:`SortedKeysView` and :class:`SortedValuesView` set-operations now 
return :class:`SortedSet` objects to better match the semantics of version 1.
+- use github tarball for tests
+
+---

Old:

  sortedcontainers-2.0.2.tar.gz

New:

  v2.1.0.tar.gz



Other differences:
--
++ python-sortedcontainers.spec ++
--- /var/tmp/diff_new_pack.x5SheZ/_old  2019-03-26 15:46:02.812063665 +0100
+++ /var/tmp/diff_new_pack.x5SheZ/_new  2019-03-26 15:46:02.812063665 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-sortedcontainers
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -18,13 +18,13 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-sortedcontainers
-Version:2.0.2
+Version:2.1.0
 Release:0
 Summary:Sorted container data types
 License:Apache-2.0
 Group:  Development/Languages/Python
 URL:https://github.com/grantjenks/python-sortedcontainers
-Source: 
https://files.pythonhosted.org/packages/source/s/sortedcontainers/sortedcontainers-%{version}.tar.gz
+Source: 
https://github.com/grantjenks/python-sortedcontainers/archive/v%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
@@ -53,7 +53,7 @@
 has 100% coverage with unit tests and hours of stress.
 
 %prep
-%setup -q -n sortedcontainers-%{version}
+%setup -q -n python-sortedcontainers-%{version}
 rm -rf sortedcontainers.egg-info
 
 %build
@@ -64,13 +64,8 @@
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
 %check
-%{python_expand export PYTHONPATH=%{buildroot}%{$python_sitelib}
 export PYTHONDONTWRITEBYTECODE=1
-rm -rf _build.* build tests/__pycache__ tests/*.pyc tests/*.pyo
-pushd tests
-py.test-%{$python_bin_suffix}
-popd
-}
+%pytest tests
 
 %files %{python_files}
 %license LICENSE




commit fmt for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package fmt for openSUSE:Factory checked in 
at 2019-03-26 15:45:38

Comparing /work/SRC/openSUSE:Factory/fmt (Old)
 and  /work/SRC/openSUSE:Factory/.fmt.new.25356 (New)


Package is "fmt"

Tue Mar 26 15:45:38 2019 rev:3 rq:688601 version:5.3.0

Changes:

--- /work/SRC/openSUSE:Factory/fmt/fmt.changes  2019-01-15 09:17:45.498158217 
+0100
+++ /work/SRC/openSUSE:Factory/.fmt.new.25356/fmt.changes   2019-03-26 
15:45:43.524073226 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 16:21:01 UTC 2019 - o...@aepfle.de
+
+- Install fmt.pc into libdir with
+  0001-install-pkg-config-file-into-libdir.patch
+
+---

New:

  0001-install-pkg-config-file-into-libdir.patch



Other differences:
--
++ fmt.spec ++
--- /var/tmp/diff_new_pack.Z8bmeB/_old  2019-03-26 15:45:44.468072772 +0100
+++ /var/tmp/diff_new_pack.Z8bmeB/_new  2019-03-26 15:45:44.472072770 +0100
@@ -26,6 +26,7 @@
 URL:http://fmtlib.net/
 Source0:
https://github.com/fmtlib/fmt/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
 Source1:baselibs.conf
+Patch0: 0001-install-pkg-config-file-into-libdir.patch
 BuildRequires:  cmake
 BuildRequires:  gcc-c++
 BuildRequires:  pkgconfig
@@ -50,7 +51,7 @@
 Development files for fmt, a formatting library for C++.
 
 %prep
-%setup -q
+%autosetup -p1
 
 %build
 %cmake -DCMAKE_INSTALL_INCLUDEDIR:PATH=%{_includedir}
@@ -81,6 +82,6 @@
 %{_includedir}/%{name}
 %{_libdir}/cmake/%{name}
 %{_libdir}/libfmt.so
-%{_datadir}/pkgconfig/%{name}.pc
+%{_libdir}/pkgconfig/%{name}.pc
 
 %changelog

++ 0001-install-pkg-config-file-into-libdir.patch ++
From: Olaf Hering 
Date: Mon, 25 Mar 2019 17:10:40 +0100
Subject: install pkg-config file into libdir

Most pkgconfig files contain a Libs: variable, which is either /usr/lib
or /usr/lib64. If a 32bit and a 64bit variant of fmt libraries is
installed, the last one wins. As a result compiling for the other
bitsize will fail.

Instead of sharedir use libdir as install target.

Fixes commit 9d0c9c4bb145a286f725cd38c90331eee7addc7f
Fixes commit 287342dab10a5a96479b3e21cd11ce671ed8125c

Signed-off-by: Olaf Hering 
---
 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -205,7 +205,7 @@ if (FMT_INSTALL)
   set(FMT_INC_DIR ${CMAKE_INSTALL_INCLUDEDIR}/fmt CACHE STRING
   "Installation directory for include files, relative to 
${CMAKE_INSTALL_PREFIX}.")
 
-  set(FMT_PKGCONFIG_DIR "${CMAKE_INSTALL_PREFIX}/share/pkgconfig" CACHE PATH
+  set(FMT_PKGCONFIG_DIR ${CMAKE_INSTALL_LIBDIR}/pkgconfig CACHE PATH
 "Installation directory for pkgconfig (.pc) files, relative to 
${CMAKE_INSTALL_PREFIX}.")
 
   # Generate the version, config and target files into the build directory.



commit python-xmltodict for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-xmltodict for 
openSUSE:Factory checked in at 2019-03-26 15:46:05

Comparing /work/SRC/openSUSE:Factory/python-xmltodict (Old)
 and  /work/SRC/openSUSE:Factory/.python-xmltodict.new.25356 (New)


Package is "python-xmltodict"

Tue Mar 26 15:46:05 2019 rev:3 rq:688692 version:0.12.0

Changes:

--- /work/SRC/openSUSE:Factory/python-xmltodict/python-xmltodict.changes
2018-12-13 19:45:34.844923840 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-xmltodict.new.25356/python-xmltodict.changes 
2019-03-26 15:46:06.996061546 +0100
@@ -1,0 +2,20 @@
+Tue Mar 26 12:20:55 UTC 2019 - Jan Engelhardt 
+
+- Use noun phrase in summary.
+
+---
+Tue Mar 26 11:02:52 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.12.0
+  * Allow force_commits=True for getting all keys as lists (#204)
+  * README.md: fix useless uses of cat (#200)
+  * Add FreeBSD install instructions (#199)
+  * Fix and simplify travis config (#192)
+  * Add support for Python 3.7 (#189)
+  * Drop support for EOL Python (#191)
+  * Use Markdown long_description on PyPI (#190)
+  * correct spelling mistake (#165)
+  * correctly unparse booleans (#180)
+  * Updates README.md with svg badge
+
+---

Old:

  xmltodict-0.11.0.tar.gz

New:

  xmltodict-0.12.0.tar.gz



Other differences:
--
++ python-xmltodict.spec ++
--- /var/tmp/diff_new_pack.Dcoqru/_old  2019-03-26 15:46:08.412060829 +0100
+++ /var/tmp/diff_new_pack.Dcoqru/_new  2019-03-26 15:46:08.448060810 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-xmltodict
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -17,11 +17,10 @@
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
-%bcond_without test
 Name:   python-xmltodict
-Version:0.11.0
+Version:0.12.0
 Release:0
-Summary:Makes working with XML feel like you are working with JSON
+Summary:Module to make XML working resemble JSON
 License:MIT
 Group:  Development/Languages/Python
 URL:https://github.com/martinblech/xmltodict
@@ -32,9 +31,7 @@
 BuildRequires:  python-rpm-macros
 Requires:   python-xml
 BuildArch:  noarch
-%if %{with test}
 BuildRequires:  %{python_module nose >= 1.0}
-%endif
 %python_subpackages
 
 %description
@@ -53,10 +50,8 @@
 %python_install
 %python_expand %fdupes %{buildroot}%{$python_sitelib}
 
-%if %{with test}
 %check
 %python_expand nosetests-%{$python_bin_suffix}
-%endif
 
 %files %{python_files}
 %license LICENSE

++ xmltodict-0.11.0.tar.gz -> xmltodict-0.12.0.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/xmltodict-0.11.0/PKG-INFO 
new/xmltodict-0.12.0/PKG-INFO
--- old/xmltodict-0.11.0/PKG-INFO   2017-04-27 20:59:03.0 +0200
+++ new/xmltodict-0.12.0/PKG-INFO   2019-02-11 08:00:08.0 +0100
@@ -1,27 +1,232 @@
-Metadata-Version: 1.1
+Metadata-Version: 2.1
 Name: xmltodict
-Version: 0.11.0
+Version: 0.12.0
 Summary: Makes working with XML feel like you are working with JSON
 Home-page: https://github.com/martinblech/xmltodict
 Author: Martin Blech
 Author-email: martinbl...@gmail.com
 License: MIT
-Description: UNKNOWN
+Description: # xmltodict
+
+`xmltodict` is a Python module that makes working with XML feel like 
you are working with [JSON](http://docs.python.org/library/json.html), as in 
this 
["spec"](http://www.xml.com/pub/a/2006/05/31/converting-between-xml-and-json.html):
+
+[![Build 
Status](https://secure.travis-ci.org/martinblech/xmltodict.svg)](http://travis-ci.org/martinblech/xmltodict)
+
+```python
+>>> print(json.dumps(xmltodict.parse("""
+...  
+...
+...  elements
+...  more elements
+...
+...
+...  element as well
+...
+...  
+...  """), indent=4))
+{
+"mydocument": {
+"@has": "an attribute", 
+"and": {
+"many": [
+"elements", 
+"more elements"
+]
+}, 
+"plus": {
+"@a": "complex", 
+"#text": "element as well"
+}
+}
+}
+

commit python-django-silk for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-django-silk for 
openSUSE:Factory checked in at 2019-03-26 15:46:12

Comparing /work/SRC/openSUSE:Factory/python-django-silk (Old)
 and  /work/SRC/openSUSE:Factory/.python-django-silk.new.25356 (New)


Package is "python-django-silk"

Tue Mar 26 15:46:12 2019 rev:2 rq:688703 version:3.0.1

Changes:

--- /work/SRC/openSUSE:Factory/python-django-silk/python-django-silk.changes
2019-03-01 16:46:39.749816438 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-django-silk.new.25356/python-django-silk.changes
 2019-03-26 15:46:14.092057952 +0100
@@ -1,0 +2,5 @@
+Tue Mar 26 12:22:40 UTC 2019 - Jan Engelhardt 
+
+- Trim filler wording from descriptions.
+
+---



Other differences:
--
++ python-django-silk.spec ++
--- /var/tmp/diff_new_pack.saMGLv/_old  2019-03-26 15:46:15.076057454 +0100
+++ /var/tmp/diff_new_pack.saMGLv/_new  2019-03-26 15:46:15.080057452 +0100
@@ -12,50 +12,51 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
+#
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-django-silk
 Version:3.0.1
 Release:0
+Summary:Profiling for the Django Framework
 License:MIT
-Summary:Silky smooth profiling for the Django Framework
-Url:https://github.com/jazzband/django-silk
 Group:  Development/Languages/Python
+Url:https://github.com/jazzband/django-silk
 Source: 
https://github.com/jazzband/django-silk/archive/%{version}.tar.gz#/django-silk-%{version}.tar.gz
 Patch0: 
https://patch-diff.githubusercontent.com/raw/jazzband/django-silk/pull/333.patch#/pr_333.patch
 Patch1: test-urls-auth-login-view.patch
-BuildRequires:  python-rpm-macros
-BuildRequires:  %{python_module setuptools}
-BuildRequires:  %{python_module autopep8 >= 1.2.1}
 BuildRequires:  %{python_module Django >= 1.11}
-BuildRequires:  %{python_module gprof2dot >= 2017.09.19}
 BuildRequires:  %{python_module Jinja2 >= 2.8}
 BuildRequires:  %{python_module Pillow >= 3.2}
 BuildRequires:  %{python_module Pygments >= 2.0}
+BuildRequires:  %{python_module autopep8 >= 1.2.1}
+BuildRequires:  %{python_module gprof2dot >= 2017.09.19}
 BuildRequires:  %{python_module python-dateutil >= 2.4}
 BuildRequires:  %{python_module pytz > 2014.2}
 BuildRequires:  %{python_module requests >= 2.10}
+BuildRequires:  %{python_module setuptools}
 BuildRequires:  %{python_module sqlparse >= 0.1.19}
+BuildRequires:  python-rpm-macros
 # SECTION test requirements
+BuildRequires:  %{python_module contextlib2 >= 0.5.5}
+BuildRequires:  %{python_module factory_boy >= 2.8.1}
 BuildRequires:  %{python_module freezegun}
 BuildRequires:  %{python_module mock}
-BuildRequires:  %{python_module factory_boy >= 2.8.1}
-BuildRequires:  %{python_module six >= 1.11.0}
-BuildRequires:  %{python_module simplejson >= 3.13.2}
-BuildRequires:  %{python_module contextlib2 >= 0.5.5}
 BuildRequires:  %{python_module networkx >= 1.11}
-BuildRequires:  %{python_module pydot}
 BuildRequires:  %{python_module pydotplus >= 2.0.2}
+BuildRequires:  %{python_module pydot}
+BuildRequires:  %{python_module simplejson >= 3.13.2}
+BuildRequires:  %{python_module six >= 1.11.0}
 # /SECTION
 BuildRequires:  fdupes
-Requires:   python-autopep8 >= 1.2.1
 Requires:   python-Django >= 1.11
-Requires:   python-gprof2dot >= 2017.09.19
 Requires:   python-Jinja2 >= 2.8
 Requires:   python-Pillow >= 3.2
 Requires:   python-Pygments >= 2.0
+Requires:   python-autopep8 >= 1.2.1
+Requires:   python-gprof2dot >= 2017.09.19
 Requires:   python-python-dateutil >= 2.4
 Requires:   python-pytz > 2014.2
 Requires:   python-requests >= 2.10
@@ -65,7 +66,7 @@
 %python_subpackages
 
 %description
-Silky smooth profiling for the Django Framework.
+Profiling for the Django Framework.
 
 %prep
 %setup -q -n django-silk-%{version}




commit python-django-seed for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-django-seed for 
openSUSE:Factory checked in at 2019-03-26 15:46:09

Comparing /work/SRC/openSUSE:Factory/python-django-seed (Old)
 and  /work/SRC/openSUSE:Factory/.python-django-seed.new.25356 (New)


Package is "python-django-seed"

Tue Mar 26 15:46:09 2019 rev:2 rq:688702 version:0.1.9

Changes:

--- /work/SRC/openSUSE:Factory/python-django-seed/python-django-seed.changes
2019-03-01 16:46:51.681811914 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-django-seed.new.25356/python-django-seed.changes
 2019-03-26 15:46:10.656059692 +0100
@@ -1,0 +2,5 @@
+Tue Mar 26 12:23:07 UTC 2019 - Jan Engelhardt 
+
+- Use noun phrase in summary.
+
+---



Other differences:
--
++ python-django-seed.spec ++
--- /var/tmp/diff_new_pack.3SuMlh/_old  2019-03-26 15:46:11.416059308 +0100
+++ /var/tmp/diff_new_pack.3SuMlh/_new  2019-03-26 15:46:11.420059305 +0100
@@ -12,22 +12,23 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
+#
 
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-django-seed
 Version:0.1.9
 Release:0
+Summary:Django project fake data seeder
 License:MIT
-Summary:Seed your Django project with fake data
-Url:http://github.com/brobin/django-seed
 Group:  Development/Languages/Python
+Url:http://github.com/brobin/django-seed
 Source: 
https://files.pythonhosted.org/packages/source/d/django-seed/django-seed-%{version}.tar.gz
 Source1:
https://raw.githubusercontent.com/Brobin/django-seed/master/runtests.py
 Source2:
https://raw.githubusercontent.com/Brobin/django-seed/master/LICENSE
-BuildRequires:  python-rpm-macros
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  python-rpm-macros
 # SECTION test requirements
 BuildRequires:  %{python_module Django >= 1.11}
 BuildRequires:  %{python_module Faker >= 0.7.7}
@@ -42,7 +43,7 @@
 %python_subpackages
 
 %description
-Seed your Django project with fake data.
+A module to seed Django projects with fake data.
 
 %prep
 %setup -q -n django-seed-%{version}




commit ypbind for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package ypbind for openSUSE:Factory checked 
in at 2019-03-26 15:46:02

Comparing /work/SRC/openSUSE:Factory/ypbind (Old)
 and  /work/SRC/openSUSE:Factory/.ypbind.new.25356 (New)


Package is "ypbind"

Tue Mar 26 15:46:02 2019 rev:54 rq:688687 version:2.6

Changes:

--- /work/SRC/openSUSE:Factory/ypbind/ypbind.changes2019-01-24 
14:13:29.807356807 +0100
+++ /work/SRC/openSUSE:Factory/.ypbind.new.25356/ypbind.changes 2019-03-26 
15:46:05.380062365 +0100
@@ -1,0 +2,18 @@
+Mon Mar 25 09:54:46 UTC 2019 - lnus...@suse.de
+
+- ypbind needs yp.conf to be present. So wait for network to be
+  online in case it's created by DHCP (boo#1129587)
+
+---
+Fri Feb 22 07:38:04 UTC 2019 - Franck Bui 
+
+- Drop use of $FIRST_ARG in .spec
+
+  The use of $FIRST_ARG was probably required because of the
+  %service_* rpm macros were playing tricks with the shell positional
+  parameters. This is bad practice and error prones so let's assume
+  that no macros should do that anymore and hence it's safe to assume
+  that positional parameters remains unchanged after any rpm macro
+  call.
+
+---



Other differences:
--
++ ypbind.spec ++
--- /var/tmp/diff_new_pack.6i7ubN/_old  2019-03-26 15:46:06.516061789 +0100
+++ /var/tmp/diff_new_pack.6i7ubN/_new  2019-03-26 15:46:06.520061787 +0100
@@ -21,8 +21,7 @@
 %endif
 
 %define tmpfiles_remove() \
-test -n "$FIRST_ARG" || FIRST_ARG="$1" \
-if [ "$FIRST_ARG" -eq 0 ]; then \
+if [ $1 -eq 0 ]; then \
[ -z "${TRANSACTIONAL_UPDATE}" -a -x /usr/bin/systemd-tmpfiles ] && \
 /usr/bin/systemd-tmpfiles --remove %{?*} || : \
 fi \

++ ypbind.service ++
--- /var/tmp/diff_new_pack.6i7ubN/_old  2019-03-26 15:46:06.592061750 +0100
+++ /var/tmp/diff_new_pack.6i7ubN/_new  2019-03-26 15:46:06.596061748 +0100
@@ -2,8 +2,8 @@
 Description=NIS/YP Clients to NIS Domain Binder
 Documentation=man:ypbind(8)
 Requires=rpcbind.service
-Wants=nss-user-lookup.target
-After=network.target rpcbind.service ypserv.service nss-lookup.target
+Wants=nss-user-lookup.target network-online.target
+After=network.target rpcbind.service ypserv.service nss-lookup.target 
network-online.target
 Before=systemd-user-sessions.service nss-user-lookup.target
 
 [Service]




commit java-12-openjdk for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package java-12-openjdk for openSUSE:Factory 
checked in at 2019-03-26 15:45:46

Comparing /work/SRC/openSUSE:Factory/java-12-openjdk (Old)
 and  /work/SRC/openSUSE:Factory/.java-12-openjdk.new.25356 (New)


Package is "java-12-openjdk"

Tue Mar 26 15:45:46 2019 rev:7 rq:688634 version:12.0.0.0

Changes:

--- /work/SRC/openSUSE:Factory/java-12-openjdk/java-12-openjdk.changes  
2019-03-05 12:21:02.584919724 +0100
+++ 
/work/SRC/openSUSE:Factory/.java-12-openjdk.new.25356/java-12-openjdk.changes   
2019-03-26 15:45:55.188067526 +0100
@@ -1,0 +2,5 @@
+Tue Mar 26 06:18:51 UTC 2019 - Fridrich Strba 
+
+- jdk-12+33 is official OpenJDK 12
+
+---



Other differences:
--
++ java-12-openjdk.spec ++
--- /var/tmp/diff_new_pack.UCYLW5/_old  2019-03-26 15:45:57.916066144 +0100
+++ /var/tmp/diff_new_pack.UCYLW5/_new  2019-03-26 15:45:57.920066142 +0100
@@ -36,8 +36,8 @@
 %global patchver0
 %global datever 2019-03-19
 %global buildver33
-%global hg_project  jdk
-%global hg_repository   jdk12
+%global hg_project  jdk-updates
+%global hg_repository   jdk12u
 %global hg_revision b67884871b5f
 %global icedtea_sound_version 1.0.1
 %global java_atk_wrapper_version 0.33.2
@@ -145,7 +145,7 @@
 %global tapsetdir %{tapsetroot}/tapset/%{_build_cpu}
 %endif
 Name:   java-%{featurever}-openjdk
-Version:
%{featurever}.%{interimver}.%{updatever}.%{patchver}~%{buildver}
+Version:%{featurever}.%{interimver}.%{updatever}.%{patchver}
 Release:0
 Summary:OpenJDK %{featurever} Runtime Environment
 License:Apache-1.1 AND Apache-2.0 AND GPL-1.0-or-later AND 
GPL-2.0-only AND GPL-2.0-only WITH Classpath-exception-2.0 AND LGPL-2.0-only 
AND MPL-1.0 AND MPL-1.1 AND SUSE-Public-Domain AND W3C
@@ -576,9 +576,7 @@
 --with-version-patch=%{patchver} \
 --with-version-date=%{datever} \
 --with-version-build=%{buildver} \
-%if 0
 --with-version-pre="" \
-%endif
 --with-version-opt="suse-%{release}-%{_arch}" \
 --disable-warnings-as-errors \
 %if %{with zero}

++ b67884871b5f.tar.bz2 ++
/work/SRC/openSUSE:Factory/java-12-openjdk/b67884871b5f.tar.bz2 
/work/SRC/openSUSE:Factory/.java-12-openjdk.new.25356/b67884871b5f.tar.bz2 
differ: char 11, line 1




commit xine-lib for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package xine-lib for openSUSE:Factory 
checked in at 2019-03-26 15:45:32

Comparing /work/SRC/openSUSE:Factory/xine-lib (Old)
 and  /work/SRC/openSUSE:Factory/.xine-lib.new.25356 (New)


Package is "xine-lib"

Tue Mar 26 15:45:32 2019 rev:75 rq:688593 version:1.2.9

Changes:

--- /work/SRC/openSUSE:Factory/xine-lib/xine-lib.changes2019-02-25 
17:55:08.302467067 +0100
+++ /work/SRC/openSUSE:Factory/.xine-lib.new.25356/xine-lib.changes 
2019-03-26 15:45:37.360076189 +0100
@@ -1,0 +2,8 @@
+Tue Mar 26 07:03:44 UTC 2019 - o...@aepfle.de
+
+- Use alsa API properly with xine-lib-alsa.patch. Consumers are
+  expected to use  instead of .
+  This is in preparation of an change to pkgconfig(alsa) to
+  not pollute CFLAGS with -I/usr/include/alsa anymore (bsc#1130333)
+
+---

New:

  xine-lib-alsa.patch



Other differences:
--
++ xine-lib.spec ++
--- /var/tmp/diff_new_pack.Y4vAue/_old  2019-03-26 15:45:38.160075805 +0100
+++ /var/tmp/diff_new_pack.Y4vAue/_new  2019-03-26 15:45:38.168075801 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 
 
@@ -138,6 +138,7 @@
 Patch1: xine-lib-v4l-2.6.38.patch
 # PATCH allow ffmpeg in openSUSE versions that have ffmpeg and still use the 
crippled tar ball to build with ffmpeg3.
 Patch2: xine-lib-without-ffmpeg.patch
+Patch3: xine-lib-alsa.patch
 # Add theora FOURCC to libxine I found an avi container that xine wouldn't 
play.
 Patch4: xine-lib-theora.patch
 # This should be fixed upstream, but this patch will not work for them.
@@ -595,6 +596,7 @@
 #%%patch5
 %endif
 %endif
+%patch3 -p1
 %patch4
 %patch6
 %patch8 -p1

++ xine-lib-alsa.patch ++
--- a/src/audio_out/audio_alsa_out.c
+++ b/src/audio_out/audio_alsa_out.c
@@ -44,7 +44,7 @@
 
 #define ALSA_PCM_NEW_HW_PARAMS_API
 #define ALSA_PCM_NEW_SW_PARAMS_API
-#include 
+#include 
 
 #include 
 #include 



commit openvswitch for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package openvswitch for openSUSE:Factory 
checked in at 2019-03-26 15:45:35

Comparing /work/SRC/openSUSE:Factory/openvswitch (Old)
 and  /work/SRC/openSUSE:Factory/.openvswitch.new.25356 (New)


Package is "openvswitch"

Tue Mar 26 15:45:35 2019 rev:39 rq:688598 version:2.11.0

Changes:

--- /work/SRC/openSUSE:Factory/openvswitch/openvswitch.changes  2019-03-24 
15:01:50.459165146 +0100
+++ /work/SRC/openSUSE:Factory/.openvswitch.new.25356/openvswitch.changes   
2019-03-26 15:45:40.848074513 +0100
@@ -1,0 +2,5 @@
+Mon Mar 25 14:18:56 UTC 2019 -  
+
+- Disable dpdk on ix86, aligned with dpdk package.
+
+---



Other differences:
--
++ openvswitch.spec ++
--- /var/tmp/diff_new_pack.rU3vts/_old  2019-03-26 15:45:42.140073891 +0100
+++ /var/tmp/diff_new_pack.rU3vts/_new  2019-03-26 15:45:42.144073890 +0100
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via https://bugs.opensuse.org/
+# Please submit bugfixes or comments via http://bugs.opensuse.org/
 #
 # needssslcertforbuild
 
@@ -23,7 +23,7 @@
   %define _fillupdir %{_localstatedir}/adm/fillup-templates
 %endif
 %define lname libopenvswitch-2_11-0
-%ifarch aarch64 x86_64 %{ix86}
+%ifarch aarch64 x86_64
 %if 0%{?suse_version}
 # DPDK enabled only SUSE/openSUSE
 %bcond_without dpdk




commit python-poyo for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-poyo for openSUSE:Factory 
checked in at 2019-03-26 15:45:44

Comparing /work/SRC/openSUSE:Factory/python-poyo (Old)
 and  /work/SRC/openSUSE:Factory/.python-poyo.new.25356 (New)


Package is "python-poyo"

Tue Mar 26 15:45:44 2019 rev:3 rq:688607 version:0.4.2

Changes:

--- /work/SRC/openSUSE:Factory/python-poyo/python-poyo.changes  2018-12-24 
11:41:22.613452934 +0100
+++ /work/SRC/openSUSE:Factory/.python-poyo.new.25356/python-poyo.changes   
2019-03-26 15:45:46.376071855 +0100
@@ -1,0 +2,6 @@
+Tue Mar 26 08:36:47 UTC 2019 - pgaj...@suse.com
+
+- version update to 0.4.2
+  * Resolve a bug with list items and comments
+
+---

Old:

  poyo-0.4.1.tar.gz

New:

  poyo-0.4.2.tar.gz



Other differences:
--
++ python-poyo.spec ++
--- /var/tmp/diff_new_pack.jhkz1d/_old  2019-03-26 15:45:47.172071472 +0100
+++ /var/tmp/diff_new_pack.jhkz1d/_new  2019-03-26 15:45:47.172071472 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package python-poyo
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -19,7 +19,7 @@
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 %bcond_without test
 Name:   python-poyo
-Version:0.4.1
+Version:0.4.2
 Release:0
 Summary:YAML Parser for Python
 License:MIT

++ poyo-0.4.1.tar.gz -> poyo-0.4.2.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/poyo-0.4.1/CHANGES.md new/poyo-0.4.2/CHANGES.md
--- old/poyo-0.4.1/CHANGES.md   1970-01-01 01:00:00.0 +0100
+++ new/poyo-0.4.2/CHANGES.md   2018-05-22 12:35:33.0 +0200
@@ -0,0 +1,128 @@
+# 0.4.2
+
+### Bugfixes
+
+* Resolve a bug with list items and comments, thanks to
+  [@ishanarora][@ishanarora] (#18)
+
+[@ishanarora]: https://github.com/ishanarora
+
+# 0.4.1
+
+### Bugfixes
+
+* Update regex patterns to allow for no newline at the end of the given string,
+  thanks to [@mikeckennedy][@mikeckennedy] and [@hackebrot][@hackebrot]
+  (#13, #14)
+
+[@mikeckennedy]: https://github.com/mikeckennedy
+
+# 0.4.0
+
+### Features
+
+* Add support for block comments in sections, thanks to [@jakubka][@jakubka]
+  and [@hackebrot][@hackebrot] (#7)
+
+```yaml
+default_context: # foobar
+greeting: こんにちは
+# comment
+# allthethings
+docs: true
+
+123: 456.789
+```
+
+### Improvements
+
+* Set up ``poyo`` logger with NullHandler to log DEBUG messages when parsing,
+  thanks to [@hackebrot][@hackebrot]
+
+```text
+DEBUG:poyo.parser:parse_simple <- 123: 456.789
+DEBUG:poyo.parser:parse_int <- 123
+DEBUG:poyo.parser:parse_int -> 123
+DEBUG:poyo.parser:parse_float <- 456.789
+DEBUG:poyo.parser:parse_float -> 456.789
+DEBUG:poyo.parser:parse_simple -> 
+```
+
+### Bugfixes
+
+* Fix an issue around section names if the line contained more than one colon
+  symbol, thanks to [@gvalkov][@gvalkov] and [@hackebrot][@hackebrot] (#9)
+* Fix an issue that caused partial matches to raise an error, thanks to
+  [@gvalkov][@gvalkov] and [@hackebrot][@hackebrot] (#9)
+
+[@gvalkov]: https://github.com/gvalkov
+[@hackebrot]: https://github.com/hackebrot
+[@jakubka]: https://github.com/jakubka
+
+
+# 0.3.0
+
+### Features
+
+* Add support for blank lines and comment lines in lists, thanks to
+  [@eykd][@eykd] and [@hackebrot][@hackebrot] (#5)
+
+```yaml
+doc_tools:
+# docs or didn't happen
+-mkdocs
+- 'sphinx'
+
+- null
+```
+
+### Improvements
+
+* Add tests for patterns, thanks to [@eykd][@eykd] and [@hackebrot][@hackebrot]
+  (#5)
+
+### Bugfixes
+
+* Solve an issue with ``~`` character not being recognized as ``None``
+
+[@eykd]: https://github.com/eykd
+[@hackebrot]: https://github.com/hackebrot
+
+
+# 0.2.0
+
+### Features
+
+* Add support for list values
+
+```yaml
+doc_tools:
+- mkdocs
+- 'sphinx'
+- null
+```
+* Expose ``PoyoException`` in API
+
+```python
+from poyo import PoyoException
+```
+
+### Bugfixes
+
+* Ignore dashes in lines
+
+```yaml
+---
+default_context:
+foo: "hallo #welt" #Inline comment :)
+docs: true
+```
+
+
+# 0.1.0
+
+First release on PyPI.
+
+### Features
+
+* ``parse_string()`` to load a YAML string as a Python dict
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/poyo-0.4.1/CONTRIBUTORS.rst 
new/poyo-0.4.2/CONTRIBUTORS.rst
--- old/poyo-0.4.1/CONTRIBUTORS.rst 2017-03-21 13:19:42.0 

commit crmsh for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package crmsh for openSUSE:Factory checked 
in at 2019-03-26 15:45:19

Comparing /work/SRC/openSUSE:Factory/crmsh (Old)
 and  /work/SRC/openSUSE:Factory/.crmsh.new.25356 (New)


Package is "crmsh"

Tue Mar 26 15:45:19 2019 rev:155 rq:688380 version:4.0.0+git.1552985860.56f2db3a

Changes:

--- /work/SRC/openSUSE:Factory/crmsh/crmsh.changes  2019-02-08 
12:11:15.585517474 +0100
+++ /work/SRC/openSUSE:Factory/.crmsh.new.25356/crmsh.changes   2019-03-26 
15:45:25.168082051 +0100
@@ -1,0 +2,15 @@
+Thu Mar 21 08:17:24 UTC 2019 - xli...@suse.com
+
+- Update to version 4.0.0+git.1552985860.56f2db3a:
+  * Fix: bsc#1129719: check command and related files exist
+  * High: constants: add "promotable", "promoted-max" and "promoted-node-max" 
in clone meta attributes
+  * Fix: cibconfig: #425 The ID attribute is not required for select and 
select_attributes
+  * medium: scripts: Set kind for order constraints, not score (bsc#1123187)
+  * low: utils: add support for dpkg
+  * low: utils: add support for apt-get
+  * low: utils: convert string contstants to bytes
+  * Fix: bsc#1120857,1120856 bootstrap warning messages should better start 
with like "WARNING:" instead of "!"
+  * Fix: bsc#1120554, bsc#1120555 crmsh crashed when using 
configure>template>apply
+  * High: hbreport: fix UnicodeEncodeError while print(bsc#1093564)
+
+---

Old:

  crmsh-4.0.0+git.1543873923.0f9166fd.tar.bz2

New:

  crmsh-4.0.0+git.1552985860.56f2db3a.tar.bz2



Other differences:
--
++ crmsh.spec ++
--- /var/tmp/diff_new_pack.JAvvMJ/_old  2019-03-26 15:45:26.264081524 +0100
+++ /var/tmp/diff_new_pack.JAvvMJ/_new  2019-03-26 15:45:26.268081522 +0100
@@ -36,7 +36,7 @@
 Summary:High Availability cluster command-line interface
 License:GPL-2.0-or-later
 Group:  %{pkg_group}
-Version:4.0.0+git.1543873923.0f9166fd
+Version:4.0.0+git.1552985860.56f2db3a
 Release:0
 Url:http://crmsh.github.io
 Source0:%{name}-%{version}.tar.bz2

++ _servicedata ++
--- /var/tmp/diff_new_pack.JAvvMJ/_old  2019-03-26 15:45:26.304081505 +0100
+++ /var/tmp/diff_new_pack.JAvvMJ/_new  2019-03-26 15:45:26.304081505 +0100
@@ -1,4 +1,4 @@
 
 
 git://github.com/ClusterLabs/crmsh.git
-  6de02b2da5c35d14752fdc5d13ab35894b799582
\ No newline at end of file
+  56f2db3ab753c7df0554158b718faa33ecefb081
\ No newline at end of file

++ crmsh-4.0.0+git.1543873923.0f9166fd.tar.bz2 -> 
crmsh-4.0.0+git.1552985860.56f2db3a.tar.bz2 ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/crmsh-4.0.0+git.1543873923.0f9166fd/.travis.yml 
new/crmsh-4.0.0+git.1552985860.56f2db3a/.travis.yml
--- old/crmsh-4.0.0+git.1543873923.0f9166fd/.travis.yml 2018-12-03 
22:52:03.0 +0100
+++ new/crmsh-4.0.0+git.1552985860.56f2db3a/.travis.yml 2019-03-19 
09:57:40.0 +0100
@@ -4,6 +4,15 @@
 services:
   - docker
 
+env:
+  global:
+- 
CC_TEST_REPORTER_ID=a2579335b631ec35473874d7bb4fe983025c0287cea89c9dc34c35f98ee3963d
+
+before_script:
+  - curl -L 
https://codeclimate.com/downloads/test-reporter/test-reporter-latest-linux-amd64
 > ./cc-test-reporter
+  - chmod +x ./cc-test-reporter
+  - ./cc-test-reporter before-build
+
 before_install:
   - docker pull krig/crmsh:latest
 
@@ -12,3 +21,6 @@
 
 after_failure:
   - sudo cat $TRAVIS_BUILD_DIR/crmtestout/regression.out 
$TRAVIS_BUILD_DIR/crmtestout/crm.*
+
+after_script:
+  - ./cc-test-reporter after-build --exit-code $TRAVIS_TEST_RESULT
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/crmsh-4.0.0+git.1543873923.0f9166fd/crmsh/bootstrap.py 
new/crmsh-4.0.0+git.1552985860.56f2db3a/crmsh/bootstrap.py
--- old/crmsh-4.0.0+git.1543873923.0f9166fd/crmsh/bootstrap.py  2018-12-03 
22:52:03.0 +0100
+++ new/crmsh-4.0.0+git.1552985860.56f2db3a/crmsh/bootstrap.py  2019-03-19 
09:57:40.0 +0100
@@ -96,7 +96,7 @@
 Log and display a warning message.
 """
 log("WARNING: {}".format(" ".join(str(arg) for arg in args)))
-print(term.render(clidisplay.warn("! {}".format(" ".join(str(arg) for arg 
in args)
+print(term.render(clidisplay.warn("WARNING: {}".format(" ".join(str(arg) 
for arg in args)
 
 
 @utils.memoize
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' 
old/crmsh-4.0.0+git.1543873923.0f9166fd/crmsh/cibconfig.py 
new/crmsh-4.0.0+git.1552985860.56f2db3a/crmsh/cibconfig.py
--- old/crmsh-4.0.0+git.1543873923.0f9166fd/crmsh/cibconfig.py  2018-12-03 
22:52:03.0 +0100
+++ 

commit vpp for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package vpp for openSUSE:Factory checked in 
at 2019-03-26 15:45:15

Comparing /work/SRC/openSUSE:Factory/vpp (Old)
 and  /work/SRC/openSUSE:Factory/.vpp.new.25356 (New)


Package is "vpp"

Tue Mar 26 15:45:15 2019 rev:20 rq:688375 version:19.4

Changes:

--- /work/SRC/openSUSE:Factory/vpp/vpp.changes  2018-10-23 20:38:34.840674026 
+0200
+++ /work/SRC/openSUSE:Factory/.vpp.new.25356/vpp.changes   2019-03-26 
15:45:23.540082833 +0100
@@ -1,0 +2,34 @@
+Tue Jan 29 10:46:24 CET 2019 - n...@suse.de
+
+- Update to v19.4-rc0((fate#325916, fate#325951 fate#326025, fate#326992):)
+  *Infrastructure
+  DPDK 18.11 integration
+  New Stats infrastructure (interface, error, node performance 
counters)
+  Add configurable "Doug Lea malloc" support
+  *VNET & Plugins
+  Load balancing: support per-port VIP and all-port VIP
+  Port NSH plugin to VPP
+  NAT
+  Configurable port range
+  Virtual Fragmentation Reassembly for endpoint-dependent mode
+  Client-IP based session affinity for load-balancing
+  TCP MSS clamping
+  Session timeout
+  Bug-fixing and performance optimizations
+  *Host stack
+  Support for applications with multiple workers
+  Support for binds from multiple app workers to same ip:port
+  Switched to a message queue for io and control event notifications
+  Support for eventfd based notifications as alternative to 
mutext-condvar pair
+  VCL refactor to support async event notifications and multiple 
workers
+  TLS async support in client for HW accleration
+  Performance optimizations and bug-fixing
+   [- deps.patch, 
++ remove-git.patch,
+* enable-shared-dpdk.patch, 
+* startup-conf.patch ]
+- removed api-java package till we find a fix
+- Add _service file
+  [+ _service]
+
+---

Old:

  deps.patch
  vpp-18.07.1-release.tar.xz

New:

  _service
  remove-git.patch
  vpp-v19.4.tar.gz



Other differences:
--
++ vpp.spec ++
--- /var/tmp/diff_new_pack.Aj5sdI/_old  2019-03-26 15:45:24.728082262 +0100
+++ /var/tmp/diff_new_pack.Aj5sdI/_new  2019-03-26 15:45:24.732082260 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package vpp
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -16,41 +16,44 @@
 #
 
 
-%define _vpp_build_dir   %{buildroot}/../../BUILD/vpp-%{version}/build-root
-%define _vpp_install_dir %{_vpp_build_dir}/install-vpp-native/
-%define _vpp_plugins_lib_dir %{_vpp_install_dir}/vpp/lib64
+%define _vpp_build_dir   %{buildroot}/../../BUILD/vpp-v%{version}/build
+%define _vpp_install_dir %{_vpp_build_dir}/
+%define _vpp_plugins_lib_dir %{_vpp_install_dir}/lib
 
 %define lname libvpp0
 
 Name:   vpp
-Version:18.07.1
+Version:19.4
 Release:0
 Summary:Set of libraries and drivers for fast packet processing
 License:Apache-2.0
 Group:  Productivity/Networking/Routing
 Url:https://wiki.fd.io/view/VPP
-Source0:%{name}-%{version}-release.tar.xz
+Source0:vpp-v19.4.tar.gz
 Patch0: enable-shared-dpdk.patch
 Patch1: startup-conf.patch
-Patch2: deps.patch
+Patch2: remove-git.patch
 BuildRequires:  autoconf
 BuildRequires:  automake
 BuildRequires:  bison
 BuildRequires:  ccache
 BuildRequires:  check-devel
 BuildRequires:  chrpath
+BuildRequires:  cmake
 BuildRequires:  distribution-release
-BuildRequires:  dpdk-devel => 18.02
+BuildRequires:  dpdk-devel => 18.11
 BuildRequires:  gcc7
 BuildRequires:  gcc7-c++
+BuildRequires:  git
 BuildRequires:  glibc-devel
 BuildRequires:  glibc-devel-static
-BuildRequires:  java-devel >= 1.8
+#BuildRequires:  java-devel >= 1.8
 BuildRequires:  libboost_headers-devel
 BuildRequires:  libboost_thread-devel
 BuildRequires:  libnuma-devel
 BuildRequires:  libopenssl-devel
 BuildRequires:  libtool
+BuildRequires:  libuuid-devel
 BuildRequires:  lsb-release
 BuildRequires:  make
 BuildRequires:  mbedtls-devel
@@ -58,9 +61,9 @@
 BuildRequires:  python-devel
 BuildRequires:  python-pip
 BuildRequires:  python-rpm-macros
-BuildRequires:  python2-ply
 BuildRequires:  python3-devel
 BuildRequires:  python3-pip
+BuildRequires:  python3-ply
 BuildRequires:  rdma-core-devel
 BuildRequires:  shadow
 Conflicts:  otherproviders(vpp-any)
@@ -130,18 

commit pugixml for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package pugixml for openSUSE:Factory checked 
in at 2019-03-26 15:45:33

Comparing /work/SRC/openSUSE:Factory/pugixml (Old)
 and  /work/SRC/openSUSE:Factory/.pugixml.new.25356 (New)


Package is "pugixml"

Tue Mar 26 15:45:33 2019 rev:8 rq:688594 version:1.9

Changes:

--- /work/SRC/openSUSE:Factory/pugixml/pugixml.changes  2018-07-28 
12:43:27.136777396 +0200
+++ /work/SRC/openSUSE:Factory/.pugixml.new.25356/pugixml.changes   
2019-03-26 15:45:38.336075720 +0100
@@ -1,0 +2,5 @@
+Mon Mar 25 11:26:08 UTC 2019 - Jan Engelhardt 
+
+- Ensure neutrality of descriptions.
+
+---



Other differences:
--
++ pugixml.spec ++
--- /var/tmp/diff_new_pack.eFbdck/_old  2019-03-26 15:45:38.960075420 +0100
+++ /var/tmp/diff_new_pack.eFbdck/_new  2019-03-26 15:45:38.960075420 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package pugixml
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,7 +12,7 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
@@ -46,8 +46,6 @@
 - Full Unicode support with Unicode interface variants and automatic encoding
   conversions
 
-The library is extremely portable and easy to integrate and use.
-
 %package devel
 Summary:Development Files for pugixml
 Group:  Development/Libraries/C and C++
@@ -71,8 +69,6 @@
 - Full Unicode support with Unicode interface variants and automatic encoding
   conversions
 
-The library is extremely portable and easy to integrate and use.
-
 %prep
 %autosetup -p1
 




commit python-python-slugify for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package python-python-slugify for 
openSUSE:Factory checked in at 2019-03-26 15:45:29

Comparing /work/SRC/openSUSE:Factory/python-python-slugify (Old)
 and  /work/SRC/openSUSE:Factory/.python-python-slugify.new.25356 (New)


Package is "python-python-slugify"

Tue Mar 26 15:45:29 2019 rev:4 rq:688589 version:3.0.1

Changes:

--- 
/work/SRC/openSUSE:Factory/python-python-slugify/python-python-slugify.changes  
2019-02-20 14:13:14.306901230 +0100
+++ 
/work/SRC/openSUSE:Factory/.python-python-slugify.new.25356/python-python-slugify.changes
   2019-03-26 15:45:34.156077730 +0100
@@ -1,0 +2,13 @@
+Tue Mar 26 04:29:33 UTC 2019 - John Vandenberg 
+
+- Use PyPI sdist
+- Switch from requiring python-Unidecode to requiring
+  python-text-unidecode >= 1.2
+- Update to v3.0.1
+  * add test to manifest
+- from v3.0.0
+  * Upgrade Unidecode to 1.2
+  * Promote text-unidecode as the primary decoding package
+  * Add Unidecode as an optional extra
+
+---

Old:

  python-slugify-2.0.1.tar.gz

New:

  python-slugify-3.0.1.tar.gz



Other differences:
--
++ python-python-slugify.spec ++
--- /var/tmp/diff_new_pack.UHfFTT/_old  2019-03-26 15:45:35.824076928 +0100
+++ /var/tmp/diff_new_pack.UHfFTT/_new  2019-03-26 15:45:35.852076915 +0100
@@ -18,28 +18,30 @@
 
 %{?!python_module:%define python_module() python-%{**} python3-%{**}}
 Name:   python-python-slugify
-Version:2.0.1
+Version:3.0.1
 Release:0
 Summary:Slugify application that handles Unicode
 License:MIT
 Group:  Development/Languages/Python
 Url:https://github.com/un33k/python-slugify
-Source: 
https://github.com/un33k/python-slugify/archive/%{version}.tar.gz#/python-slugify-%{version}.tar.gz
-BuildRequires:  %{python_module Unidecode >= 0.04.16}
+Source: 
https://files.pythonhosted.org/packages/source/p/python-slugify/python-slugify-%{version}.tar.gz
 BuildRequires:  %{python_module setuptools}
+BuildRequires:  %{python_module text-unidecode >= 1.2}
 BuildRequires:  fdupes
 BuildRequires:  python-rpm-macros
 Conflicts:  python-awesome-slugify
-Requires:   python-Unidecode >= 0.04.16
+Requires:   python-text-unidecode >= 1.2
+Suggests:   python-Unidecode >= 1.0.23
 BuildArch:  noarch
 
 %python_subpackages
 
 %description
-A Python Slugify application that handles Unicode
+A Python Slugify application that handles Unicode.
 
 %prep
 %setup -q -n python-slugify-%{version}
+sed -i 's/==/>=/' setup.py
 
 %build
 %python_build

++ python-slugify-2.0.1.tar.gz -> python-slugify-3.0.1.tar.gz ++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-slugify-2.0.1/.gitignore 
new/python-slugify-3.0.1/.gitignore
--- old/python-slugify-2.0.1/.gitignore 2019-01-04 00:03:36.0 +0100
+++ new/python-slugify-3.0.1/.gitignore 1970-01-01 01:00:00.0 +0100
@@ -1,62 +0,0 @@
-# JebBrains IDE
-.idea/
-
-# Byte-compiled / optimized / DLL files
-__pycache__/
-*.py[cod]
-
-# C extensions
-*.so
-
-# Distribution / packaging
-.Python
-env/
-build/
-develop-eggs/
-dist/
-downloads/
-eggs/
-.eggs/
-lib/
-lib64/
-parts/
-sdist/
-var/
-*.egg-info/
-.installed.cfg
-*.egg
-
-# PyInstaller
-#  Usually these files are written by a python script from a template
-#  before PyInstaller builds the exe, so as to inject date/other infos into it.
-*.manifest
-*.spec
-
-# Installer logs
-pip-log.txt
-pip-delete-this-directory.txt
-
-# Unit test / coverage reports
-htmlcov/
-.tox/
-.coverage
-.coverage.*
-.cache
-nosetests.xml
-coverage.xml
-*,cover
-
-# Translations
-*.mo
-*.pot
-
-# Django stuff:
-*.log
-
-# Sphinx documentation
-docs/_build/
-
-# PyBuilder
-target/
-
-*.*DS_Store
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 
'--exclude=.svnignore' old/python-slugify-2.0.1/.travis.yml 
new/python-slugify-3.0.1/.travis.yml
--- old/python-slugify-2.0.1/.travis.yml2019-01-04 00:03:36.0 
+0100
+++ new/python-slugify-3.0.1/.travis.yml1970-01-01 01:00:00.0 
+0100
@@ -1,25 +0,0 @@
-sudo: false
-language: python
-
-python:
-  - "2.7"
-  - "3.4"
-  - "3.5"
-  - "3.6"
-  - pypy
-
-install:
-  - pip install pip -U
-  - pip install -e .
-  - pip install pycodestyle
-  - pip install coveralls
-  - pip install https://github.com/un33k/pyflakes/tarball/master
-
-before_script:
-  - "bash pycodestyle.sh"
-  - if [[ $TRAVIS_PYTHON_VERSION == '2.7' ]]; then pyflakes -x W slugify; fi
-
-script: coverage run --source=slugify test.py
-
-after_success:
-  coveralls
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn' 

commit nsd for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package nsd for openSUSE:Factory checked in 
at 2019-03-26 15:45:27

Comparing /work/SRC/openSUSE:Factory/nsd (Old)
 and  /work/SRC/openSUSE:Factory/.nsd.new.25356 (New)


Package is "nsd"

Tue Mar 26 15:45:27 2019 rev:9 rq:688579 version:4.1.27

Changes:

--- /work/SRC/openSUSE:Factory/nsd/nsd.changes  2018-12-06 12:17:32.321505513 
+0100
+++ /work/SRC/openSUSE:Factory/.nsd.new.25356/nsd.changes   2019-03-26 
15:45:31.872078828 +0100
@@ -1,0 +2,29 @@
+Mon Mar 25 18:50:27 UTC 2019 - Michael Ströder 
+
+- Update to upstream release 4.1.27:
+  * FEATURES:
+- Deny ANY with only one RR in response, by default.  Patch from
+  Daisuke Higashi.  The deny-any statement in nsd.conf sets ANY
+  queries over UDP to be further moved to TCP as well.
+  Also no additional section processig for type ANY, reducing
+  the response size.
+- Fix #4215: on-the-fly change of TSIG keys with patch from Igor, adds
+  nsd-control print_tsig, update_tsig, add_tsig, assoc_tsig
+  and del_tsig.  These changes are gone after reload, edit the
+  config file (or a file included from it) to make changes that
+  last after restart.
+  *BUG FIXES:
+- Fix #4213: disable-ipv6 and dnstap compile error.
+- Fix to reduce region_log_stats if condition, this removes a
+  debug statement.
+- Fix for FreeBSD port with dnstap enabled.
+- Fix to remove unused code.
+- Fix #6: nsd-control-setup: Change validity time to a shorter
+  period (<2038).
+- Fix unused definition in header remote.h.
+- Fix #4236: IPV4_MINIMAL_RESPONSE_SIZE=1480 is slightly too big.
+- Fix #4235: IP_PMTUDISC_OMIT on IPv4/UDP sockets.
+- Fixed radtree_insert memory leak.
+- Fixed access recycled variable.
+
+---

Old:

  nsd-4.1.26.tar.gz
  nsd-4.1.26.tar.gz.asc

New:

  nsd-4.1.27.tar.gz
  nsd-4.1.27.tar.gz.asc



Other differences:
--
++ nsd.spec ++
--- /var/tmp/diff_new_pack.gBRHd6/_old  2019-03-26 15:45:32.936078316 +0100
+++ /var/tmp/diff_new_pack.gBRHd6/_new  2019-03-26 15:45:32.940078314 +0100
@@ -23,7 +23,7 @@
 %define zonesdir   %{configdir}/zones
 %define pidfile%{_rundir}/nsd/nsd.pid
 Name:   nsd
-Version:4.1.26
+Version:4.1.27
 Release:0
 #
 Summary:An authoritative-only domain name server

++ nsd-4.1.26.tar.gz -> nsd-4.1.27.tar.gz ++
 4189 lines of diff (skipped)





commit deepin-qt-dbus-factory for openSUSE:Factory

2019-03-26 Thread root
Hello community,

here is the log from the commit of package deepin-qt-dbus-factory for 
openSUSE:Factory checked in at 2019-03-26 15:45:25

Comparing /work/SRC/openSUSE:Factory/deepin-qt-dbus-factory (Old)
 and  /work/SRC/openSUSE:Factory/.deepin-qt-dbus-factory.new.25356 (New)


Package is "deepin-qt-dbus-factory"

Tue Mar 26 15:45:25 2019 rev:4 rq:688578 version:1.0.6

Changes:

--- 
/work/SRC/openSUSE:Factory/deepin-qt-dbus-factory/deepin-qt-dbus-factory.changes
2019-03-05 12:26:11.668828394 +0100
+++ 
/work/SRC/openSUSE:Factory/.deepin-qt-dbus-factory.new.25356/deepin-qt-dbus-factory.changes
 2019-03-26 15:45:29.392080020 +0100
@@ -1,0 +2,6 @@
+Mon Mar 25 20:57:33 UTC 2019 - Christophe Giboudeaux 
+
+- Use Qt5DBus instead of adding a dependency on Qt4.
+- Run spec-cleaner
+
+---



Other differences:
--
++ deepin-qt-dbus-factory.spec ++
--- /var/tmp/diff_new_pack.iXGcdI/_old  2019-03-26 15:45:29.916079768 +0100
+++ /var/tmp/diff_new_pack.iXGcdI/_new  2019-03-26 15:45:29.916079768 +0100
@@ -1,7 +1,7 @@
 #
 # spec file for package deepin-qt-dbus-factory
 #
-# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
 #
 # All modifications and additions to the file contributed by third parties
 # remain the property of their copyright owners, unless otherwise agreed
@@ -12,37 +12,36 @@
 # license that conforms to the Open Source Definition (Version 1.9)
 # published by the Open Source Initiative.
 
-# Please submit bugfixes or comments via http://bugs.opensuse.org/
+# Please submit bugfixes or comments via https://bugs.opensuse.org/
 #
 
 
 %define libver 2
 %define _name  dde-qt-dbus-factory
-
 Name:   deepin-qt-dbus-factory
 Version:1.0.6
 Release:0
 Summary:A repository storing auto-generated Qt5 D-Bus code
 License:GPL-3.0-only
 Group:  Development/Libraries/C and C++
-Url:https://github.com/linuxdeepin/dde-qt-dbus-factory
+URL:https://github.com/linuxdeepin/dde-qt-dbus-factory
 Source: 
https://github.com/linuxdeepin/dde-qt-dbus-factory/archive/%{version}/%{_name}-%{version}.tar.gz
 BuildRequires:  gcc-c++
 BuildRequires:  libqt5-qtbase-devel
 BuildRequires:  libqt5-qtbase-private-headers-devel
 BuildRequires:  libqt5-qtdeclarative-devel
 BuildRequires:  libqt5-qttools-devel
+BuildRequires:  pkgconfig
 BuildRequires:  python-devel
 BuildRequires:  python-setuptools
 BuildRequires:  pkgconfig(Qt5Core)
+BuildRequires:  pkgconfig(Qt5DBus)
 BuildRequires:  pkgconfig(Qt5Gui)
 BuildRequires:  pkgconfig(Qt5Network)
 BuildRequires:  pkgconfig(Qt5Qml)
 BuildRequires:  pkgconfig(Qt5WebKit)
 BuildRequires:  pkgconfig(Qt5Widgets)
 BuildRequires:  pkgconfig(Qt5X11Extras)
-BuildRequires:  pkgconfig(QtDBus)
-BuildRoot:  %{_tmppath}/%{name}-%{version}-build
 
 %description
 dde-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
@@ -83,16 +82,14 @@
 %qmake5_install
 
 %post -n libdframeworkdbus%{libver} -p /sbin/ldconfig
-
 %postun -n libdframeworkdbus%{libver} -p /sbin/ldconfig
 
 %files -n libdframeworkdbus%{libver}
-%doc README LICENSE
-%defattr(-,root,root)
+%license LICENSE
+%doc README
 %{_libdir}/libdframeworkdbus.so.*
 
 %files -n libdframeworkdbus-devel
-%defattr(-,root,root)
 %{_includedir}/libdframeworkdbus-*
 %{_libdir}/libdframeworkdbus.so
 %dir %{_libdir}/cmake/DFrameworkdbus




  1   2   3   >